Changes go downward, months go upward.  Please scroll to the bottom for a legend.
Changelog started January 1, 2004; Currently at $Revision: 1.2111.2.470 $.

SMF 1.1.4                                                                    ???
================================================================================
September 2007
--------------------------------------------------------------------------------
 ! Some Mambo installations don't handle objects the same as others. (Mambo bridge/smf.php)
 ! Set up the bridge config panel to handle input from third party tabs. (Mambo bridge/admin.smf.php)
 + Use the integrate_verify_user hook for authentication in Xoops. (Xoops bridge/index.php)
 ! Some input values didn't get escaped properly - reported by Michael Brooks. (ManageMembergroups.php, PersonalMessages.php, Post.php, Profile.php, QueryString.php, Search.php, Subs-Boards.php, Subs.php)
 ! Some attachment filenames didn't get escaped properly. (Display.php, ManageAttachments.php)
 ! Function for fixing list and table tags wasn't working as expected. (Subs-Post.php)
 ! Wireless devices running Internet Explorer don't like refresh header. (Subs.php)

August 2007
--------------------------------------------------------------------------------
 ! Make sure it's hard to force an error with a silly URL. (Post.php, Subs-Post.php)
 ! If using an old version of host which doesn't support the -W command don't call it. (Subs.php)
 ! Allow users to log out in maintenance mode. (index.php)
 ! Change the email date format to use -0000 to better comply with the RFC. (Subs-Post.php)
 ! Check GET and POST instead of REQUEST for numeric keys. (QueryString.php)
 ! Fixed editing grace period inconsistancies within the post script. (Post.php)


July 2007
--------------------------------------------------------------------------------
 ! Inline modification of a board which had moderators was not working correctly. (Post.php)
 ! The ComposeMailing flag wasn't always being set right when sending out news letters. (ManageNews.php)
 ! Take out the inline style of the login module so that admins can use CSS to format (Mambo bridge/mod_smf_login.php)
 ! Some non-SEF URLs were not generated with entities (Mambo bridge/smf.php)
 ! Stop CDATA blocks breaking preview/quick modify. (Post.php)


SMF 1.1.3                                                                    ???
================================================================================
July 2007
--------------------------------------------------------------------------------
 ! Mambo bridge was hanging on login with bridge login module. (Mambo bridge/mod_smf_login.php)
 ! Missing global in bridge integration arrays. (Mambo bridge/smf_integration_arrays.php, smf.php)
 ! Mambo doesn't pass the password check variable on to mambots. (Mambo bridge/SMF_register.php)


June 2007
--------------------------------------------------------------------------------
 ! Reporting a personal message needed some more sanitation. (PersonalMessage.php)
 ! Sending newsletters could cause a timeout on large boards. (ManageNews.php)
 ! Session fixation could in rare cases be applied - reported by David Vieira-Kurz. (Subs-Auth.php)
 ! Prevent recursive functions causing a stack overflow in PHP. (QueryString.php)
 * Quick edit wasn't updating the subject correctly if it was the first message. (xml_topic.js)
 ! MySQL's utf8 collation mapped some characters as equal causing a database insert on posting a topic to go wrong in rare cases. (Subs.php)
 ! The HTML tag wasn't being properly escaped in the signature. (Subs-Post.php)
 ! Ensure locked topics aren't being editted by those without permission. (Post.php, xml_topic.js)
 ! Ensure bday3 is also set when checking birthdates. (Profile.php)
 ! Cookies were in some cases not stored on localhost. (Subs-Auth.php)


May 2007
--------------------------------------------------------------------------------
 ! ManageBans.php is required for changing ban status. (Mambo bridge/SMF_user_ban.php, SMF_user_unban.php)
 + Changed Mambo bridge to use new configuration object instead of $mosConfig variables. (Mambo bridge/several files)
 ! The login authenticator bot in Mambo was not logging in users. (Mambo bridge/SMF_login.php)
 ! Make sure the bridge doesn't rewrite the password in case of reserved names. (Mambo bridge/SMF_Register.php)
 + Have the bridge rewrite XML feeds to SEF URLs. (Mambo/Joomla bridges/smf.php)
 ! Update bridge version info. (Mambo/Joomla bridge/several files)
 + Added integrate_change_member_data, integrate_reset_pass, and integrate_delete_member hooks to Xoops bridge. (Xoops bridge/index.php)
 ! Updated Xoops bridge version. (Xoops bridge/xoops_version.php)
 + Added ability for admin to set specific URLs for login and logout redirection in Joomla bridge. (Mambo/Joomla bridge/several files)
 + Added Users Extended registration option to Mambo/Joomla bridge. (Mambo/Joomla bridge/several files)
 ! Cleaned up code that creates registration rewrites. (Mambo/Joomla bridge/smf.php, mod_smf_login.php, smf_integration_arrays.php)


April 2007
--------------------------------------------------------------------------------
 ! Allow the brd search paramter to be used in the url as a non array. (Search.php)
 ! mktree could potentially get itself into a loop. (Subs-Package.php)
 ! Attempt to stop loops on BBC parsing. (Subs.php)
 ! Sanitize input from the Joomla bridge registration, as the javascript check doesn't necessarily take care of it all. (Mambo/Joomla bridge/smf_registration.php)
 + Added AEC compatibility to Joomla bridge. (several files)
 ! Some HTML header information was missing from Joomla headers. (Mambo/Joomla bridges/smf.php, SMF_header_include.php)
 ! Fixed an undefined constant in e107 bridge language files. (e107 bridge/admin_smf_config.php, English.php, French.php)
 + Added mambots for several Mambo integration events. (Mambo 4.6 bridge/several files)
 ! Make sure the Mambo admin panel can populate the group arrays (Mambo 4.6 bridge/admin.smf.php)


March 2007
--------------------------------------------------------------------------------
 ! Joomla bridge was removing some semi-colons in URLs instead of converting them to SEF. (Joomla bridge/smf.php)
 ! Made bridged outgoing emails smarter when converting URLs. (Mambo/Joomla bridges/smf.php)
 ! Bridge wasn't using UTF-8 language files appropriately in certain circumstances (Joomla bridge/mod_smf_login.php, smf.php)
 ! Mambo 4.6 sometimes loads arrays as objects, invalidating output. (Mambo 4.6 bridge/admin.smf.php)
 ! Updated bridge version information (Joomla bridge/smf.xml)
 ! PHP 5.2.0 breaks the package manager. (Subs-Package.php)
 ! Searching for the end position in the package manager could fail. (Subs-Package.php)


SMF 1.1.2                                                       10 February 2007
================================================================================
February 2007
--------------------------------------------------------------------------------
 ! Fixed a remaining, if not extremely difficult to exploit, issue with downloads on IE - reported by Jessica Hope. (Display.php)
 ! Fixed to/bcc fields in Personal Messages not being htmlspecialchar'd - reported by Aria-Security team. (PersonalMessage.php)
 ! People with the manage_permissions could maybe abuse it. (ManagePermissions.php, ManageMembergroups.php)
 ! The path was sometimes wrong when installing a package. (Subs-Package.php)
 ! Display name can now be no longer than 60 characters as people were taking it too far! (Profile.php, Profile template)
 & New error string for the above. (Errors language files)
 ! Quick edit would lose the old modified time if you made no changes. (Post.php)
 ! Password reminder was not respecting password strength. (Reminder.php)
 ! Retain all current theme settings when editing a different theme. (Themes.php)
 ! Try to ensure ID_MSG_LAST_VISIT is always set. (Load.php)
 ! Always send an alternative plain us-ascii text version of the body along with each mail for basic support of older mail clients. (Subs-Post.php)
 ! Convert non-ascii characters to entities for mails sent to yahoo addresses to assure characters are being displayed properly in yahoo's client. (Subs-Post.php)
 ! People upgrading from non-sha1 supporting PHP to new sha1 supporting PHP were having problems. (Subs-Compat.php, LogInOut.php)
 & Fixed minor typos (Manual language files, Login language files)


January 2007
--------------------------------------------------------------------------------
 ! An error sometimes got generated around visual verification. (Register.php)
 ! Fixed undefined index error in search. (Search.php)
 ! Fixed error when deleting boards in some instances. (ManageBoards.php)
 ! Merging a topic wouldn't always work if using $_GET. (SplitTopics.php)
 * Javascript wasn't working right when adding a poll. (Poll template)
 & Updated copyright dates. (index language files)
 + Added a setting for toggling the complexity of the visual verification image used on registration (etc). (ManageRegistration.php, Register.php, Subs-Graphics.php, Register template)
 & Added language entries for above. (Login language files)
 ! Quick modifying HTML posts would mess up linebreaks. (Post.php)
 ! The package manager wasn't uninstalling "end" searches correctly. (Subs-Package.php)
 ! Package manager was wrongly labelling redirects. (Packages.php)
 ! Inside of html tags convert &#13; to a real newline. (Subs.php)
 ! Resend activation after email change did not work with Joomla bridge (Joomla bridge/smf.php)
 ! Fixed language synch for login module on non-forum pages (Joomla bridge/mod_smf_login.php)
 ! It was not possible to remove a partial custom index. (ManageSearch.php)
 ! Fixed a bug in PCRE causing regular expression compilation failures in UTF-8 mode. (Load.php, Search.php, Subs.php, Subs-Members.php, Subs-Post.php)
 ! If an email had a quote in it sending a newsletter would fail. (ManageNews.php)


December 2006
--------------------------------------------------------------------------------
 ! Wrong capitalization on a couple of function calls. (PersonalMessage.php, Profile.php)
 ! Some bridge registration functions were still using deprecated constants. (Mambo 4.6 bridge/smf_registration.php)
 ! Users should never be redirected by to registration and activation pages on login (Mambo/Joomla bridge/smf.php)
 ! Do not allow 0, 0px, or 0pt to be used in size tags. (Subs.php)
 + Added e107 bridge. (Several files)
 ! Fixed a bug with the to and bcc fields for PMs that could cause some problems when displaying an invalid name. (PersonalMessage.php)
 + Added delete member and change member data integration hooks to e107 bridge. (e107 bridge/smf.php)
 + Added an "Upgrade" tab to the Mambo/Joomla bridge config page. (several files)


SMF 1.1.1                                                      December 17, 2006
================================================================================
December 2006
--------------------------------------------------------------------------------
 ! Fixed multi-language support for Mambo/Joomla bridge login module on non-forum pages. (Mambo/Joomla bridge/mod_smf_login.php)
 + Added register mambot to Mambo 4.6 bridge so that users who register in Mambo are auto-created in SMF. (Mambo 4.6 bridge/SMF_register.php, SMF_register.xml)
 ! Fixed bridge registration so that it uses Mambo 4.6's new language method. (Mambo 4.6 bridge/smf_registration.html.php)
 ! The regular expression used for parsing '/me'-lines didn't work properly in older PHP versions. (Subs-Post.php)
 ! Fixed usage of array before it was declared (Load.php)
 ! Mambo/Joomla bridge config should go to main admin page if "Cancel" is clicked (Mambo/Joomla bridge/admin.smf.php)
 ! Fixed a missing global (Mambo 4.6 bridge/smf.php)
 + Changed the SEF handling in the bridge for use with third party Joomla SEF components (Mambo/Joomla bridge/smf.php)
 + Added Kindred's enhancements to the bridged whos online (Mambo/Joomla bridge/smf.php, smf_integration_arrays.php)
 ! Deleting a member in SMF deleted in Joomla, but not in Joomla's ACL (Mambo/Joomla bridge/smf.php)
 ! Bridge login module didn't handle language variables correctly. (Mambo/Joomla bridge/mod_smf_login.php)
 ! Some dates in the installation script were not MySQL STRICT compatible. (install-1.1.sql)
 ! Log the ban check IP in messages. (Subs-Post.php)
 ! It was possible for files to be sent with the wrong mime type - reported by Jessica Hope and rotwang. (Display.php)
 * Search template looked a little odd on IE. (Search template)
 * In prune boards the checkbox for stickies would toggle with the board selection. (Admin template)
 ! Send annoucements in slightly smaller chunks. (Post.php)
 ! Make it impossible to make guests too much like administrators. (ManagePermissions.php)
 ! Aposthophes in smiley directories would cause a SQL error. (ManageSmileys.php)
 ! Fixed labelling personal messages not being restricted to the current member. (PersonalMessage.php)
 ! In rare cases search didn't return any results, while it should have. (Search.php)


SMF 1.1                                                        December 02, 2006
================================================================================
December 2006
--------------------------------------------------------------------------------
 ! Optimized a query in recent posts. (Recent.php)
 ! Image verification sound wouldn't always work in Firefox. (Subs-Sound.php)
 ! Caching user permissions was not always respecting deny permissions. (Load.php)
 ! Put in a fix for DST issues cropping up due to spanned events. (Calendar.php)
 ! PM labels were not being properly truncated. (PersonalMessage.php)
 * Don't allow people to report their own Personal Message. (PersonalMessage template)


November 2006
--------------------------------------------------------------------------------
 ! Previewing a post wasn't respecting the disable smiley option. (Post template)
 ! Changed the transfer-encoding method to base64 as it appears to be better supported by webmail clients. (Subs-Post.php)
 ! Fixed the spelling checker not work properly for non-western and UTF character sets. (spellcheck.js, Subs-Post.php)
 ! The JavaScript function php_strtolower wasn't working properly on all servers. (sha1.js)
 ! Made the recognition of the character set for the UTF8 conversion function case insensitive. (Admin.php)
 * The inline subject editor on the message index now allows 'enter' as save-key. (MessageIndex template)
 * The inline subject editor on the message index in some cases cancelled on selecting the input box. (xml_board.js, MessageIndex template)
 ! A missing email address in a package could cause two undefined indexes. (PackageGet.php, Packages template)
 ! Redirect to the theme list after deleting a theme. (Themes.php)
 ! Applied a different method to trim spaces for UTF-8 strings as the previous one didn't appear to be working on all servers. (Load.php)
 * Firefox doesn't display horizontal scrollbars when needed in code tags, so use some javascript to make it happen. (index templates)
 * Added a class to the containing div for the help window and for the audio verification. (Help and Register template)
 * Cleaned up the HTML a little for the audio verification. (Register template)
 ! Fixed a bug causing the age weight of a search to be zero. (Search.php)
 * The spell check function for inline editing didn't work properly in some cases. (Display template)
 ! Some columns containing message ID's were not formated as unsigned integers. (Search.php, ManageSearch.php, upgrade_1-1.sql, install_1-1.sql)
 ! Old PHP-versions didn't compile some regular expressions properly in UTF-8 mode. (Load.php, Search.php, Subs-Members.php, Subs-Post.php, Subs.php)
 ! The recent posts on the board index could use a different timezone in rare cases. (BoardIndex.php)
 ! Make sure fulltext indexes are dropped before they are created, in case they weren't detected properly. (ManageSearch.php)
 ! The avatar settings weren't getting reshown if you uploaded an invalid avatar. (Profile.php)
 ! Searching for Personal Messages always resulted in no more than one page. (PersonalMessages.php)
 ! PM labels selected for searching Personal messages were not carried over in consecutive pages. (PersonalMessages.php)
 ! Selecting multiple (but not all) labels for searching resulted in less results than expected. (PersonalMessages.php)
 * Clicking 'Advanced search' on searching Personal Messages redirected to the forum search. (PersonalMessages template)
 * The 'Advanced search' link in both PM and forum search didn't carry over the search term properly if it contained UTF-8 characters. (PersonalMessages template, Search template)
 * The id attribute used for labels had an invalid format in some templates. (Admin template, ManageNews template, PersonalMessages template, Poll template, Post template)
 * The PM folder HTML form was improperly referred to by JavaScript. (PersonalMessages template)
 ! Fixed several package manager bugs. (Packages.php, Subs-Package.php)
 & Added a language string for the above change. (Packages language files)
 ! Fixed the htmltrim function trimming too many characters. (Load.php)
 ! Prevent prefetching bots to clutter the error log when trying to access non-public boards. (Load.php)
 ! The quick login setting was reversed on the board index. (BoardIndex.php)
 ! The move-file directive used in package-info.xml was not working properly. (Subs-Package.php)
 ! Using the root path as FTP path for executing modifications in some cases returned a 'Path could not be found' error. (Subs-Package.php)
 ! Prevent search engine crawlers from indexing duplicate pages. (Display.php, index template)
 ! Selecting members for banning from a popup wasn't working properly. (Subs-Auth.php, ManageBans template)
 ! Small typo in Admin.php could throw an error during table optimization. (Admin.php)
 * Trying to set a topic to have no subject was causing a javascript error. (xml_board.js)
 ! An error could be triggered in rare cases on installing modifications. (Subs-Package.php)
 * Some pages of the help section didn't validate. (Help template)
 & Changed a language string for the above change. (Manual language file)


October 2006
--------------------------------------------------------------------------------
 ! Fixed the page title on the user account deletion confirmation page. (Profile.php)
 ! The modSettings variable wasn't in the global list for the reset password function, making the integration call worthless. (Subs-Auth.php)
 ! The "Find Members" box loses track of whether it's buddies only on pagination. (Subs-Auth.php)
 ! Fixed various times where some necessary globals were missing. (ManageBoards.php, ManageSmileys.php, Reminder.php, RemoveTopic.php)
 * Only show dividers between BBC buttons if there are some within the dividers. (Post templates)
 ! Searching for member details by date was often a fruitless experience. (ManageMembers.php)
 * Try to avoid the "register button won't work" scenario on register. (Register template)
 ! When fixing BBC tags make sure to always assign a closing tag. (Subs-Post.php)
 ! Make sure that Mambo/Joomla bridges do not use the $database object for accessing the SMF database. (several files)
 ! When saving the config, Joomla was adding in new rows when it should have been updating existing rows. (Mambo/Joomla bridge/admin.smf.php)
 & Fixed small typos in admin panel. (Admin.english.php, Themes.english.php)
 * Linked membergroup name in ManageMembergroups to the list of members. (ManageMembergroups.php, ManageMembergroups.template)
 + Added browser detection for Firefox 1 and Firefox 2 specifically. (Load.php)
 ! CAPTCHA now uses truetype fonts wherever possible to give slightly clearer images. (Subs-Graphics.php, several fonts)
 ! Fixed bug in showLetterImage that caused the function to often fail. (Subs-Graphics.php)
 ! Changed Xoops login integration hook to use Xoops native authorization objects. (Xoops bridge/index.php)
 ! Some search parameters weren't being sanatized when accessing a previous search, leading to a potential XSS vulnerability. (PersonalMessage.php, Search.php)
 ! Minor typo in PlushSearch2 prevented "user" search parameter from being remembered when trying to access a previous search. (Search.php)
 ! Encrypted login failed for some character sets when the username or password contained non-western characters. (sha1.js, script.js, Load.php, index template)


September 2006
--------------------------------------------------------------------------------
 + Added option for showing visual verification on Personal Message page. (PersonalMessage.php, PersonalMessage template, upgrade_1-1.sql, install_1-1.sql, ModSettings.php)
 + Added option to limit number of personal messages to be sent in one go. (PersonalMessage.php, upgrade_1-1.sql, install_1-1.sql, ModSettings.php)
 & Added language entries for above changes. (Help, ModSettings, PersonalMessage language files)
 ! Updated versions numbers to 1.1 (Final). (Several Files)
 ! The hotmail fix didn't work properly. (Subs-Post.php)
 ! The URL for deleting the install and upgrade files was using an invalid request variable. (upgrade.php, install.php)
 ! When checking how many personal messages a user has sent the last hour - count the recipients not the messages. (PersonalMessage.php)
 ! If the user has some special characters in their password, check to see if they still have an old hash when logging in. (LogInOut.php)
 ! Bridged attached images wouldn't open in a new window. (Mambo/Joomla bridge/smf.php)
 ! Some types of outgoing emails were not rewritten properly. (Mambo/Joomla bridge/smf.php)
 ! Javascript doesn't like HTML entities. (Mambo/Joomla bridge/smf.php)
 ! Fixed a problem when there are no message icons. (Post.php)
 + Add login bot to Mambo 4.6 bridge (Mambo 4.6 bridge/SMF_login.php, SMF_login.xml)
 ! Fixed a problem with the cur_cat parameter when adding a new board. (ManageBoards.php)
 ! The PM visual verification was not respecting the settings. (PersonalMessage.php)
 + Add logout functionality to Mambo 4.6 login bot. (Mambo 4.6 bridge/SMF_login.php)
 ! Prevent users without access to any boards from causing a query error when using the unread posts search. (Recent.php)
 * In the default theme, don't show the mark all as read button if the user can not see any boards.  (BoardIndex template)
 ! Previewing a PM should no longer cause an undefined variable error.  (PersonalMessage.php)
 & Fixed typos in some admin language files  (Admin language files)
 ! Allow the use of uppercase letters when specifying the color for the glow and shadow tags. (Subs.php)
 ! Make the php version of SSI examples use the forum character set. (ssi_examples.php)
 ! If the user deletes the recycling board, turn off the setting to prevent problems. (Subs-Boards.php)
 ! Automatically include the know IPs when tracking a user and looking for other members with the same IP. (Profile.php)
 * The IPs used in error messages was checking the wrong context value. (Profile template)
 ! Make sure that there are no HTML entities in bridged unwrapped javascript. (Mambo/Joomla bridge/smf.php)
 ! Add some missing languages to the synch array. (Mambo/Joomla bridge/smf_integration_arrays.php)
 ! Try every possibility for language synching to avoid template errors. (Mambo/Joomla bridge/smf.php)
 ! Missing globals in bridge resend password. (Mambo/Joomla bridge/smf_registration.php)
 ! Try to change some of the settings in case users don't do it themselves. (Mambo/Joomla bridge/smf.php)
 ! Get rid of the extra slash When going from the Xoops admin panel to the SMF admin panel. (Xoops bridge/admin/index.php)
 ! Recurse changes from Mambo/Joomla bridge to Mambo 4.6 bridge, and remove Joomla-specific code (several files)
 ! When adding a new message icon, make sure to escape the titles of the current icons. (ManageSmileys.php)
 ! Don't log password strength errors into the forum error log. (Subs-Members.php)
 ! The php tag wasn't acting like a proper block level tag. (Subs.php)
 ! Make sure bridge registration is compatible with Mambo 4.6. (Mambo 4.6 bridge/smf_registration.php)
 ! Bridge registration component doesn't need an installation script for Mambo 4.6. (Mambo 4.6 bridge/install.smf_registration.php)
 ! Search results could in some cases get a relevance above 100%. (Search.php)
 ! Check for additional problematic values in the starting value for the memberlist. (Memberlist.php)
 ! When synching users from Mambo/Joomla to SMF, check to see if the admin wants usernames or real names as display in SMF. (Mambo/Joomla bridge/admin.smf.php)
 ! SEF URLs work differently in Mambo 4.6 (Mambo 4.6 bridge/smf.php)
 ! When posting a new calendar event automatically select the default board. (Calendar.php)
 * When posting a new calendar event carry over the board selection to the post page. (Calendar template)
 ! Correctly close url tags that are changed to iurl. (Subs-Post.php)
 ! Change all URLs in RSS feeds to bridged URLs. (Mambo/Joomla bridge/smf.php)
 ! Not all special characters were converted correctly in bridged outgoing emails (Mambo/Joomla bridge/smf.php)
 ! Upgrade was sometimes losing changes to the Settings.php file. (upgrade.php)
 ! Ensure adding a member to a group is case insensitive. (ManageMembergroups.php)
 ! Ensure the log_online timestamp is backed up correctly. (DumpDatabase.php)
 ! Added a page title to the page that requests ftp details. (Subs-Package.php)
 ! Search wasn't always including the subject matches properly. (Search.php)
 ! Don't include administrators in the permission reports, they get to do everything anyways. (Reports.php)
 ! Show local moderators as being able to access all boards since in reality a moderator can always access their board. (Reports.php)
 ! If a guest tries to post with a reserved name, handle it as a post error instead of causing a fatal error. (Post.php, Subs-Members.php)
 ! Some configurable number format options were not showing the decimal separator. (Load.php)
 ! The 'most popular boards by activity' statistics were not always showing the proper boards. (Profile.php)
 ! Check the session when downloading a package. (PackageGet.php)
 ! Show the search section in the linktree in the personal message area. (PersonalMessage.php)
 ! Make the package options title like the other package page titles. (Packages.php)
 ! Check to make sure the limit is a positive value when showing a feed. (News.php)

August 2006
--------------------------------------------------------------------------------
 * Change the random code before getting a new visual verification image. (Register template)
 ! Keep Joomla from eating Personal Message anchors. (PersonalMessage.php, PersonalMessage.template.php)
 ! Some bridged emails have \n\r replaced with underscores. (Mambo/Joomla bridge/smf.php)
 ! Let Joomla clean its own variables. (Mambo/Joomla bridge/SMF_header_inlcude.php)
 * Fixed a javascript error occuring on posting in the saveEntities() function. (Post template)
 ! Tweaked the CAPTCHA image to be a little less obstructed by the dots. (Subs-Graphics.php)
 ! Don't allow people to keep guessing at the same image. (Register.php)
 ! Updated iGamingCMS bridge for latest version of iGaming. (several files)
 ! Get the Mambo mainframe instance before trying to assign values to it. (Mambo 4.6 bridge/smf.php, SMF_header_include.php)
 + Added installation instructions for iGaming bridge. (iGamingCMS bridge/readme.txt)
 & Added Hungarian language files for Mambo and Joomla bridges. (several files)
 ! Uninstalling XML-packages in which the original text string contained a dollar sign wasn't working properly. (Subs-Packages.php)
 ! Fixed boardurl without a hostname showing a notice on session check. (Security.php)
 ! Redirect to the admin panel home page if user cancels configuration (Mambo/Joomla bridge/admin.smf.php)
 ! Restructure Mambo 4.6 bridge for new Universal multi-plugin installation (several files)
 ! Using symbols such as an apostrophe in the password should now hash it correctly allowing login from the front page. (Profile.php, LogInOut.php)
 * Submitting a quick moderation form could result in a Javascript error. (MessageIndex template)
 ! Multiple consecutive /me statements didn't get parsed properly. (Subs-Post.php)
 ! Prevent strict notices appearing in PHP 5.1 caused by not setting a default timezone. (Load.php, install.php, upgrade_1-1.sql)
 * The auto detect time offset function was returning the wrong sign.  (Profile template)
 ! No longer block requests with cookies containing numeric keys. (QueryString.php)
 ! Changed the column type to allow for a larger buddy list. (upgrade_1-1.sql, install_1-1.sql)
 ! Fixed the line break being used in non-windows systems in mails sent by sendmail. (Load.php, Subs-Post.php)


SMF 1.1 RC3                                                      August 21, 2006
================================================================================
August 2006
--------------------------------------------------------------------------------
 ! Fixed an undefined index notice in the 1.0 upgrade script. (upgrade_1-0.sql)
 ! Use a modified key for APC to counteract an APC bug retrieving the wrong keys. (Load.php)
 ! The linked events in the topic display was using the same context variable as SSI's ssi_todaysEvents(). (Display.php, Display template)
 + Added option for synching languages to the Mambo/Joomla bridge. (Mambo/Joomla bridge/install.smf.php, admin.smf.php, smf.php)
 ! Searching inside topics sorted by topic size didn't yield results. (Search.php)
 ! Adjusted the relevancy rating for searching within topics, making the theoretical maximum rating 100%. (Search.php)
 ! Make sure CAPTCHA images work in Mambo/Joomla as well. (Mambo/Joomla bridge/smf.php)
 ! Fix (fast) quoting/modifying messages that no longer exist showing an 'undefined index' notice. (Post.php)
 ! Messages could be sent with a body containing only bulletin board code. (Post.php)
 ! The check on the maximum length of a Personal Message didn't respect UTF-8 characters. (PersonalMessages.php)
 ! The installer didn't show the error properly in case it was unable to disable mod_security. (install.php)
 * Generated reports were still showing a button instead of a tab for the print layout link. (Reports template)
 ! The package manager wasn't showing the last two packages from the server's packages.xml correctly. (PackageGet.php)
 ! Use the member ID instead of the topic ID to search through the log_topics table for the 'Find and repair any errors' function. (RepairBoards.php)
 ! Let the cache (if enabled) help remembering the last visit time when viewing 'unread posts since last visit'. (Load.php)
 ! The entityconvert function was declared twice. (Subs-Post.php)
 ! The Personal Message search function did not respect the deletion flag. (PersonalMessages.php)
 ! Make sure the user themselves are shown in the list of 'who's viewing this board/topic'. (Display.php, MessageIndex.php)
 ! Finalize Joom!Fish integration (Mambo/Joomla bridge/admin.smf.php, smf.php)
 ! To keep it consistent with the other admin functions, check the permissions for manage boards prior to calling the admin index. (ManageBoards.php)
 ! Fixed notifications not being property reset when viewing a topic in some cases. (Display.php)
 ! Maintaining attachments was not showing the "Complete" message - ever. (ManageAttachments.php)
 * Added the ability to request a new visual verification image and to link directly to the verification sound file. (Register template, Login language files)
 * Firefox doesn't play well with the move BBC tag and AJAX previewing, so make it use regular preview if the move tag is present. (Post template)
 ! Store a different version of the users IP to get around highly unlikely spoofing issues. (upgrade_1-1.sql, install_1-1.sql, install.php, Subs-Members.php, Security.php, QueryString.php, Load.php)
 ! Don't allow users to get a new visual verification code simply by refreshing. (Register.php)
 * Changed several definitons into shorter versions. (style.css)
 ! Don't send the newsletter to members who are unable to turn off their notification due to a banning. (ManageNews.php)
 * The auto detect time offset script should now work regardless of day boundries.  (Profile template)
 * Help.template changed to better use current theme colors. Updates on PM help section. (Help.template, help.css, languages/Manual.english, languages/Manual.dutch, languages/Manual.german, languages/Manual.spanish)
 ! Added a caching mechanism to the memberlist to prevent a query that relies heavily on filesort to put too much pressure on the database. (Memberlist.php, Subs.php, Profile.php)
 * The WAP2 template didn't allow expanding of categories while the I-mode template didn't allow both collapsing and expanding of categories. (Wireless template)
 ! Converted all occurences of the ucwords function to an internationalized version. (Load.php, ManageServer.php, Profile.php, Register.php, Subs-Charset.php, Subs.php, Packages template)
 ! Show languages without the -utf8 suffix. (Profile.php, Register.php, Load.php)
 ! Prevent some member/board/topic statistics to become negative. (RemoveTopic, MoveTopic.php, SplitTopics.php)
 ! The ;topicseen paramater didn't always work properly. (Display.php)
 ! Make sure the upgrade script respects the current database character set setting. (upgrade.php)
 ! Fixed undefined index error in Register template. (Register template)
 * Tweaked the way the visual verification box looks on the register form. (Register.php)
 ! The second IP wasn't properly checked for IP bans. (Load.php, Security.php, QueryString.php)
 ! The internationalized version of the ucwords function didn't work properly. (Load.php)
 ! Some emails were getting sent twice. (Subs-Post.php)
 ! Fixed undefined index in RepairBoards. (RepairBoards.php)
 ! Fixed bridged admin user creation (Mambo/Joomla Bridge/smf.php)
 ! Language array was backwards (Mambo/Joomla Bridge/smf.php)
 ! Posting just an image will again count as posting something. (Post.php)
 ! Fixed an undefined index occuring in some cases when sending emails. (Subs-Post.php)
 * The sticky topic weight percentage wasn't updated properly. (ManageSearch template)
 ! Split utf8_strto into utf8_strtoupper and utf8_strtolower for speed optimization. (Subs-Charset.php, Load.php, Subs.php)
 ! The php BBC tag was incorrectly setting up the validate function when the tag was disabled. (Subs.php)
 + Added a "who's online" integration hook (Who.php)
 + Split off the large integration arrays in the Mambo/Joomla bridge into their own file (Mambo/Joomla bridge/smf.php, smf_integration_arrays.php, smf.xml)
 + Added "who's online" hook functionality to Mambo/Joomla bridge (Mambo/Joomla bridge/smf.php, smf_integration_arrays.php)
 ! Fixed unset not working properly in all cases due to a vulnerability in PHP. (QueryString.php, Profile.php, Post.php, ManageNews.php)
 ! Make sure that variable names in Joomla header bot don't interfere with non-com_frontpage front pages (Mambo/Joomla bridge/SMF_Header_include.php)
 + Added bridge for Mambo 4.6 (several files)
 ! Don't allow the admin to register a member with the same name as another member. (ManageRegistration.php, Subs-Members.php)


July 2006
--------------------------------------------------------------------------------
 ! Block page requests attempting to modify the $GLOBALS variable. (QueryString.php)
 ! Changed some references to the $GLOBALS variable into global scope variables, since the $GLOBALS variable can be rather unpredictable. (several files)
 ! Fixed some bugs occurring on the 'Show Posts' section of the Profile screen. (Profile.php)
 ! Added an AJAX in progress indicator (script.js, index.template, index language files, style.css)
 ! The AJAX indicator will now be used when quoting, quick editting, changing the topic's subject on the message index, and when expanding stats (xml_board.js, xml_topic.js, Stats.template)
 ! Added the AJAX indicator to the Babylon and Classic themes (index.template, style.css)
 + Added "Guest" as a group for Group Synch option (Mambo/Joomla bridge/admin.smf.php)
 ! Function mambo_smf_exit was broken (Mambo/Joomla bridge/smf.php)
 ! Added a UTF-8 version of strtolower in order to make search indexing case insensitive. (Load.php, Subs-Charset.php)
 ! Fixed an bug causing the repair forum function to generate a lot of notices. (RepairBoards.php)
 ! Visual verification didn't work properly when guest access was disabled. (index.php)
 ! Fixed some bugs that were causing entities to be shown incorrectly in (nofication) mails. (Subs-Post.php)
 ! HTML-entities in a non-UTF-8 environment were not properly parsed in Personal Messages. (Subs-Post.php)
 ! Make sure the response prefix is always taken from the forum's default language. (MoveTopics.php, Post.php, PersonalMessages.php, SplitTopics.php, Display.php, Display template)
 ! Update version info for Mambo/Joomla bridge. (several files)
 ! Only install the header bot in Joomla. (install.smf.php)
 ! Make sure that the login conforms to mysqli. (smf.php)
 ! Added an error message to the installer in case UTF-8 is not supported by the current MySQL version. (install.php, install language files)
 ! No longer do an explicit count on columns that cannot be NULL as MySQL doesn't optimize this properly. (several files)
 ! Include the table definition in the temporary table creation to assure the proper formatting of the columns. (Recent.php)
 ! Some regular expressions were causing internal code overflow errors when combined with the UTF8 modifier. (Load.php, Subs-Members.php, Subs-Post.php, Subs.php)
 ! A few input controls on the install page were wrongly labeled. (install.php)
 ! Make sure all time bound processes don't modify the $time_start variable. (ManageAttachments.php, Admin.php)
 ! The subject link wasn't adjusted properly after quick editing a message. (xml_topic.js)
 ! Don't count requesting an XML/RSS-feed as being online (in most cases these kind of pages are retrieved automatically). (index.php)
 ! Make sure $context['utf8'] is set when parse_bbc() is called. (Subs.php)
 ! Fixed htmlspecialchars__recursive() and htmltrim__recursive() not working without $func being defined. (QueryString.php)
 ! Updated credits. (Admin.php)
 ! A few characters were not encoded in mimespecialchars() causing improper headers in rare cases. (Subs-Post.php)
 ! Fixed undefined indexes on including certain language files in the installer. (install.php)
 ! Return to the previous step if either the email address or the username is invalid. (install.php)
 * Added an indicator for new child board posts in the board and message index to the Imode & WAP2 template. (Wireless template)
 ! Updated the version for style.css and script.js so browsers will invalidate them upon update. (index.template)
 ! The response prefix wasn't loaded into the context variable on posting messages. (Post.php)
 ! Cleaned up Mambo/Joomla group synch queries, and display group name instead of group id. (Mambo/Joomla Bridge/admin.smf.php)
 + Added support for language components like Joom!fish. (Mambo/Joomla Bridge/smf.php)
 ! Deny direct access to the bridge file. (Mambo/Joomla Bridge/smf.php)
 ! Prevent search from using regular expression matchin if HTML entities are being used in the query. (Search.php)
 ! Ignore some characters in search queries that might prevent the search index from working properly. (Search.php)
 ! Don't use regular expressions in the WHERE part of the query when using BOOLEAN MODE in fulltext searches. (Search.php)
 ! Use the phrase search feature for BOOLEAN MODE fulltext search. (Search.php)
 ! Changed the behavior of the 'force index' option from searching only in combination with an index to searching exclusively using an index. (Search.php)
 ! Fixed excluded words in some cases not being checked for in the subject and the body. (Search.php)
 ! Make sure the matching body lines in the search results respect UTF-8 character boundaries. (Search.php)
 ! Search didn't always return results if only the subject matched. (Search.php)
 ! Fix outgoing email integration function for Mambo/Joomla and new SMF UTF-8 requirements (Mambo/Joomla Bridge/smf.php)
 ! Remove VirtueMart compatibility code -- fixed by VirtueMart (Mambo/Joomla Bridge/mod_smf_login.php)
 ! Added a (hidden) option 'search_simple_fulltext' to search the forum using a single non-binary fulltext query. (Search.php, Search templates)
 ! UTF-8 and entity conversion in some cases corrupted serialized strings stored in the database. (Admin.php, Subs-Charset.php)
 ! Searching messages with the 'topic subjects only' option selected and specifying a user only yielded a result if the user was the topic starter. (Search.php)
 * Updated the login and password reminder screens in the manual to be in sync with the 'real' screens. (Help templates)
 ! Recount statistics was not timing out correctly. (Admin.php)
 ! Updated version numbers to RC3. (All files)
 ! Too many periods in Apache seemed to cause it to segfault. (Subs-Post.php)
 ! Try do a better job of protecting against upgrade timeouts for index changes. (upgrade_1-1.sql)
 ! Fixed # signs in bridged outgoing emails (Mambo/Joomla Bridge/smf.php)
 - Removed obsolete bridge files (Mambo/Joomla Bridge/config.smf.php, config.smf_registration.php)
 ! Updated bridge version info (several files)
 ! Added a Javascript'ed fix in order to be able to discern numeric HTML-entities from upper-ASCII characters when posting messages. (Calendar template, PersonalMessages template, Poll template, Post template, xml_topic.js, Calendar.php, Poll.php, Post.php)
 ! Only run the integrate_exit call if the template layers have been setup. (Subs.php)
 ! Make sure transfer-encoding 'quoted-printable' is only used in cases '7bit' is not allowed. (Subs-Post.php)
 ! The global variable $db_cache didn't always get initialized, causing a warning. (Subs.php)
 ! Integrate outgoing emails before altering messages for mime special characters. (Subs-Post.php, Mambo/Joomla bridge/smf.php)
 ! Fix URLs for Joomla 1.0.10 SEF updates. (Mambo/Joomla bridge/smf.php)
 ! Fix adding new membergroups to synch in Joomla bridge config. (Mambo/Joomla bridge/admin.smf.php)
 ! Fix "Missed Activation" functionality in Mambo/Joomla bridge. (Mambo/Joomla bridge/smf_registration.html.php, smf_registration.php)
 & Added 'Search in...' to $txt['search_subject_only'] for clarity sake. (Search language files)
 ! Attempted to stop timeout issues with upgrade. (upgrade.php, upgrade_1-1.sql)
 ! Fixed 'You have already submitted this post' error showing in some cases it shouldn't. (Security.php, Post.php)
 + Added selection for Mambo/Joomla bridge to toggle SMF CSS (Mambo/Joomla Bridge/install.smf.php, admin.smf.php, smf.php, SMF_Header_inlcude.php)
 ! Added a fix for Hotmail not showing UTF-8 mails properly. (Subs-Post.php)
 ! A query in updateMemberData was not passing the file and line constants to db_query. (Subs.php)
 ! Make links in notifications sent to hotmail addresses clickable. (Subs-Post.php)
 ! Allow partial word matches of the subject in case it's enabled in the search settings. (Search.php)
 ! Limit the amount of table joins when searching for extremely long phrases. (Search.php)
 ! Prevent the search function from looking for a suggestion if the search term is an integer as that can for unknown reason crash PHP. (Search.php)
 ! Added the log_search_topics table in the 'empty unimportant logs' process. (Admin.php)
 ! Some error log filters were shown with too many slashes. (ManageErrors.php)
 ! Prevent undefined indexes as result of an error in 'Attachments and Avatars', e.g. session error. (ManageAttachments.php)


 June 2006:
--------------------------------------------------------------------------------

 ! Make sure that bridged login is compatible with Joomla 1.0.9. (Mambo/Joomla bridge/smf.php)
 ! Alter bridge output for Xoops 2.0.14 compatibilty. (Xoops Bridge/index.php,smf_index.html)
 + Added Mambo/Joomla pathway code. (Mambo/Joomla bridge/smf.php)
 ! Made it impossible to erase admin status for the original Mambo/Joomla admin. (Mambo/Joomla bridge/admin.smf.php)
 ! All numbers should now respect the format specified by the admin. (Profile.php, Subs.php, ManageSearch.php)
 ! Added an optional parameter to override the number of decimal places used in a number. (Subs.php)
 ! No longer check for an absolute string length before inserting subject and body into the database. (Post.php)
 ! Added the visual verification disable option to the interface. (ManageRegistration.php, Register.template, Login language files)
 ! Login integration hook was inserting email as username in some cases (LoginOut.php)
 ! Show a more generic error when searching doesn't yield a result. (Errors language files)


 May 2006:
--------------------------------------------------------------------------------

 ! Make sure that bridge logins are not case sensitive. (Mambo/Joomla bridge/smf.php)
 ! When synching users from Joomla to SMF, emails were written into passwords. (Mambo/Joomla bridge/admin.smf.php)
 ! Make sure SSI doesn't chop off messy Gallery2 component URLs. (Mambo/Joomla bridge/SMF_Header_include.php)
 + Added bridge for Joomla 1.5. (several files)
 ! Fixed integrated login for Joomla 1.5. (Joomla 1.5 bridge/smf.php)
 ! Fixed integrated logout for Joomla 1.5. (Joomla 1.5 bridge/smf.php)
 ! Emptying unimportant logs was accidently erasing the subject cache. (Admin.php)
 ! Try to chmod the mambots/system folder in case people don't follow instructions. (Mambo/Joomla bridge/install.smf.php)
 * Added a (manual) method by which the auto-news from SMF can be disabled. (Admin, ManageSmileys, Packages, Themes templates)


 April 2006:
--------------------------------------------------------------------------------
 + Added a visual verification code to the registration function. (index.php, Register.php, Subs-Graphics.php, Register template)
 & Added a few entries for the above feature. (Login language files, Error language files)
 * Added a font directory to the default theme for visual verification code feature. (Themes/default/fonts)
 + Added code to allocate more RAM for bridges (Mambo/Joomla bridge/smf.php)
 + Added checking to the topic, board, and action REQUEST parameters to ensure they are not arrays prior to processing (QueryString.php)
 ! Firefox doesn't like entities in Javascript (Mambo/Joomla bridge/admin.smf.php)
 + RSS feeds go to wrapped forum posts (Mambo/Joomla bridge/smf.php)
 ! As long as there is an exit integration hook, let it handle all pages, special or not (Subs.php, Mambo/Joomla bridge/smf.php)
 ! Member information wasn't being used properly in the registration hook (Mambo/Joomla bridge/smf.php)
 ! Fixed an undefined variable error (News.php)
 ! Fixed a bug when adding members to a membergroup through the admin control panel (ManageMembergroups.php)
 ! Fixed an empty delimiter using explode (Subs-Post.php)
 ! The password was not being checked properly when modifying your own profile.
 ! VirtueMart compatibility wasn't always working (Mambo/Joomla Bridge/mod_smf_login.php)
 ! Added a spoken version of the visual verification code. (Register.php, Subs-Sounds.php, Register.php, Register template)
 & Added a few language tags for the above change. (Login language files)
 * Added 'sound font' to the default theme dir. (Themes/default/fonts/sound/*.english.wav)
 ! Added a bit of random noise to the visual verification code. (Subs-Graphics.php)
 ! Optimised the code for moving a topic. (MoveTopic.php)
 ! Added new index to log_topics table to help speed up admin functions. (upgrade_1-1.sql, install_1-1.sql)
 + Added wrapped/unwrapped option to Xoops bridge (Xoops bridge/index.php, xoops_version.php, modinfo.php)
 ! Load the SMF session before the Xoops session for cleaner session handling (Xoops bridge/index.php)
 ! Make sure that Mambo/Joomla installer files have proper PHP tags (Mambo/Joomla bridge/install.smf.php, uninstall.smf.php)
 + Add warnings about use of Synching buttons (Mambo/Joomla bridge/admin.smf.php)
 ! Logout integration hook wasn't redirecting properly in some cases (Mambo/Joomla bridge/smf.php)
 ! Mark unread wasn't taking you back to the right place when you revisited the topic. (Display.php)
 * Editing posts with two dollar signs in it wasn't working. (xml_topic.js)
 ! If host_from_ip fails still cache the result as system commands can take time. (Subs.php)
 ! If a server doesn't support the timeout option on host then disable it. (Subs.php)
 ! There doesn't appear to be any reason to slash square brackets in emails. (Subs-Post.php)
 * The help template had some incorrect text entries. (Help template)
 ! Don't put defunct package servers in upgrade. (upgrade_1-1.sql)
 ! Group Synch did not insert new rows for SMF group IDs greater than 8 (Mambo/Joomla bridge/admin.smf.php)
 ! When tracking a user only look at their latest posts to save query time. (Profile.php)
 ! Add a little overhead when picking a theme incase the admin is hiding some. (Themes.php)


 March 2006:
--------------------------------------------------------------------------------
 * Tab order now includes the spell check button for the quick reply box (Display.template.php)
 ! Added an extra check on the HTTP_X_FORWARDED_FOR input variable. (QueryString.php)
 + Added Joomla 1.0.8 session compatibility (Mambo/Joomla bridge/smf.php)
 + Added VirtueMart session compatibility (Mambo/Joomla bridge/mod_smf_login.php)
 ! Limit the number of words that can be searched for a little bit. (Search.php)
 ! Prevent votes to be cast multiple times (Poll.php)
 + Added mambot so that Joomla! users do not have to add code to their Joomla! templates (install.smf.php, smf.php, smf.xml, SMF_header_include.php, SMF_header_include.x)
 + Added the option to use Mambo/Joomla default or CB registration (Mambo/Joomla bridge/admin.smf.php, smf.php, mod_smf_login.php)
 + Added Instant Synch tab to the Mambo/Joomla bridge admin panel (Mambo/Joomla bridge/admin.smf.php)
 ! After a successful password reset, the bridge was redirecting to the registration page (Mambo/Joomla bridge/smf_registration.php)
 + Added function to migrate SMF users to Mambo/Joomla (Mambo/Joomla bridge/admin.smf.php)
 + Added option for MamboCharge registration (Mambo/Joomla bridge/admin.smf.php, smf.php, mod_smf_login.php)
 ! Make sure to update the Mambo/Joomla ACL, in case of name change (Mambo/Joomla bridge/smf.php)
 + Added function to update Mambo/Joomla members to the group synch settings (Mambo/Joomla bridge/admin.smf.php)
 + Added 3rd party developer tab structure to the bridge config panel (Mambo/Joomla bridge/admin.smf.php)
 + Updated instructions for bridge installation (Mambo/Joomla bridge/readme.html)
 ! Make sure that header code is XHTML compliant (Mambo/Joomla bridge/smf.php, SMF_header_include.php)
 ! Fixed typos in Mambo/Joomla bridge (Mambo/Joomla bridge/smf.php)
 ! The config wasn't loading in all cases for the bridge login module (Mambo/Joomla bridge/mod_smf_login.php)
 ! New users were not being entered into the Mambo/Joomla ACL when migrated during login (Mambo/Joomla bridge/smf.php)
 ! Logout in Joomla 1.0.8 was not working without register_globals on (Mambo/Joomla bridge/smf.php)
 ! Integrated redirecting for errors and Immediate Registration was not working properly (Mambo/Joomla bridge/smf.php)
 ! Membergroup Settings page was missing it's title (ManageMembergroups.php)
 ! Fixed censor-function not working properly in all cases. (Load.php)
 * Login forms now use the number of minutes in 30 days instead of 210 days for the value of a month (index.template, Themes.php)
 ! Code cleanup in redirect integration hook (Mambo/Joomla bridge/smf.php)
 ! Make sure that users migrated in from Mambo/Joomla have post groups (Mambo/Joomla bridge/smf.php)
 ! Let Mambo/Joomla handle admin notifications with bridge registration (Mambo/Joomla bridge/smf_registration.php)
 ! Bridge header bot for Joomla was not pulling a full URL with SEF turned off (Mambo/Joomla bridge/SMF_header_include.php)
 ! Fixed group synch for Joomla (Mambo/Joomla bridge/admin.smf.php)
 ! Bridge registration hook was receiving blank information. (Mambo/Joomla bridge/smf.php)
 ! Mambo/Joomla does not check for unique names -- bridge should ((Mambo/Joomla bridge/smf_registration.php)
 ! Unchecking all BBC tags in the BBC settings page now saves the settings correctly and no longer causes an error (ManagePosts.php)
 ! Migrating users from Mambo/Joomla on login inserted blank username into stats (Mambo/Joomla bridge/smf.php)
 ! Not all default options inserted in component installation (Mambo/Joomla bridge/install.smf.php)
 - Removed the check for duplicate membergroup names (ManageMembergroups.php)
 & Removed error string for duplicate membergroup names (Error language files)
 ! Group synch panel wasn't showing inside a tab (Mambo/Joomla bridge/admin.smf.php)
 ! Users migrated from Mambo/Joomla were always using real name as display name (Mambo/Joomla bridge/smf.php)
 ! The [hr] and [br] tag no longer use style="clear: both;"
 ! The description for the active admin tab should now showing up properly in the Core theme. (Admin.template)
 ! Users will now be able to see their own hidden email address on the profile summary page. (Load.php)
 ! Email notifications of PMs should now be sent in the language the user selected.  (Subs-Post.php)
 ! Make sure database field is large enough for some very long absolute paths (Mambo/Joomla bridge/install.smf.php)
 ! Bridge config wasn't loading for bridge registration (Mambo/Joomla bridge/smf_registration.php, smf_registration.html.php)
 ! When creating a new ban, triggers for hostname and email should now be saved properly (ManageBans.php)
 ! Unwrapped option was not displaying properly (Mambo/Joomla bridge/smf.php)


 February 2006:
--------------------------------------------------------------------------------
 ! updateLastMessages was unnecessarily slow, and sometimes wrong. (Subs-Post.php, Load.php)
 + Finished basic UTF-8 support throughout the forum. (several files)
 ! Moved $modSettings['lang_character_set'] to the Settings.php file as '$character_set' to ensure the characterset before retrieving the database stored settings. (install.php)
 ! Fixed a warning shown during the install when detecting the MySQL version before connection. (install.php)
 ! The installation could not finish properly due to the function array not being initialized. (install.php)
 ! Sending Personal Messages resulted in an error. (PersonalMessages.php)
 ! Change the header for the installer to make sure the proper character set is shown. (install.php)
 ! Removed the client version check of MySQL for the UTF-8 option. (install.php)
 ! The initial values of a UTF-8 installation weren't properly inserted. (install.php)
 ! Make a better distinction between database character set and the character set of the data. (install.php, Load.php)
 ! Upgrade did not work properly due to functions that weren't initialized. (upgrade.php)
 * Mark as read on unread posts did not add any queried boards (Recent template)
 * Recent posts template was missing a closing div tag (Recent template.php)
 + Added a maintenance option to convert both the data and the database to UTF-8. (Admin.php, Admin template, index.php)
 & Added a block of tags for the above change. (Admin language files)
 ! The title link wasn't updated properly after xmlHTTP editing of a message. (xml_topic.js)
 ! Added an index to a temporary field in the Ikonboard converter to make the conversion go faster. (ikonboard_to_smf.sql)
 ! Additional internationalization fixes. (several files)
 ! The strpos function didn't work properly. (Load.php)
 + Added a HTML entities to UTF-8 characters converter as addition to the UTF-8 converter. (Admin.php, Admin template)
 & Added a block of languages strings for the above change. (Admin language files)
 ! The HTML entity converter showed a session check error. (Admin.php)


 January 2006:
--------------------------------------------------------------------------------
 + Added check for user activation in Mambo/Joomla before writing to SMF (Mambo/Joomla bridge/smf.php)
 * Closed a open <span> tag. (index template)
 ! MaxMsgID could take a value which was not numeric. (Subs.php)
 ! Repair boards has an incorrect language tag. (RepairBoards.php)
 ! Multiple errors in the query to insert members into Xoops & PhpNuke on registration. (Xoops bridge/index.php, PhpNuke bridge/index.php)
 ! The field named 'id' in the Mambo/Joomla users table isn't the same as a SQL query ID. (Mambo/Joomla bridge/smf.php)
 ! Mambo/Joomla uses the real name for the ACL, not the member name. (Mambo/Joomla bridge/smf.php)
 ! Missing queries preventing users from being inserted into Mambo/Joomla. (Mambo/Joomla bridge/smf.php, smf_registration.php)
 ! integrate_outgoing_email hook was throwing an error if there were no links in the email. (Mambo/Joomla bridge/smf.php)
 ! testing for $result should have been $smf_user. (Xoops bridge/index.php)
 * Sticky button had a wrong check. (Display template)
 ! There is no need to tear apart non-SEF URLs for outgoing emails. (Mambo/Joomla bridge/smf.php)
 & Updated French language file for Mambo/Joomla bridge. (Mambo/Joomla bridge/language/french.php)
 * Typo in javascript routine. (xml_topic.js)
 ! Added a modSetting to allow overriding the character set from the language file. (Load.php)
 + Added an option to install SMF using UTF-8 as database and output character set. (install.php)
 & Added a few language strings for the above change. (install language files)
 ! The upgrade wasn't checking for the existence of an old column. (upgrade_1-1.sql)
 ! Updated copyright dates. (All files)
 ! Changed some of the timeout values to be much more generous on servers with low timeouts. (upgrade.php, Admin.php, RepairBoards.php, ManageAttachments.php, ManageSearch.php)
 * Fix sticky topic background problems on old themes. (MessageIndex template)
 ! Fudge a fix to stop people complaining about no borders on their images. (Combat template)
 ! Mambo/Joomla bridge installation should link to the SMF license. (Mambo/Joomla Bridge/install.smf_registration.php)
 ! Fix the upgrade table backup not copying the table type. (upgrade.php)
 ! Include the character set and collation of each table for the upgrade backup. (upgrade.php)
 ! An invalid default action was selected in 'News and newsletters' for users without the edit_news permission. (ManageNews.php)
 ! Redirect for login failure was not being handled by the integration hook (Mambo/Joomla bridge, smf.php)
 * Default template was trying to use a calendar string which didn't exist. (Display template)
 ! Rewrote the upgrade process for calculating last board ID's - for the tenth time. (upgrade_1-1.sql)
 * Logic for second add poll/mark read check was wrong. (Display template)
 ! Failing a valid username and password in the Mambo/Joomla bridge should switch back to the SMF password before returning (Mambo/Joomla bridge/smf.php)
 ! Fixed URLs in javascript for insert quote to work with SEF (Mambo/Joomla bridge/smf.php)
 ! Unwrapped pages were not output (Xoops bridge/index.php)
 ! Changed the way findMembers works, to ensure it works on MySQL versions which seem to have bugs using IN with strings. (Subs-Auth.php)
 ! Fixed the calendar editing such that people without permission to modify posts can still modify the right events. (Calendar.php, Post.php, Calendar template)
 * Made a small tweak to the search results template for Personal Messages. (PersonalMessage template)
 ! Increased size of smileyOrder to allow for more smileys. (upgrade_1-1.sql, install_1-1.sql)
 * Tweaked the star javascript on manage membergroups to not force more than 0 stars. (ManageMembergroups template)
 * Changed old style buttons to use button_strip routine. (Search template, PersonalMessage template)
 * Mark as read on recent posts did not add any queried boards (Recent template)
 ! Jumpto on wrapped forums was jumping to stand alone forum (Mambo/Joomla Bridge/smf.php)
 ! Bridged logout might throw an error with register_globals off (Mambo/Joomla Bridge/smf.php)
 + Added vB 3.5 converter. (vbulletin35_to_smf.sql)
 ! Fixed converter to work with new log table system. (convert.php)
 ! Censored words had a PHP 4.4.0 incompatibility. (ManagePosts.php)
 * Removed javascript on "Delete Selected" button for tabbed themes. (Display template)
 & Cleaned up some text strings related to permissions. (ManagePermissions.english.php)
 ! Creating a new board wasn't inheriting permissions correctly. (ManageBoards.php, Subs-Boards.php)
 * Added a little protection against index errors in the Xml template - for stupid people. (Xml template)
 + Added option to installer to collect statistics. (install.php, Stats.php)
 ! Make sure that $_REQUEST variables exist before testing for their values (Mambo/Joomla bridge/smf.php, mod_smf_login.php)
 ! Some versions of Mambo and Joomla do not like $_REQUEST variables that are not cleaned first (admin.smf.php, admin.smf_registration.php)
 + Added integrate_change_member_data function to the Mambo/Joomla bridge (smf.php)
 ! Think I may have got to the bottom of the "subject/topic cache problem". (SplitTopics.php, MoveTopic.php, RemoveTopic.php)
 ! Don't mark a message as edited if it was done through javascript and not actually changed. (Post.php)
 ! When repair boards deletes orphaned topics, delete orphaned log_topics too. (RepairBoards.php)
 * Keepalive was causing problems due to a bug with FireFox 1.5. (script.js)
 ! Hardcoded text in Help template line 2219 (Help template)
 ! Fixed outgoing email bug with UTF-8 encoding (Mambo/Joomla bridge/smf.php)
 + Moved Mambo/Joomla bridge config to a database table instead of flatfile (several files)
 + Added Mambo/Joomla bridge options to main bridge config as a tab (several files)
 + Added Mambo/Joomla bridge group synchronization. (several files)
 + Added ID_GROUP to the change member data integration hook (Subs.php, Mambo/Joomla bridge/smf.php)
 ! Some SSI submission forms resulted in some cases in a session check error. (SSI.php)
 ! Updated all HTML forms to ensure enforcement of the input character set. (several files)
 ! Fixed embed and object URLs for Arcade Mod (Mambo/Joomla bridge/smf.php)
 ! Array was not handled correctly in component installer (Mambo/Joomla bridge/install.smf.php)
 ! Made automatic menu item installer MySQL 5 strict compliant (Mambo/Joomla bridge/smf.xml)
 ! Fixed real name/user name selection in Bridge Registration (Mambo/Joomla bridge/smf_registration.php)


 December 2005:
--------------------------------------------------------------------------------
 ! User migration query from Mambo/Joomla to SMF was failing (Mambo/Joomla bridge/smf.php)
 ! You couldn't send newsletters to post based membergroups. (ManageNews.php)
 ! Upgrade was changing log tables in chunks too large for some installs. (upgrade_1-1.sql)


SMF 1.1 RC2                                                    December 31, 2005
================================================================================

 December 2005:
--------------------------------------------------------------------------------
 ! Upgrade wasn't using sub steps for the log table conversion. (upgrade_1-1.sql)
 ! Try to parse &? URLs in Mambo/Joomla in case of outdated modules and links. (Mambo bridge/smf.php)
 + Added login/logout redirect code for Mambo/Joomla bridge. (Mambo bridge/smf.php)
 + Added some tools in draft stage for help file conversion. (help-convert.php, help-list.php)
 * Recent template was showing the wrong links for topic replies. (Recent template)
 + Started moving help files into the template system. (Help.php, Help template, Manual language files)
 ! Package manager was sometimes requesting ftp information when not really required. (Subs-Package.php)
 ! Added the ability to emulate forum version through package manager (albeit with no interface). (Packages.php, PackageGet.php)
 ! When editing theme settings the "template settings" from the current template were being lost. (Themes.php)
 * Added ability to customise the button strip alignment to template_button_strip. (Combat and index templates)
 * helplogo.gif replaced with helplogo.jpg in classic theme. (helplogo.gif, helplogo.jpg)
 * Started adjusting the help templates to match the current theme. (Help template)
 ! The enableSpellChecking setting wasn't always checked the right way. (Display.php, PersonalMessage.php, Post.php, Profile.php, Search.php)
 + Added searching within a topic, when searching from the Display screen. (index template, Search.php)
 ! Sort custom index search terms before querying the index. (Search.php)
 ! Prevent too high numbers being inserted/queried in the search index. (Subs.php)
 ! Mambo bridge "Forgot Password" was missing a component location for redirection upon success (Mambo bridge/smf_registration.php)
 * Removed hardcoded color and corrected typo in the stylesheet. (index templates, style.css)
 * The add poll button wasn't always shown in NDT. (Display template)
 ! Fixed PHP 5.1 problem in feature settings. (ModSettings.php)
 ! Added large_text as a possible setting type, to generate a textarea if desired. (ManageServer.php, Admin template)
 * Changed the colouring/template of personal messages to make it more consistant - and work well in other themes. (PersonalMessage template)
 ! Fixed inconsistancy with use of newtime and new_from causing error in recent messages. (Recent.php, Profile.php, Recent Templates)
 ! Empty logs was cleaning a non-existant log. (Admin.php)
 ! Recent topics was showing topics that were already marked as read. (Recent.php)
 * Some Recent templates showed old-style new-links. (Recent templates)
 * Fixed tab index conflict in Classic theme's Post screen. (Post template)
 ! Made Mambo/Joomla login/logout redirects SEF (smf.php, mod_smf_login.php)
 ! Some of the URL-anchors in 'Recent replies' were incorrect. (Recent.php)
 ! The ICQ-link and images URL's have changed...again. (Load.php)
 ! Add an index to the log tables before converting them. (upgrade_1-1.sql)
 ! Allow adding indexes to non-existent columns when upgrading. (upgrade.php)
 * Fixed validation errors in index.template for guests. Opera and IE showed jumpbox wrong in Display. (index template, Display template)
 * Modified tabs routines to adjust for right-to-left setting. (index template)
 ! Made Mambo/Joomla posting redirects and outgoing emails SEF (smf.php)
 - Removed function is_admin(), which is obsolete (Security.php)
 & Added French language files for Xoops bridge (xoops/language/french)
 + Moved help files into Help template, updated Help.php to use these files. (Help template, Help.php)
 & Added new language file for all user manual language entries. (Manual language files)
 ! Added conversion tool for converting existing xml language files. (help-convert.php, help-list.php)
 ! Removed old help directory from default theme. (help directory)
 ! Added small fix to start variable in the member list. (MemberList.php)
 ! Don't allow membergroups to have the same name on editing. (ManageMembergroups.php)
 ! Jumping to a personal message wasn't working if you had the newest shown at the top. (PersonalMessage.php)
 * added a titlebg container to the participation icon area. (Recent template)
 ! Fixed typo in searchSort function. (Search.php)
 ! Store the SMTP password base64_encoded to make it slightly more difficult to read from a backup. (ManageServer.php, Subs-Post.php, upgrade_1-1.sql)
 ! Marking messages as unread wasn't working. (Subs-Boards.php, Display.php)
 ! Fixed minor MySQL 5.0.12 compatibility flaw. (PersonalMessage.php)
 ! Fixed problem in unread replies to your posts incorrectly showing nothing on big boards. (Recent.php)
 ! PHP Syntax highlighting wasn't happening on all code tags. (Subs.php)
 ! Mambo/Joomla login module was using bridge password reminder even if set to SMF registration (mod_smf_login.php)
 ! Updated copyright message to minimise confusion as to who owns the copyright on the content. (Subs.php, index language files)
 ! Moved some bits around in the upgrade script to ensure if it times out important things don't get done twice! (upgrade_1-1.sql)
 ! One of the obsolete indexes on the messages table wasn't dropped. (upgrade_1-1.sql)
 ! Improved performance for the main MessageIndex query, especially for other than the first or last page. (MessageIndex.php)
 ! Non-SEF redirects were not always working correctly in Mambo/Joomla bridge. (smf.php, mod_smf_login.php)
 ! Reversed primary key columns of the log_mark_read table for speed optimization. (upgrade_1-1.sql, install_1-1.sql)
 + Mambo/Joomla login module is published on all pages by default upon installation (install.smf.php)
 ! Added a sub-menu config item for Mambo/Joomla bridge registration admin panel (install.smf.php)
 + Added PhpNuke bridge
 ! Updated upgrade script to make it slightly more friendly for the log table upgrade. (upgrade.php, upgrade_1-1.sql)
 ! Updated the session rewrite function to use an ampersand entity in the URL and not semi-colon for compatibility. (QueryString.php)
 ! Repairing boards wasn't pausing very efficiently. (RepairBoards.php)
 ! Reversed primary key columns of the log_topics table for speed optimization. (upgrade_1-1.sql, install_1-1.sql)
 + Added Xoops to SMF user migration upon login.
 ! Prevent an error while upgrading in case knownThemes isn't set. (upgrade_1-1.sql)
 ! Selecting invalid boards for recent topics/replies was showing a database error. (Recent.php)
 ! Added back the subject-only search. (Search.php)
 * In NDT the right tab wasn't always shown. (index template)
 & Changed 'Edit Profile' into 'Profile' to match with the other tabs in the main button bar. (index language file)
 ! Topic search wasn't in all cases working. (Search.php)
 ! Fixed a few minor upgrade issues. (upgrade.php, upgrade_1-0.sql)
 ! New member stats weren't updating in Mambo/Joomla bridge registration. (smf_registration.php)
 ! Check for the sequences of index columns when performing an index check during upgrade .(upgrade.php)
 ! Moved the column swapping of the log_topics index to the protected table alteration. (upgrade_1-1.sql)
 ! Borrow upgrade_query's error handler for protected table alteration queries. (upgrade.php)
 ! integrate_pre_include was being tested before integration settings were loaded. (Load.php)
 ! BoardIndex links to the last topic of each board weren't linking to the last post for guests. (BoardIndex.php)
 * Member search did not check for using_tabs setting. (Memberlist template)
 * Added PM tab and removed "you have x messages" + merged 2 bars to 1. (index template, languages/index.dutch, languages/index.english , languages/index.german, languages/index.spanish)
 ! Fixed small bug in upgrade for users coming from YaBBSE. (upgrade.php, upgrade_1-0.sql)
 ! Made upgrading the search index resumable. (upgrade_1-1.sql)
 ! Updated default value for date columns to be MySQL-strict compatible. (several files)
 ! Holidays weren't updated properly on the boardindex after modifying them. (ManageCalendar.php)
 ! Some direct message links were linking to the wrong page. (Display.php)
 ! Finally fixed problem with upgrading from YaBBSE on windows server, plus a few other tweaks. (upgrade.php, upgrade_1-1.sql)
 ! Some Mambo/Joomla field names need to be enclosed in back-ticks. (install.smf.php, smf_registration.php)
 * Fixed error with legend in the default unread template. (Recent template)
 ! Copyright was throwing an error for old language files. (Subs.php)
 ! Some feature settings wern't saving as a result of a missing loadLanguage. (ModSettings.php)
 * Use the current themes help.css file if it exists. (Help.php)
 ! When detecting crawlers, ensure we pick up on Google. (Load.php)
 ! Some activation emails did not contain the full URL in Mambo/Joomla bridge registration. (smf_registration.php)
 ! Make sure all text columns have no default value. (install_1-1.sql, upgrade_1-1.sql, upgrade.php)
 ! Fixed error with the Calendar, which caused a problem when New Years came about. Calendar.php)
 ! Added newtime as an index in context from MessageIndex.php for compatibility with old themes. (MessageIndex.php)
 ! It was possible to generate an error from the ManageSmileys screen. (ManageSmileys.php)
 ! For some unknown reason the log_banned table had a column for ban_ids. (install_1-1.sql, upgrade_1-1.sql)
 ! Fixed a few things in the MySQL STRICT elements of the converter, including posterIP and checking the size of message body. (upgrade_1-1.sql, upgrade.php)
 ! Prevent 1.0 upgrade from being done more than once. (upgrade.php)
 ! Made all inserts/replace insert all columns that have no default value. (several files)
 ! Include the registration date from the Mambo user table on import. (Mambo bridge/smf.php)
 ! Some registration data wasn't properly inserted by the registration hook. (Mambo bridge/smf.php, Phpnuke bridge/index.php, Xoops bridge/index.php)
 ! The profile birthdate couldn't be updated to a date before 1970. (Profile.php)
 ! loadMemberData now adds the banned status to the context correctly in all situations. (Load.php)
 & Added a warning about making the uploaded avatar directory the same as the server-stored one. (ManageAttachments template, ManageAttachments language files)
 * Changed language strings in usersection. "Hey" becomes "Hello" and "PM" tab becomes "Messages" (index template, index.english.php, index.spanish.php, index.german.php, index.dutch.php)
 * Moved "go down" and "Go up" a bit to the right. (Display template, MessageIndex template)
 * Added linktree to PM section. (PersonalMessage template)
 * Help template updated to use language buttons where appropriate. (Help template)
 * The babylon recent template was showing the board information twice. (Recent template)
 ! In a timeout situation it was possible that upgrade would be left broken. (upgrade_1-1.sql)
 ! Searching without temporary table support wasn't working properly. (Search.php)
 ! Merging topics with no polls under strict MySQL settings wasn't working properly. (SplitTopics.php)
 ! The validation code wasn't properly updated when requesting a password reminder, causing a database error in MySQL strict mode. (Reminder.php)
 & Changed "Messages" into "My Messages" to make a distinction between the forum messages and the personal messages. (index language files)
 ! Install was putting the admin's IP address in their personalText settings. (install.php)
 + Added images for active mirror tabs. (mirrortab_active_first.gif, mirrortab_active_last.gif, mirrortab_active_back.gif, style.css)
 * Ensured tabs on memberlist suit the new themes. (Memberlist.php, Memberlist template)
 * The admin tab wasn't selected when modifying themes. (index template)
 ! Fixed error when creating a new membergroup. (ManageMembergroups.php)
 ! On some servers Server Settings wasn't working. (ManageServer.php)


 November 2005:
--------------------------------------------------------------------------------
 ! The eblah converter couldn't be run multiple times. (eblah_to_smf.php)
 ! The IPB 2 converter didn't convert all members if the same email address was used twice. (invision2_to_smf.sql)
 ! The phpBB 2 converter didn't work properly with some modifications. (phpbb2_to_smf.sql)
 ! Updated the read me documents to the new default theme. (readme_install.html, readme_update.html, readme_upgrade.html, readme_convert.html)
 + Added Orstio's Mambo/Joomla bridge, from now on officially supported by SMF. (several files)
 ! Added an HTML version of a readme to the above bridge. (readme.html)
 ! Fixed the deadlock prevention that might not work properly in all cases. (Errors.php)
 + Added bridges for XOOPS and IGaming. (several files)
 ! Remove the <span class="remove"> showing in the error messages in 'Track User' and 'Track IP'. (Profile.php)
 ! Show the most recent errors first in 'Track IP'. (Profile.php)
 + Added group-sensitive member migration to iGaming bridge (igaming/smf.php)
 ! Fixed blank fields in iGaming bridge configuration (igaming/sources/admin/smf.class.php)
 ! Don't show the absolute number of posts in the profile statistics on large message boards. (Profile.php, Profile template)
 ! Fix a notice when performing activation or approval on multiple members. (ManageMembers template)
 ! In some cases the upgrade created the same backup tables more than once. (upgrade.php)
 + Added outgoing email integration for iGaming. (igaming/smf.php)
 ! Searching with a user specified resulted in some cases in a database error. (Search.php)
 + Added module admin panel and language files for Xoops. (several files)
 ! Adjusted all queries with one or more OUTER JOIN for MySQL 5.0.12 compatibility. (several files)
 ! Fixed 'Mark board as read' not working properly for >MySQL 4.0. (Subs-Boards.php)
 ! Fixed split function showing a database error with an empty selection. (SplitTopics.php)
 ! Simpleboard converter stopped working if duplicate values were inserted into the log_notify table. (simpleboards_to_smf.sql)
 + Added a converter for e107 CMS. (e107_to_smf.sql)
 ! Binary compare text columns in order to prevent potential mixed collation errors. (ldu_to_smf.sql, mybb_to_smf.sql, myphp_to_smf.sql, openbb_to_smf.sql, oxygen_to_smf.sql, phpbb2_to_smf.sql, phpnuke_to_smf.sql, xmb_to_smf.sql, yabb2_to_smf.php)
 ! By default, disable the spell checking option. Without the proper dictionaries installed, it might prevent search from working. (upgrade_1-0.sql, install_1-1.sql)
 + Added login integration for Xoops bridge. (xoops/index.php)
 ! Fixed session issue with logging out in Xoops bridge. (xoops/index.php)
 ! Xoops integrated login functional. (xoops/index.php)
 + Added logout and registration integration for Xoops bridge. (xoops/index.php)
 + Added bridge login block for Xoops bridge. (several files)
 ! Fixed guest being a selectable group for some inline permissions. (ManageAttachments.php, ManageBoards.php, ManageMembergroups.php, ManageNews.php, ManagePermissions.php)
 ! Removed the ability to give guests admin permissions. (ManagePermissions.php, upgrade_1-1.sql)
 ! Added an option to move boards to an empty category. (ManageBoards.php)
 & Added a language tag for the above change. (ManageBoards language files)
 ! Fixed the problem with |&nbsp; appearing in messages of some forums. (Subs-Post.php)
 * Javascript error generated because xml_enable was used instead of xml_enable_check. (ManageNews template)
 * Wrong declaration class attribute in style caused errors. (style.css)
 ! Force character set in HTTP headers to prevent ambiguous character interpretation. (Display.php, Load.php, News.php, Subs.php)
 & Added an error string if a message icon has more than 16 characters. (ManageSmileys.php, Errors language files)
 ! Upgrade should now backup tables with the correct engine type. (upgrade.php)
 ! Do a better job at keeping the is_activated flag correct for banned members. (Security.php)
 * Show ban information in a users profile. (Profile.php, Profile template)
 & Added several language entries for the above change. (Profile language files)
 ! When showing who is viewing a board/topic it now sorts user in click order, and shows them as buddy if applicable. (Display.php, MessageIndex.php)
 + Added option (max_pm_recipients) to limit number of recipients a user may message at once. (PersonalMessage.php, ModSettings.php, install_1-1.sql, upgrade_1-1.sql)
 & Added language strings for above change. (PersonalMessage, ModSettings and Help language files)
 * Added XML editing to the message index. (MessageIndex, XML templates, Post.php, MessageIndex.php)
 * Who's online will now default to ascending when clicking "sort by name". (Who template)
 * Added new javascript file for xml editing in the message index. Also cleaned up the javascript. (MessageIndex templates, xml_board.js)
 + Added interface for caching, and moved several server settings into the server setting area. (ManageServer.php, ModSettings.php, Admin.php)
 * Added new template for server settings. (Admin template)
 & Added new language entries for above changes. (Help, ModSettings and Admin language files)
 ! Update the online log if the user is viewing a topic/board and who's online is enabled. (Subs.php, Display.php, MessageIndex.php)
 ! Moved around some settings under feature settings. (index.php, Subs.php, modSettings.php, ManageServer.php, Admin template)
 & Changed some language strings for the above change. (ModSettings language file)
 ! The time tag now takes an optional parameter, absolute, for not offsetting the time, and edits better. (Subs-Post.php)
 + Added personal message integration hook. (Subs-Post.php)
 ! Added component variables to Mambo/Joomla login module form submission to make sure they don't get wiped. (mod_smf_login.php)
 ! Remember the sort status when deleting attachments. (ManageAttachments.php, ManageAttachments template)
 ! Rewrote the custom search index to make it faster and more compact. (ManageSearch.php, RemoveTopic.php, Search.php, Subs.php, Subs-Posts.php, ManageSearch template)
 ! The steps for creating the custom index are now time limited. (ManageSearch.php)
 ! Allow resuming the creation of a custom index. (ManageSearch.php)
 ! Stopwords are now removed in a stepped way. (ManageSearch.php)
 ! Added a warning in case two indexes are created on the messages table. (ManageSearch template)
 & Added and removed language strings for the above changes. (Search language files)
 ! The detection of whether fulltext tables could be created or not didn't always work properly. (ManageSearch.php)
 ! The reattributePosts() function didn't add the proper amount of posts to a member. (Subs-Members.php)
 * Added optional theme setting, 'use_buttons', for showing buttons with text alongside them. (index templates)
 * Fixed some problems with older themes using the above setting. (Calendar, PersonalMessage, Search, Profile and SplitTopics templates)
 ! Added new function, create_button, for creating buttons in themes without all the checks. (Subs.php)
 * Added function to index template for generating rows/tabs of buttons, and implemented it in Display. (index, Display templates)
 ! Added new template, Combat, to ensure old themes work with new functionality. (Subs.php, Combat template)
 * Moved modify_inline.gif image to icons directory and added to babylon and classic themes. (modify_inline.gif)
 & Repair boards now finds thumbnails without parents. (RepairBoards.php, Admin language files)
 * Moved some Display javascript into a seperate file for better caching, and made the javascript more templatable. (xml_topic.js, xml_board.js, Display and MessageIndex templates)
 ! Xoops registration integration wasn't holding the old URL in the session. (xoops/index.php)
 + Changed recount function in "Attachment Manager" to a maintenance function for fixing all manner of attachment problems. (ManageAttachments.php, ManageAttachments template)
 & Added new language entries for above change. (Admin language files)
 * Added Recent template back into babylon theme. (Recent template)
 & Added "Reply to All", but only in the NDT at the moment. (PersonalMessage template, PersonalMessage language files)
 * Remove smf_session_id in favour of passed session id's. (script.js, xml_board.js, xml_topic.js, MessageIndex, Display, Login, index, ManageSmileys, Packages, Themes templates, mod_smf_login.php)
 * Display template now only does inline editing on the babylon/classic theme if the subject area is double clicked. (Display templates)
 * Browsing attachments will now retain sorting direction when switching between browse types. (ManageAttachments template)
 * Cleaned up NDT for backwards compatibility further, removed some instances of windowbg3. (ManageBans, ManageSmileys, BoardIndex, MessageIndex templates)
 * Updated search to show participation information. (Search.php, Search template)
 ! Fixed package manager not extracting seperate files correctly. (Subs-Package.php)
 ! Attachment maintenance was deleting custom avatars in error. (ManageAttachments.php)
 * The NDT was showing some information twice. (index template)
 ! Caching of button strips was working a little too well. (index, Combat, MessageIndex, Display, Recent templates)
 ! Stop users who are already logged in attempting to log in again by redirecting them. (LogInOut.php)
 & Removed language entry associated with old error message for users logging in twice. (Errors language files)
 ! Upgrade was messing up the order of categories. (upgrade_1-1.sql)
 * Sending out newsletters wasn't preserving the parse HTML value. (ManageNews template)
 ! Sending out newsletters was stripping slashes one too many times thanks to sendmail doing it too. (ManageNews.php)
 ! Sending out newsletters was always missing off some poor guy. (ManageNews.php)
 ! Added new optional attribute to a package to force a redirect after installation. (Packages.php, Subs-Package.php, Package template, package-info.dtd)
 & Added three language entries for above change. (Packages language file)
 ! Updated version numbers to SMF 1.1 RC2. (all files)
 ! Editing templates was reporting the wrong line numbers, and adding in extra line breaks. (Themes.php)
 ! Bypass the SSI session errors if it's being called from the command line. (SSI.php, QueryString.php)
 ! Made defining of WIRELESS conditional, in case it's already been defined elsewhere (index.php)
 ! The BBC parser could cause apache problems when parsing emails. (Subs.php)
 ! Avatars were still being deleted unnecessarily during maintenance. (ManageAttachments.php)
 ! Fix URLs and email addresses being autolinked inside linked tags. (Subs.php)
 ! Updated the log table system in order to improve performance, especially for the unread posts and replies. (several files)
 * Moved some more functions from the Display template to xml_topic.js (Display template, xml_topic.js)
 ! Inline modification wasn't storing the modified body and subject in the Javascript environment. (xml_topic.js)
 * Updated all non-NDT themes to do the inline editing with a button instead of doubleclicking. (Display template)
 ! BoardIndex was showing an undefined index error for guests. (BoardIndex.php)
 ! Install wasn't showing some database errors properly. (install.php)
 * Hide buttons if xmlHTTP or JavaScript isn't supported. (Display template, xml_topic.js)


 October 2005:
--------------------------------------------------------------------------------
 ! Let upgrade base other themes off babylon if specific templates are missing. (upgrade_1-1.sql)
 + Added Grudge's PM search feature to the interface. (PersonalMessages.php)
 & Added two new language strings, most_online_ever and most_online_today for the new theme. (index language files)
 * Added a theme setting to determine whether tabs are used in the admin center. (Admin template, Index template)
 * removed "welcome guest.." in the login form. Appeared twice. (Index template)
 * Added next-previous links to the top. Only showed on bottom. (Display template)
 ! The base theme URL wasn't inserted in the upgrade of the new default theme. (upgrade_1-1.sql)
 ! Added integrate_change_member_data to allow integration after updating a member profile. (Subs.php)
 - Removed integrate_change_email as it's already covered by the above function. (Profile.php, Register.php)
 * Updated the new theme's thumbnail. (thumbnail.gif)
 ! The first-letter-anchors in the member list weren't always working. (Memberlist.php)
 ! deleteBoards() didn't work properly with an empty array of boards as input (Subs-Boards.php)
 * Added extra styles to classic and babylon theme, used in default theme (style.css)
 * Added check for use of tabs on buttons. If not set, use the buttons from images/(language) folder (Recent template, Profile template)
 * Added session check to mark-as-read buttons. (BoardIndex template, MessageIndex template, Recent template)
 * New colors on install and upgrade files. (install.php, upgrade.php)
 ! The installer now attempts to automagically fix potential mod_security problems. (install.php)
 & Added a language string for the above change. (install language files)
 ! Updated the installer to add the Babylon theme and add 'Core' to the name of the default theme. (install.php, install language files)
 ! Checking a modified date of a cached attachment didn't in all cases work properly. (Display.php)
 ! Add an extra check to make sure users aren't logged in twice. (LogInOut.php)
 & Added a language string for the above change. (Errors language files)
 ! Moving of large numbers of topics is now done in chunks. (MoveTopics.php)
 ! Highlight the poll options that a user has voted. (Display.php, Display templates)
 ! Fixed a PHP 5.0.5 compatibility issue causing ssi_whosOnline() to malfunction. (SSI.php)
 ! Fix false entries of locks and stickies showing up in the moderation log. (Post.php)
 ! Don't show non-moderator lock entries in the moderation log. (Post.php)
 ! News and newsletter settings didn't have a page title. (ManageNews.php)
 ! Fix a notice when setting a group to no permissions. (ManagePermissions.php)
 ! XML-feeds with restricted/non-existing boards didn't show the proper error. (News.php)
 ! Topic wasn't properly marked as read after inline modification. (Post.php)
 ! Don't trim the replacement of a censored word. Allows to replacement containing smiley codes. (ManagePosts.php)
 + Added an option to create a custom index for searching messages. (ManageSearch.php, ManageSearch template, Subs.php, Subs-Post.php, upgrade_1-1.sql, install_1-1.sql)
 & Added and removed several language tags for the above change. (Search language files)
 & Added a help-tag explaining the why of search indexes. (Help language files, Search language files)
 ! Rewritten the search engine to better accomodate the fulltext and custom indexes. (Search.php)
 ! Added a search setting to limit the amount of results of a search. (ManageSearch.php, ManageSearch template, Search language files)
 ! Split the search index itself from the properties of the index in the admin interface. (ManageSearch.php, ManageSearch template)
 + Stickyness of a topic can now be used as factor in the relevance rating of a search. (Search.php, ManageSearch.php, ManageSearch template)
 & Added language tags for the above change. (Help language files, Search language files)
 * Added margin to user logo (index template)
 * Changed moderation buttons to a bar similar to the main navigation buttons. (Display template, style.css)
 ! The installer was trying to create one of the tables twice. (install_1-1.sql)
 ! One of the MySQL errors in the installer wasn't recognized by non-english MySQL versions. (install.php)


September 2005:
--------------------------------------------------------------------------------
 ! Fixed &#91;/&#93; parsing issue in announcements and notifications. (Subs-Post.php, Post.php)
 ! Trying to create an icon in first place might result in an error. (ManageSmileys.php)
 ! Deleting message icons plain didn't work. (ManageSmileys.php)
 ! When moving a board with the new interface, make the first first child - where you clicked. (ManageBoards.php, Subs-Boards.php)
 ! Properly handle non-English error messages from MySQL. (Errors.php, upgrade.php, convert.php)
 ! Parameter count error on every account approval - din't hurt anything, though. (ManageMembers.php)
 ! Deleting an empty category probably wouldn't work. (Subs-Boards.php)
 ! Don't include the port in cookie domains. (Subs-Auth.php, smf_api.php)
 ! In debug mode, flush like a crazy person - it works. (upgrade.php)
 ! Do the fixing of the subject cache in chunks. (RepairBoards.php)
 & Fixed some language ambiguities. (ManageBoards language files, ManageBoards template, ManagePermissions language files, Themes language files)
 ! Staff reports now show members with global moderating powers too. (Reports.php, Reports language files)
 ! Staff report entries are now sorted by display name. (Reports.php)
 ! groupsAllowedTo() function wasn't working properly for global board permissions. (Subs-Members.php)
 + Added an XMLhttp-option to doubleclick messages in order to edit them inline. (Post.php, Display template, Xml template, index language files)
 ! Add a log entry to the moderation log after stickying/locking a topic in the post screen. (Post.php)
 + Added initial files for new default theme. (babylon Theme directory, Settings language files, index template, style.css)
 ! Upgrade now bases the theme paths off the default theme. (upgrade_1-1.sql)


SMF 1.1 RC1                                                   September 20, 2005
================================================================================
September 2005:
--------------------------------------------------------------------------------
 ! Ignore user aborts while posting. (Subs-Post.php)
 ! Make status.php output defunct processes correctly. (status.php)
 ! Snitz password checking - SHA-256 - was not working. (LogInOut.php)
 ! Unread replies couldn't sort on everything properly. (Recent.php)
 ! New stepped forum error checking in repair - now works even on large forums reliably. (RepairBoards.php)
 ! Created a work-around for the Firefox bug that causes the password manager to store the SHA'ed password instead of the original. (Load.php, Login template, Index template)
 ! A few query optimizations. (Profile.php, SplitTopics.php)
 ! Added a general function to retrieve the membergroups that have a specific permision (Subs-Members.php)
 ! Added a general function to retrieve the members that have a specific permision (Subs-Members.php)
 ! 'Report to moderator' notifications are now sent to anyone with the 'moderate_board' permission. (SendTopics.php)
 ! When a guest reports a message to the moderator the notification will now contain the user's IP address. (SendTopics.php)
 ! Strip out potentially sensitive strings from shown queries. (status.php)
 * Make some more sub templates for WAP users, and use card titles - like Google does ;). (Wireless template)
 & Show an error message if someone using wireless tries to go somewhere not ready for them. (Subs.php, Wireless language files)
 ! Package installation readmes weren't showing! (Packages.php)
 ! Fix some minor wording problems in some converters. (all converters)
 * The Register template still had incorrect COPPA JavaScript. (Register template)
 ! Add support for the MyPHP Forum password hashing. (LogInOut.php)
 ! Added ADODB support to the converter for Windows, which seems to work for more providers/drivers than ODBC. (convert.php)
 ! updateSettingsFile() didn't like having newlines at the end. (Admin.php)
 ! Remove the namespace for RSS 2.0 feeds, let's see if they still work everywhere, though. (News.php)
 & Changed whoall_repottm to whoall_reporttm. (Who language files)
 ! Get the necessary information on FreeBSD too. (status.php)
 ! Some post counts, like those over 1000, weren't showing properly in the memberlist. (Memberlist.php)
 ! Add the ability to do more efficient stepped queries - not just LIMIT. (convert.php)
 ! Add a MyPHP Forum 3.0 converter. (myphp_to_smf.sql)
 * Moved the hashLoginPassword() and hashAdminPassword() functions to script.js. (index template, Login template, script.js)
 ! Switched some repair steps to prevent unique-key insert conflicts. (RepairBoards.php)
 ! Don't show a reply link if the topic is locked. (SSI.php)
 ! Add a percentage bar to the repair process, and cleanup timeout detection. (RepairBoards.php)
 & Added a check for missing members on log_notify. (Admin language files, RepairBoards.php)
 ! Add file and line number information to the hacking attempt message for injection sniffing. (Subs.php)
 ! Add support for Solaris and show proper command names. (status.php)
 ! Added information about character set searching and fulltext not working on InnoDB. (ManageSearch.php, ManagePosts.php, Search language files)
 ! Send unknown image attachments as image/gif and let the user agent figure out what they are. (Display.php)
 ! Make the staff report use the new membersAllowedTo(). (Reports.php)
 ! Don't bother with stats if there are no posts in any boards to speak of. (Profile.php)
 & Added the word "now" to the remove old posts feature for clarity. (Admin language files)
 & Clarified "cleanup permissions" strings to more strongly convey that it's an action. (Packages language files)
 ! Separated functions for creating, modifying and deleting boards and categories. (ManageBoards.php, Subs-Boards.php)
 + Added a function that allows to easily move boards between categories. (ManageBoards.php, ManageBoards template, ManageBoards language files)
 ! If we just have free, use it. (status.php)
 ! Put a little more work into the PHPSESSID showing check just in case. (Load.php, QueryString.php)
 ! Be more tolerant of paths to the component itself. (simpleboard_to_smf.sql)
 ! Rewrote parts of the search engine for faster searching. (Search.php, ManageSearch.php, Subs-Post.php, Subs.php, RemoveTopic.php, upgrade.php, upgrade_1-1.sql, install_1-1.sql)
 ! Add warnings if a filename in a modification is not used as a full path. (Subs-Package.php)
 ! Searching by guest name wasn't working. (Search.php)
 & Added a separate error message for the case when you try to quote a deleted post. (Post.php, Errors language files)
 ! Newsletters still weren't sending to regular/ungrouped members. (ManageNews.php)
 ! Show permissions wasn't taking access permissions into account. Added a list of restricted boards. (Profile.php, Profile template, Profile language files)
 ! Include topic cache maintenance in the repair boards function. (RepairBoards.php, Admin language files)
 ! Fix empty unimportant logs for the new search tables. (Admin.php)
 ! Fix error messages given by subject match overlapping word match in cases. (Search.php)
 ! PHP-Nuke converter was checking for "attachments" not "bbattachments". (phpnuke_to_smf.sql)
 ! Added support for XMLHTTP previewing for Opera 8.01+. (Post template)
 ! Added detection of temporary tables in Search. (Search.php)
 & $txt['cannot_move_own'] was missing. (Errors language files)
 ! Got rid of the use of eval() in the new parser, although it still uses some lambda functions. (Subs.php)
 ! Remove some package servers from the default install. (install_1-1.sql)
 ! The call_user_func() function doesn't support reference parameters. (LogInOut.php, Subs-Members.php, Subs.php, Subs-Post.php)
 ! Add a [time] tag. (Subs.php, Subs-Post.php)
 ! Regular search wasn't doing subject searching properly. (Search.php)
 ! Make the MarkRead() action support c, boards, and board. (Subs-Boards.php)
 ! Require sesc for markasread actions. (Recent.php, Subs-Boards.php, MessageIndex template, Display template, Recent template, BoardIndex template)
 ! Anywhere that used base64_decode() wasn't friendly to +'s. (ManageErrors.php, Search.php, PersonalMessage.php, ManageMembers.php, Modlog.php)
 ! Parser didn't like :-\[/quote] etc. (Subs.php)
 ! Back out the unicode filtering stuff because it did effect UTF-16. (QueryString.php, Subs.php)
 ! Try to avoid some joins on the boards table for longer queries. (Recent.php)
 ! Editing censored words now requires the moderate_forum forum permission instead of the admin_forum permission. (ManagePosts.php, Subs.php)
 ! Handle 's in email addresses for newsletters better. (ManageNews.php)
 * Mark as read was in some cases not sending a session code. (Recent template)
 ! Fixed some of the repair steps that didn't repair properly. (RepairBoards.php, Admin language files)
 ! Changed the way subjects are broken down into words in the subject caching table. (RepairBoards.php, Subs.php, install_1-1.sql, upgrade_1-1.sql, upgrade.php)
 ! Make the installer able to handle the default subject for searching. (install.php)
 & Minor case change to $txt[454] and $txt[455]. (index language files, index.english.xml)
 ! Fix searching by user, wasn't working since my last fix :/. (Search.php)
 ! Search results per page weren't ordered properly. (Search.php)
 * Remove the membergroup selection for attachments that didn't work anyway. (ManageAttachments.php, ManageAttachments template)
 & And its associated language entries. (Admin language files)
 ! The guest_post_no_email setting didn't work properly for previewing posts. (Post.php)


August 2005:
--------------------------------------------------------------------------------
 ! PHP code wasn't being posted correctly in some cases. (Subs.php)
 ! Try harder to recover from deadlocks. (Errors.php)
 ! Fixed a typo in sendpm() that was never being a problem. (Subs-Post.php)
 ! Cleaned up internationalization handling. (Search.php)
 ! That stupid upgrade_php?step thing was still happening in the upgrader. (upgrade.php)
 ! The Burning Board converters were not properly converting polls. (burningboard2_to_smf.sql, burningboardlite_to_smf.sql)
 ! The package manager was not properly matching version ranges. (Subs-Package.php)
 ! The package manager wasn't doing quotes properly. (Subs-Package.php)
 ! Improved the speed of a query in the statistics panel a little. (Profile.php)
 ! Improved the Simpleboard converter a little. (simpleboard_to_smf.sql)
 ! The status script didn't like not having /etc access. (status.php)
 ! Improved the itemcode parsing inside quotes and next to each other. (Subs.php)
 ! Quoted printable and character 128 still weren't friends. (Subs-Post.php)
 ! Made the installer able to log you in even if the account exists, as 1.0 did. (install.php)
 * Fix the newsfader for Internet Explorer 4. (fader.js)
 * Minor aesthetic improvements to improve XHTML compatibility. (MessageIndex template, script.js, Post template, index template, BoardIndex template, Subs.php, Admin.php, ModSettings.php)
 & Since administrators are discouraged from adding post groups to board access rights, show regular members in announce. (Post.php, Post language files)
 ! With search engine friendly URLs, you couldn't have commas in parameter values. (QueryString.php)
 ! Try harder not to show errors during a database dump. (DumpDatabase.php)
 ! Handle url="" and email="" in vBulletin converters. (vbulletin_to_smf.sql, vbulletin3_to_smf.sql)
 ! Don't backup the error log, it's not worth it. (DumpDatabase.php)
 ! The converters weren't doing image attachments and avatars correctly. (176; convert.php)
 ! If a filter had no results, sort direction was lost. (ManageErrors.php)
 ! When filtering is using a wildcard, and you filter on something that would be the same, don't filter on the same wildcard. (ManageErrors.php)
 ! The error message you got when trying to access edit news was wrong. (ManageNews.php)
 ! Try to make sure register_globals is never a problem. (SSI.php)
 * JavaScript error changing COPPA settings. (Register template)
 ! Skip evil directories when making a backup. (Subs-Package.php)
 ! Do the custom avatar directory properly and better check against doing directories twice in cleanperms. (Admin.php)
 ! Do the registration date correctly. (phpnuke_to_smf.sql)
 ! Added Land Down Under converter. (ldu_to_smf.sql)
 ! Add ODBC support to the converter - now we can convert Snitz, etc. directly. (convert.php)
 ! Strip characters we don't like from the subject line. (Post.php)
 ! Make it so open_basedir doesn't affect status.php... (status.php)


SMF 1.1 Beta 4                                                   August 20, 2005
================================================================================
August 2005:
--------------------------------------------------------------------------------
 * Changed color: #FF0000 to red in a few places. (Admin template, Calendar template, PersonalMessage template, Profile template, Subs.php, Printpage template, Reports template)
 ! Small optimization to the member statistics. (Profile.php)
 ! Added censorWholeWord to the list of settings to skip if they don't exist. (upgrade_1-1.sql, upgrade_1-0.sql)
 ! Fix "space at the beginning of a line" regression. (Subs.php)
 ! Added mail_strip_carriage and disableRegisterCheck. (Register.php, Subs-Post.php)
 ! Use file_get_contents() instead of implode/file because it's more efficient. (Subs-Compat.php, Themes.php, Subs-Package.php, Load.php, ManageRegistration.php, Packages.php, Register.php, Display.php, Subs-Graphics.php)
 ! Use md5_file() instead of md5 on the file contents because it's more efficient. (Subs-Compat.php, Display.php)
 * Cleaned up lots of form usage to better fit with standards. (script.js, Admin.php, ModSettings.php, MessageIndex template, Display template, Search template, index.xslt, Login template, SplitTopics template, Search template, Themes template, Poll template, MoveTopic template, Calendar template, Admin template, ManagePermissions template, ManageBans template, ManageAttachments template, ManageBoards template, ManageMembergroups template, ManageMembers template, ManageNews template, ManageSmileys template, Profile template, spellcheck.js, Post template, searching.xslt, loginout.xslt, webinstall.php, Register template, posting.xslt)
 * Fixed the jumpto menu when an ? was in scripturl. (MessageIndex template, Display template, Search template)
 ! Avoid doing topicseen more than necessary. (Display.php, Subs-Boards.php, Subs-Post.php, MessageIndex.php)
 ! Removed avatar settings 'avatar_allow_server_stored' and 'avatar_allow_upload' in favour of permissions for each avatar storage method. (Load.php, ManageAttachments.php, ManagePermissions.php, Profile.php, Subs.php, , install_1-1.sql, upgrade_1-1.sql, ManageAttachments template, Profile template, phpbb_to_smf.sql, phpnuke_to_smf.sql, yabbse_to_smf.sql)
 & Added some new (and removed some old) language entries for the above change. (Admin, Errors, ManagePermissions and Reports language files)
 ! Make it a lot easier to make post group statistics based on more than just posts. (Subs.php, Subs-Members.php, ManageMembers.php)
 ! Cache xml/rss feeds for guests - much of the time - too. (News.php)
 ! Make it so that searching for errors that have variable text in them can show them all - I know this may be controversial, but we need to make it at least an option. (ManageErrors.php, LogInOut.php)
 ! Resort the boards table after a repair. (RepairBoards.php)
 ! Approximate calendar dates as mid-day since we don't know the actual time. (Display.php)
 * Local Moderator cannot have group permissions, so don't allow the selection thereof - also sort groups and handle checkboxes better. (ManagePermissions.php, ManagePermissions template)
 ! Cache those permissions too! (Load.php)
 * Add inline permissions for viewing and posting attachments. (ManageAttachments.php, ManageAttachments template)
 & Add language entries for the above permissions interface. (Admin language files)
 ! Make status.php command-line friendly. (status.php)
 & Removed the part about the username not having special characters allowed. (Login language files)
 ! Make the converter handle prefixes better. (convert.php)
 * Make poll option choices labels. (Display template, Display.php, SSI.php)
 ! Cleanup handling of non-validating xml characters. (Subs.php)
 ! Update version numbers to SMF 1.1 Beta 4. (all files)
 ! The percentage complete for a maintenance recount wasn't updating correctly. (Admin.php)
 ! Extra ban triggers weren't being done properly when adding a new ban from a profile. (ManageBans.php)
 * Add a stylesheet for the print media. (index template, print.css)
 ! Validate input as proper, valid XHTML. (QueryString.php, Subs.php)
 ! Don't use accelerator caching when in command line mode. (Load.php)
 ! Fine, just bump the memberGroups column to 255 and be done with it. (install_1-1.sql)
 ! Avoid using a REPLACE INTO for log_topics. (Display.php, Subs-Post.php)
 ! Prevent a notice when catching actions. (Themes.php)
 & Tweak the notify_send_type strings a bit to clarify them. (Profile language files)
 ! Fixed an error given when no pms are found from a search. (PersonalMessage.php)
 * Splitting topics wasn't working 100% correctly. (SplitTopics template)
 ! If you make the max message length too high, increase the size of the body column. (ManagePosts.php)
 * If the body column is mediumtext, don't allow creation of a fulltext index. (ManageSearch.php, ManageSearch template)
 & Added a warning to describe the situation in which the fulltext index CANNOT be created. (Search language files)
 & Clarify the globalCookies help text. (Help language files)
 ! Support <error /> in package-info.xml files. (Subs-Package.php, Packages.php, package-info.dtd)
 ! Ignore case and handle 1.0.* properly in matchPackageVersion(). (Subs-Package.php)
 ! Add a conditional comment ON UPDATE to the log_online table for MySQL 4.1.2 and above. (upgrade_1-1.sql, install_1-1.sql)
 ! Fix coloring, validating, and formatting issues with the parser error message. (Load.php)
 * Use smf_session_id where possible in JavaScript. (index template, Login template, Themes template, Packages template, ManageSmileys template)
 ! After editing smileys, flush the cache immediately. (ManageSmileys.php)
 ! Fix a notice you might get when saving your profile with a bad external avatar. (Profile.php)
 ! Cookieless logins, etc. weren't working properly on PHP 5. (Load.php)
 ! XML stuff didn't work without cookies enabled. (QueryString.php)
 ! Let things expand toward a higher cache level. (News.php, Load.php, Subs.php)
 ! Permissions weren't working properly from smf_api.php. (smf_api.php)
 ! Made sure everything was ship-shape with PHP 4.1.0. (Subs.php, Subs-Compat.php, Load.php, index.php)
 ! The status script was generating errors when MySQL was not available. (status.php)
 ! Prevent a package manager error when no searches are found. (Subs-Package.php)
 ! If the package manager can get enough free ram, keep a workspace of modified files and modify none before all can be. (Subs-Package.php, Themes.php, Packages.php)
 ! When showing xmlArray errors, do a backtrace if possible. (Subs-Package.php)
 + Now packages can have multiple modification files which depend on each other. (Subs-Package.php)
 ! Save uploaded avatar widths and heights into the database. (Profile.php, Subs-Graphics.php)
 ! Allow the subject to be passed in the query string of a new post. (Post.php)
 ! Make sure to check the moderator's session on lock/sticky. (LockTopic.php)
 ! An extra (unnecessary and slow in this case) query was being run on some searches. (Search.php)
 ! People want the copyright shown for SSI, so show it. (Subs.php)
 ! Double check the user when deleting posts from the recent posts list. (Recent.php)
 ! Try to do even more safety checks in updateSettingsFile(). (Admin.php)
 ! If topics rows go missing, try to put posts in the right boards. (RepairBoards.php)
 ! Automatically switch URLs to https when the forum is accessed that way. (Load.php)
 ! Fix some avatar and attachment problems in the phpBB converters. (phpbb2_to_smf.sql, phpnuke_to_smf.sql)
 ! Move some data to be cached at level 3. (Subs.php, Load.php, MoveTopic.php)
 ! Minor improvements to the package manager's template. (Packages template)
 ! Improved (I think) a search query to use better indexes. (Search.php)
 ! Add support for APC. (Load.php, Admin.php)
 ! The removeMessage() function was doing too much work. (RemoveTopics.php)
 * Open a window with scrollbars always if the window is expected to be too large for the screen. (script.js)
 ! If caching is enabled at level 2, don't let people start a new search until the last one finishes, or 90 seconds pass. (Search.php)
 ! Don't allow prefetching when it comes to searching and unread topics/replies. (Search.php, Recent.php)
 ! Make upgrade work with 1.0 Beta 4. (upgrade_1-0.sql)
 ! Fix a possible race condition involving totalTimeLoggedIn. (Subs.php)
 ! Don't dump the user_settings cache so often. (Subs.php, Load.php)
 ! Make sure the feed title is always properly escaped. (News.php)


July 2005:
--------------------------------------------------------------------------------
 ! The profile_edit_own and profile_edit_any permissions had not been properly removed. (install_1-1.sql, upgrade_1-1.sql)
 ! Repairing your forum didn't work properly for versions of MySQL older than 4.0.4. (RepairBoards.php)
 * Hits were not showing properly in the stats. (Stats template)
 & The installer now warns you if you install over an older version. (install.php, Install language files)
 ! Improved the use of temporary tables to increase the performance of unreadreplies. (Recent.php)
 ! Did the above for all unread topics. (Recent.php)
 ! The shorten_subject() function wasn't properly handling "...&#". (Subs.php)
 * The first found result wasn't being quoted in find members. (Help template)
 ! Temporary tables are now better supported. (ViewQuery.php)
 ! Upgrader didn't support going from older versions of 1.0. (upgrade.php, upgrade_1-0.sql)
 ! Link back to maintenance was wrong. (RepairBoards.php)
 ! Crazy ol' Safari didn't like the progress bar. (Admin template)
 ! Use POST for JavaScriptModify. (Post.php)
 ! Added the first and last post ids to context. (MessageIndex.php, Recent.php)
 * Added setting for enabling buddy list. (ModSettings.php, Subs-Post.php, Profile.php, Load.php, Profile template, upgrade_1-1.sql)
 & Added language string for the buddy list setting. (ModSettings language files)
 * Moved the buddy section to it's own area in profile, and added much more contextual information to the buddy screen. (Profile.php, Profile template)
 & Added/removed some language strings for the above change. (Profile language files)
 ! Typo using imagesavealpha. (Subs-Graphics.php)
 ! The package manager now better displays installability on download. (PackageGet.php, Subs-Package.php)
 * Messed with the look of the package download listing a little. (Packages template)
 ! Show MySQL's error message for the table_test. (convert.php)
 ! Properly detect what an attachment's filename should be in all the converters. (all converters, upgrade_1-1.sql, Subs.php)
 ! Allow links of the format <www.example.com>. (Subs.php)
 ! Typo on registration from admin center. (Subs-Members.php)
 ! Create backups upon package installation and uninstallation. (Packages.php, Subs_package.php)
 ! The copytree() function wasn't actually copying files. (Subs-Package.php)
 ! Admin member activation language usage wasn't up to spec. (ManageMembers.php)
 ! A few typos in the phpBB/phpNuke and Burning Board converters. (phpbb2_to_smf.sql, phpnuke_to_smf.sql, burningboard2_to_smf.sql, burningboardlite_to_smf.sql)
 ! Added a bunch of new repair options to the repair feature - needs more cleanup. (RepairBoards.php)
 & Added an error for profile's showPosts when load averages are high. (Profile.php, Errors language files)
 ! Some versions of MySQL didn't support the search manager's detection of fulltext indexes. (ManageSearch.php)
 ! Smileys with special characters in them didn't render well. (ManageSmileys.php, Subs-Post.php)
 * Clean up a few minor invalid HTML bits here and there. (various files)
 ! Persist the template debugging stuff in links and redirects. (Subs.php, QueryString.php)
 * Don't use document.write(). (ManageMembergroups template, ManagePermissions template, Admin template, ManageNews template, Profile template)
 * Avoid the usage of # as a link target. (Subs.php, index template, Admin template, Help template, ManageMembergroups template, ManagePermissions template)
 ! Fixed quite a few bugs in the MercuryBoard converter. (mercuryboard_to_smf.sql)
 ! Updated a few things in all the converters. (convert.php, all converters)
 ! Fixed some minor bugs in the Oxygen and XMB converters. (oxygen_to_smf.sql, xmb_to_smf.sql)
 ! The UBB.threads converter now works with 6.5 as well as 6.4 afaik. (ubbthreads_to_smf.sql)
 ! Fixed some problems with the YaBB SE converter. (yabbse_to_smf.sql)
 ! Added new-style version of the Snitz converter. (snitz_to_smf.sql)
 ! Added converters for MyBulletinBoard (which is amazingly like vBulletin...) and UseBB. (mybb_to_smf.sql, usebb_to_smf.sql)
 ! Added a converter for Deluxe Portal 2.0. (deluxeportal2_to_smf.sql)
 * Fixed the latest and greatest themes alignment. (Themes template)
 ! In some rare cases, members could delete replies to their own topics even if not granted that permission. (Recent.php, RemoteTopics.php)
 ! Added a converter for eblah p9. (eblah_to_smf.php)
 ! The YaBB converter was missing the getAttachmentFilename function. (yabb_to_smf.php)
 ! Added converter for FUDforum. (fud_to_smf.php)
 ! Autolink links like "www.example.com" at the beginning of posts. (Subs.php)
 ! The YaBB and E-Blah converters now better handle merging. (yabb_to_smf.php, eblah_to_smf.php)
 ! The OpenBB converter is now tested and working properly. (openbb_to_smf.sql)
 ! Apparently fetch_web_data() is more reliable than fopen'ing the URL, even with allow_url_fopen off? (PackageGet.php)
 ! Added Zorum 3 converter - wow, I hate wannabe oop database structures. (zorum3_to_smf.sql)
 ! Added IkonBoard converter and its style of hashing to LogInOut.php (ikonboard_to_smf.sql, LogInOut.php)
 ! Some converters weren't doing attachments/uploaded files properly. (all converters)
 ! Remove yesterday as well from the who's online list time. (Who.php)
 ! Actually reconnect on lost connection errors. (Errors.php, upgrade.php)
 ! Added a MyTopix converter. (mytopix_to_smf.sql)
 ! Work around a bug in PHP 4.1.x for labeling. (PersonalMessage.php)
 ! Added a page title to the manage boards settings page. (ManageBoards.php)
 ! Don't auto-close tags for fake tags. (Subs.php)
 ! Make convert.php automatically work out ID_CATs and ID_PARENTs and childLevels - simplifying a bunch of converters. (convert.php, all converters)
 ! Moved the Forum Error Log from Errors.php to ManageErrors.php (index.php, Errors.php, ManageErrors.php)
 ! Reversed the default sort order of the error log to match the Moderation log, the Ban log and the default topic order. (Subs.php)
 ! The converters now properly delete old attachments before converting new ones. (all converters)
 ! Simplified the method of attachment conversion in all converters. (all converters)
 ! Possible file_exists() error. (Subs-Package.php)
 ! Fixed the permission_mode error while modifying a board. (ManageBoards.php)
 * The help files were not compatible with Firefox. (index.xslt, loginout.xslt, pm.xslt, posting.xslt, profile.xslt, registering.xslt, searching.xslt, style.xslt)
 ! Cleaned up poll option conversion in XMB/Oxygen's converters. (xmb_to_smf.sql, oxygen_to_smf.sql)
 ! Fix login redirection when using queryless URLs. (QueryString.php, LogInOut.php)
 * Sorting and better pagination is now supported in unread/unreadreplies. (Recent.php, Recent template)
 ! Add unreadMessages to the maintenance recount. (Admin.php)
 ! Cleaned up the latest packages section, made it work mostly as intended - needs more work, though. (latest-packages.js)
 ! Add integration for outgoing emails to fix links in them. (Subs-Post.php)
 ! Add apache_reset_timeout calls in a few places, if the function exists. (upgrade.php, convert.php, yabb_to_smf.php, eblah_to_smf.php, create_backup.php, restore_backup.php, DumpDatabase.php, Subs-Package.php)
 ! Create attachment thumbnails on posting, not just on display... and ask for more memory. (Post.php, Subs-Graphics.php)
 * Bans, groups, imode pms, and moderators are now selected by display name *properly*, not username. (ManageBans.php, ManageBoards.php, ManageBoards template, ManageMembergroups.php, Subs-Auth.php)
 ! The buddies section really wasn't looking up members properly, and the ignore list wasn't working either. (Profile.php)
 ! The querystring wasn't being parsed properly for PHP 4.1.x. (QueryString.php, Subs-Auth.php)
 ! Don't continue on if the member data is cruft. (Load.php)
 ! Manage labels from the pm center was conflicting with PHP-Nuke. (PersonalMessage template, PersonalMessage.php)
 ! Added some actual search code to personal messages - still a lot to do with the context. (PersonalMessage, PersonalMessage template)
 & Renamed showBuddies to editBuddies. (Profile.php, Profile template, Profile language files)
 ! Sped up counting of members for newsletters - and ensured it respects whether post groups are enabled or not. (ManageNews.php)
 * The boardindex no longer shows collapsed/empty categories. (Wireless template)
 ! There was a typo that only affected the forum when stickies were off. (Display.php)
 ! Greatly speed up the "delete old log_topics entries" query by forcing an index. (Subs.php, Subs-Boards.php)
 ! Don't search by email address if there's no @. (Subs-Auth.php)
 ! Fix calendar moderation action notice. (Post.php)
 & Modified note in $txt['ftp_setup_why_info'] to include 755. (Install language files)
 ! Better support PHP suExec hosts in the installer. (install.php)
 ! When sending emails and when posting, try to ignore timeouts from PHP or Apache. (Subs-Post.php, Post.php)
 ! Make searching by member name a lot like searching for member's names elsewhere. (Search.php, PersonalMessage.php)
 ! Updated a small thing for PHP 4.1.x. (Themes.php)
 ! Searching wasn't respecting age restrictions properly. (Search.php)
 ! To avoid errors, skip broken topics in converters. (all converters)
 ! Added versatileBulletinBoard 1.0.0 converter. (vbb_to_smf.sql)
 ! Some tags weren't allowed to be mixed case. (Subs.php)
 ! Cache user settings periodically if cache_enable is set to 2. (Load.php, Subs.php)
 * Display template wasn't validating if you had quick moderation on but couldn't do any moderation. (Display template)
 ! Alright, now both sets of tags can be either case. (Subs.php)
 * Memberlist searching was missing label's for checkboxes. (Memberlist template)
 * Fixed entity parsing in remove/apply label drop down. (PersonalMessage template)
 ! The Snitz converter now does moderators, censored words, and notifications. (snitz_to_smf.sql)
 ! Ignore bad cached data. (Load.php)
 ! Simplify some table upgrade stuff to make upgrades from beta 1.0 versions easier. (upgrade_1-1.sql)
 ! Include in the cache keys the modification time of Load.php. (Load.php)
 ! Finally fixed the nasty bug that was removing theme options. (Profile.php)
 ! Cache settings, theme settings, and theme options - it isn't perfect when mucking up theme settings, but it should be okay. (Load.php, Profile.php, Themes.php)
 * Disable both order boxes on changing categories. (ManageBoards template)
 ! Administrators could still be deleted. (Subs-Members.php)
 * Guests' emails weren't properly being hidden. (Display.php, PersonalMessage.php, Display template, PersonalMesasge template)
 ! Installer wasn't working properly anymore. (Load.php)
 ! Remove periods from the cookie name on save. (Admin.php)
 ! The package manager now works much better under safe mode/suexec hosts. (Packages.php, Subs-Package.php)
 & Slightly improved the personal message search feature, and added two new language entries. (PersonalMessage.php, PersonalMessage template, Personal Message language files)
 * Added label searching to the pm interface, and made the search results link back to the relevant folder. (PersonalMessage.php, PersonalMessage template)
 & Added a few additional language entries for the above change. (PersonalMessage and Errors language files)
 & Somewhat minor pm typos. (PersonalMessage language files)
 ! Made it easier to add additional protocols for url tags. (Subs-Post.php)
 ! Cleaned up more package manager stuff when permissions are weird and safe mode is on. (Subs-Package.php, PackageGet.php, Packages.php)
 ! Remove all members from a group when it is changed to a post group. (ManageMembergroups.php)
 ! Fix some problems with SMF working on MySQL 3.23.28, and raise the requirements to that. (Admin.php, ManageErrors.php, ManageBans.php, upgrade.php, install.php, webinstall.php, convert.php, yabb_to_smf.php, eblah_to_smf.php)
 ! Use a full path to Load.php instead of __FILE__ to improve things. (Load.php)
 ! Guests weren't getting 'Guest' as their name properly. (Load.php)
 ! The vBulletin3 converter now supports file-based attachments. (vbulletin3_to_smf.sql)
 & Cleaned up the interface for and errors reported by the repair feature, added checking of pm senders. (RepairBoards.php, Admin language files, index language files)
 ! Added command-line support to the upgrader because that won't timeout. (upgrade.php)
 ! Added YaBB 2 converter, and made conversion system able to understand php files. (yabb2_to_smf.php, convert.php, yabb_to_smf.php, eblah_to_smf.php)
 ! Expanded the SMF Database Error message emailed to the admin. (Subs-Auth.php)
 ! Moved isReservedName() function from Security.php to Subs-Members.php. (Security.php, Subs-Members.php, Post.php, Profile.php, Register.php, Subs-Auth.php)
 ! Use an explicit GMT in newsfeeds to avoid problems with various webservers. (News.php)
 * Don't use $user_info in templates, and show IPs to those who can see them. (Profile template, Profile.php)
 ! Stop lazy bumkins from trying ssi_boardNews() on an empty board. (SSI.php)
 & Clarify error_query_not_specific_enough. (Errors language files)
 ! Trying to add zero members to a group broke things bad. (Subs-Members.php)
 ! Latest posts weren't getting cached at all. (BoardIndex.php)
 * Allow double clicking a suggestion to replace automatically when spell checking. (Post template)
 ! Use SHOW TABLES if and when SHOW TABLE STATUS fails. (Admin.php)
 ! Don't depend on $db_prefix not containing the database name. (Load.php, Admin.php, DumpDatabase.php, create_backup.php, upgrade.php, SSI.php, ManageSearch.php)
 ! Don't create the poll until we know there are no errors with the attachments. (Post.php)
 ! If possible, when quoting pms, show a link to the poster and the time it was sent. (PersonalMessage.php, Subs.php)
 ! Fix over-caching of dates. (Subs.php)
 ! Made a createAttachment() function to compliment the others. (Subs-Post.php, Post.php)
 ! Moved the sha1 functions from Security.php to Subs-Compat.php to reduce compilation time a bit for users with PHP >= 4.3.0. (index.php, Security.php, Subs-Compat.php, SSI.php, install.php)
 ! Sticky the show buddies option in find members. (Subs-Auth.php)
 ! Increase the strictness of the icon filename check. (Post.php)
 ! Show a pretty error message if PHP isn't supported and they run the installer. (install.php)
 * Finding members to add to your buddy list wasn't working. (Profile template)
 * Make the member search template look more like its other friends, add check all. (ManageMembers template)
 ! Avoid REPLACE/INSERTs into log_online when an UPDATE is sufficient. (Subs.php)
 & Automatically detect/fix wrong SMTP port for SSL. (index language files, Subs-Post.php)
 ! The Snitz converter still wasn't doing order properly. (snitz_to_smf.sql)
 ! Search engines weren't always getting the profile, etc. pages. (QueryString.php)
 * Added a guest_post_no_email setting to make it easier not to require guest emails. (Post.php, Post template)
 * Further improved the template for pm searching - made full display of messages more useful. (PersonalMessage.php, PersonalMessage template)
 & Added a new language string to Personal Message language file for the search option on the side bar. (PersonalMessage language files)


SMF 1.1 Beta 3 Public                                              June 28, 2005
================================================================================
June 2005:
--------------------------------------------------------------------------------
 ! Ignore misspelled search words that are only misspelled in case. (Search.php)
 ! Make logins redirect, back to the topic they came from, even with quick login. (LogInOut.php)
 ! Don't allow a fixLongWords setting that could break preg_replace. (Subs.php)
 ! Cleaned up after some copyright bad mojo. (Subs.php)
 ! Moved updateLastMessages() to Subs-Post.php. (SplitTopics.php, RemoveTopic.php, MoveTopic.php, Subs-Post.php, Subs.php)
 * Added smf_avatarResize() to script.js. (script.js, Subs.php)
 ! Make it so people who are not actually viewing a board or topic don't show as doing so. (Load.php, Security.php)
 ! Cleaned up pages listing for when boards= is specified. (Recent.php)
 * Moved table optimization template into Admin template. (Admin.php, Admin template)
 & Removed outdated language string $txt[137] and replaced with $txt['maintain_return']. (RepairBoards.php, Admin language files)
 & Removed all iterations of the 'Settings' string and replaced them with a global string in the index language file. (index language files, Admin language files, Login language files, ManageBoards language files, ManagePermissions language files, ManageSmileys language files, Search language files)
 * Several template changes for above change. (ManageBoards.php, ManageMembergroups.php, ManageNews.php, ManagePermissions.php, ManageRegistration.php, ManageSearch.php, ManageSmileys.php, ManageBoards template, ManageNews template, ManageSearch template, ManageSmileys template, Register template)
 ! Added page titles to some Manage Permissions pages. (ManagePermissions.php)
 ! Tightened up permission checking when delete all posts of a member. (Profile.php, Profile template)
 ! Attempted to do something to help make the permission manager not crawl along on big forums. (ManagePermissions.php)
 ! Made differences from global permissions bold. (Reports.php)
 ! Redirect back to board permissions after changing board to local/global. (ManagePermissions.php)
 ! Add more filtering to the reports. (Reports.php)
 ! Languages in multiple themes were being listed more than once. (Profile.php, Admin.php)
 * I really can't stand titlebg'd boxes *inside* other boxes, it's like having a button on a button. (Packages template)
 * The classic theme had NOT been updated for the release. (Post template)
 ! Holidays were only getting added if they already existed, and not if they didn't. (upgrade_1-1.sql)
 ! Attempted to use characters alone when possible, if iconv is not available. (Subs-Post.php)
 * Don't expand the stats twice in a row. (Stats template)
 ! Added some more path identifiers to the package manager. (Subs-Package.php)
 & Updated $helptxt['allow_disableAnnounce']. (Help language files)
 ! Smileys with brackets in them could break some parsing. (Subs.php)
 ! The registration integration function was misnamed. (Subs-Members.php)
 ! The status.php script now works for 1.x and old 1.1 Beta versions, and detects its path a lot better. (status.php)
 ! Support using a querystring in $scripturl better. (Subs-Auth.php)
 ! The bbc parser now does printpage as well, fixing a LOT of various bugs. (Subs.php, PrintPage.php)
 * Missed a th in style.css. (style.css, Themes.php)
 ! Sent notifications should be stripped of slashes before parsing. (Subs-Post.php, Post.php)
 ! Breaking up long words works a lot better now. (Subs.php)
 ! Ignore the recycle bin in ssi_topBoards(). (SSI.php)
 ! Edit message icons didn't show anything but defaults for some themes. (ManageSmileys.php)
 ! Now deeper caching works better by clearing things. (Subs.php, MoveTopic.php, Load.php)
 ! Don't always pipe host for lookups, try to vary it. (Subs.php)
 ! Fix icon theme detection. (Post.php, ManageSmileys.php, Search.php, Recent.php, MessageIndex.php)
 ! Don't try to assign the database result by reference since it doesn't matter to Zend. (Subs.php, smf_api.php)
 ! Cleaned up some debugging stuff. (Subs.php, ViewQuery.php)
 ! Cleaned up some places where the language was changed and not changed back. (Subs-Post.php)
 ! Sending out reminder emails, etc. now respects the user's language. (ManageMembers.php)
 ! The template error messages are now more i18n-friendly. (Load.php)
 ! Now, downloadAvatar() should work even with allow_url_fopen disabled. (Subs-Graphics.php)
 ! Added a bunch of missing mysql_free_result()'s. (various files)
 ! Added AfriNIC as new Regional Internet Registry. (Profile.php, Profile language files)
 ! Cleanup handling of avatars that *aren't* URLs. (Profile.php, Subs-Graphics.php)
 * Added a not_done sub template to the Admin template, and used it for maintenance. (Admin template, Admin.php)
 & Added a few strings for the above interface. (Admin language files)
 * Cleaned up some bad HTML (style.css, various files)
 ! Now, if you use ?debug and have a decent (non-IE) browser, sends as application/xhtml+xml. (Subs.php)
 ! The quote tag wasn't taking a single parameter. (Subs.php)
 ! Updated a bunch of converters to wrap at 80 and other minor changes. (all converters)
 ! Added a OpenBB converter from Kirby. (openbb_to_smf.sql)
 ! Added a Simpleboard converter, also from Kirby. (simpleboard_to_smf.sql)
 ! Changed the converter engine a decent amount: now supports parameters, looped updates, no settings file, nicer debugging, and fixes some bugs. (convert.php, all converters)
 ! Add some preliminary injection protection to validate queries. (Subs.php)
 ! Make the restriction on having bbc in your name a bit tighter. (smf_api.php, Subs-Members.php, Subs-Auth.php)
 ! Added [code=...] syntax, which invites alternative color coding opportunities. (Subs-Post.php, Subs.php)
 ! Clean up HTML, no longer allow cross nesting of HTML and tags. (Subs.php)
 & Updated $helptxt['registrations'] and $helptxt['smileys'], and removed $helptxt['disabledBBC']. (Help language files)
 ! Template errors now work even with allow_url_fopen disabled. (Load.php)
 * Added interface to change file permissions automatically. (Admin.php, Packages template)
 & Added language files for the cleanup permissions interface. (Packages language files)
 ! Notifications often were not sending. (Subs-Post.php)
 ! Changing your password salt was not working either. (Subs.php, LogInOut.php)
 * Poll editing wasn't working properly. (Poll.php, Post.php, Poll template)
 ! Don't use PCRE to check db strings, because it segfaults under PHP 4 sometimes. (Subs.php)
 ! Cleanup fixTags() for the new parser. (Subs-Post.php)
 + Added optional load average detection, currently hidden. (Load.php, Subs-Auth.php, Errors.php, Search.php, Recent.php)
 & Added language entries for the above change's messages. (Errors langauge files)


SMF 1.1 Beta 3                                                      June 9, 2005
================================================================================
June 2005:
--------------------------------------------------------------------------------
 ! Fixed some parsing problems that could lead to injection holes in IE. (Subs.php)
 * Added an update window in the admin area, to inform users when new updates become available. (Admin template)
 & Added two new language entries for the above change. (Admin language files)
 & Clarify $txt['package_install_options_ftp_why']. (Packages language files)
 ! A few tabs and permissions were wrong after the split. (ManageMembers.php, ManageMembergroups.php, ManageBoards.php, ManageNews.php)
 * Added icons to the personal messages section to show if a message has been replied to. (PersonalMessage template, added pm_read.gif & pm_replied.gif)
 & Added some additional language strings for the above change. (PersonalMessage language files)
 ! Fixed some corrupt buddy online images. (buddy_useron.gif)
 ! Clean up some error messages. (ManageBans.php, ManageMembergroups.php, ManagePermissions.php, Errors.php)
 ! The current board wasn't being cached properly in cache level 2. (Load.php)
 & Removed $txt['smf89'] and added a few strings to repairs. (RepairBoards.php, Admin language files)
 & Update $txt['activate_after_registration'] with a message about junk and spam. (Login language files)
 ! Moved adminNotify() function to Subs-Posts.php. (Register.php, Subs-Post.php)
 ! Moved (admin) registration center to ManageRegistration.php. (Register.php, ManageRegistration.php)
 ! Added a general function for registration of members to Subs-Members.php. (Register.php, ManageRegistration.php, Subs-Members.php)
 ! Moved Revered names to the Register Center (ManageRegistration.php, Subs.php, index.php)
 & Removed $helptxt['edit_reserved'] and updated $helptxt['view_members'] and $helptxt['registrations']. (Help language files)
 & Added $txt['admin_register_done']. (Login language files)
 & Replaced Admin center shortcut to the Registration center by a shortcut to the Member center. (Admin language files, Admin.php)
 ! Force a re-evaluation of all bans after upgrading. (upgrade_1-1.sql)
 ! Some speed improvements. (Search.php, Profile.php)
 ! Don't log banned web accelerators. (Security.php)
 ! Fixed parse error flash BBC. (Subs.php)
 ! Fixed email not always hidden in RSS feeds. (News.php)
 ! Removed server.list in favor of a new database table for package servers. (Admin.php, Packages.php, PackageGet.php, upgrade_1-1.sql, install_1-1.sql)
 ! Add board-specific titles to the news feeds. (News.php)
 ! Try to allow intranet IPs through a proxy as long as the proxy is behind the intranet too. (QueryString.php)
 * Never allow deny for guests. (ManagePermissions.php, ManagePermissions template, upgrade_1-1.sql)
 ! Use bitwise shifting and logic for setBit() and getBit(). (Security.php)
 * Fix a zillion places where the HTML for selected or checked was ugly. (Register template, Calendar template, ManageBoards template, ManageMembers template, ManageCalendar template, Poll template, Post template, Profile template, SplitTopics template, Reports template, ManageSmileys template)
 * Fixed some extra semicolons in pm reply links. (PersonalMessage template)
 ! Fixed the js resize not working if one of the limits was not set. (Subs.php)
 ! Go, go, update files racer! (all files)
 ! People who weren't administrators couldn't delete other members. (Subs-Members.php)
 * Typo which made invalid XHTML. (Display template)
 * Cleaned up a little more bad HTML. (Post template, ManageAttachments template, Poll template, Profile template)
 ! Put in the new bbc parser. (Subs.php, Subs-Post.php, Display.php, Load.php, ManageNews.php, MessageIndex.php, News.php, PersonalMessage.php, Post.php, Profile.php, Recent.php, Register.php, Search.php, SplitTopics.php)
 ! Fixed some places where body was being pulled and parsed in full when it shouldn't. (SSI.php, Recent.php)
 ! Made it much more possible to cache the output of parse_bbc(). (SSI.php, Display.php, News.php, PersonalMessage.php, Post.php, Profile.php, Recent.php, Register.php, Search.php, SplitTopics.php, Subs.php)
 ! The split topics interface was not respecting smileysEnabled. (SplitTopics.php)
 ! Mixed up the admin center links a little. (Subs.php, Admin template)
 & Adjusted $txt[426], $txt[427], $txt[428], $txt[501], $txt['layout_controls'], $txt['censor_case'], $txt['smf231']. (Admin language files)
 ! Moved censored words to ManagePosts.php and updated its interface. (index.php, Admin.php, Admin template, ManagePosts.php)
 & Added some tags for the above change. (Admin language files)
 ! Fixed some issues with the bbc parser - wasn't handling unclosed tags well, double scanned some areas when parsing smileys, wasn't parsing links and long words correctly all of the time. (Subs.php)
 + Created seperate screens for post settings, BBC settings and topic settings. (ModSettings.php, ManagePosts.php, Admin template)
 & Moved several settings from ModSettings to Admin for above change. (Modsettings language files, Admin language files)
 ! Moved setting countChildPosts to 'General board settings'. (ModSettings.php, ManageBoards.php, ManageBoards template)
 & Moved a tag from ModSettings to ManageBoards for above change. (ModSettings language files, ManageBoards language files)
 & Removed $helptxt['edit_censored'] and added $helptxt['posts_and_topics']. (Help language files)
 ! If "allow events not linked to posts" was enabled, new events couldn't be created by normal users. (Calendar.php)
 ! Add caching to parse_bcc(), but only if the post is fairly long. (Subs.php)
 * Clean up some bad HTML. (ManageMembergroups template, Register template, ManageBoards template, Admin template)
 * Add a size rule for th. (style.css)
 ! Make things easier to mod as far as adding BBC and allowing them to be disabled. (Subs.php, ManagePosts.php)
 ! More speed improvements for the search function. (Search.php)
 ! Display was showing the remove topic button even if you didn't have permission to remove the topic. (Display.php)
 * Added an example to search to show what it's capable of. (Search template, Search language files)
 * Cleaned up the package installation template, to make it clearer what is going on, and any problems that may exist. (Packages.php, Packages template)
 & Removed package43 language string, and added several new strings for the above change. (Packages language files)


May 2005:
--------------------------------------------------------------------------------
 ! The profile wasn't loading default theme options. (Profile.php)
 ! Some timestamps weren't being calculated properly. (BoardIndex.php)
 ! Change internal sanity error message format. (Load.php, LogInOut.php, Errors.php, Post.php, Security.php, Subs-Package.php, Subs-Post.php)
 * Make the log_floodcontrol table fixed-width, and changed a few IP columns. (install_1-1.sql, upgrade_1-1.sql, Modlog.php, Subs.php, Errors.php, ManageMembers.php, smf_api.php, Errors template)
 ! Speed up updateLastMessages() or break it - let's find out. (Subs.php)
 * Use the context for common statistics. (Subs.php, index template, BoardIndex template, SSI.php, Stats.php, BoardIndex.php, Stats template)
 * Change show_vBlogin to show_quick_login. (Subs.php, index template)
 ! Add [nobbc] and [html] to printing pages. (PrintPage.php)
 ! More fixes for the UBB.threads converter, even more proven to work than before. (ubbthreads_to_smf.php)
 + Added functionality for generating reports in the admin center. (index.php, Subs.php, Reports.php)
 * Added a template for printing and viewing reports. (Reports template)
 & Added a rather large amount of language entries for the above. (Admin language files, Reports language files)
 ! UBB.threads converter now also converts polls, personal messages and moderators. (ubbthreads_to_smf.php)
 ! The COPPA template shown after registration was not using the main template layer. (Load.php)
 + validatePassword() is now called when a password is created/changed to check it matches current forum rules. (Profile.php, Register.php)
 & Added some language strings for the above change. (Errors language files)
 + Added converter for MercuryBoard. (mercuryboard_to_smf.php)
 + Added converter for Oxygen. (oxygen_to_smf.php)
 + Added converter for XOOPS/newBB (xoops_to_smf.php)
 ! Add hidden setting for forum_alias_urls. (Load.php, Subs-Auth.php)
 * Don't allow prefetches to mark topics read/etc. (Display.php, MessageIndex.php, index template)
 ! Added beginnings of new conversion system. (convert.php, vbulletin_to_smf.sql, yabbse_to_smf.sql)
 ! Changed some 1.x compatbility code. (BoardIndex.php, Load.php)
 + Added new style converter for MercuryBoard. (mercuryboard_to_smf.sql)
 ! Fixed a few bugs with the new converter. (convert.php)
 + Added setting for password strength to the admin center. (Register.php)
 * Modified the template for the registration center to reflect the above. (Register template)
 & Added a selection of language entries for the above addition. (Login language files, Help language files)
 & Fix discrepency with username/display name on register. (Register.php, Login language files)
 ! Added capability to do javascript subject change, icon change, lock, sticky, etc. (Post.php, Subs-Post.php, index.php)
 + Added a new converter for converting from Phorum. (phorum_to_smf.sql)
 ! Updated a few statistics to play nicer with InnoDB tables. (Subs.php)
 ! When using pngs, output is now with alpha values to avoid black background. (Subs-Graphics.php)
 ! Unless something is horribly wrong, realName should never be NULL. (ManageMembers.php, Subs.php, all converters)
 ! Updated the new converters so they include even less duplicated code. (yabbse_to_smf.sql, vbulletin_to_smf.sql, mercuryboard_to_smf.sql, phorum_to_smf.sql, convert.php)
 ! Cache a few more things. (Load.php, BoardIndex.php)
 + Added new style converter for miniBB. (minibb_to_smf.php)
 ! Fix some improper parsing of img tags with autolinked URLs in them. (Subs.php)
 * The quotefast popup was not using the right character set. (Post template)
 ! The stats page wasn't always showing 10 items for everything. (Stats.php)
 ! Changed version numbers from 1.1 Beta 2 to 1.1 Beta 2+. (all files)
 * Added start of searching for pms. (PersonalMessage.php, PersonalMessage template)
 & Added some strings to make it internationalizable. (PersonalMessage language files)
 ! Reformatted a few things and removed recycled topics from totalTopics. (Subs.php)
 ! Fix a notice for invalid referrers. (Security.php)
 * Add a nowrap span around total members on the index. (index template)
 ! Trim the search query for memberlist searching. (Memberlist.php)
 + Added new style converter for UBB.threads, and increased the converters capabilities. (ubbthreads_to_smf.sql)
 ! Just use double quotes in the eval replacements because preg expects it. (Subs.php)
 ! Forms weren't being hidden properly in edit news interface. (Admin.php)
 ! CleanupPermissions() is basically done now, just needs interface. (Admin.php)
 ! Fixed typo in the search function that could be bad. (Search.php)
 + Added the option to add multiple ban items to a single ban. (install_1-1.sql, upgrade_1-1.sql, phpbb2_to_smf.php, xmb_to_smf.php, yabbse_to_smf.php, ManageMembers.php, Register.php, Security.php)
 + Each ban can now have multiple restrictions, including a new restriction 'cannot login'. (ManageMembers.php, ManageMembers template, Security.php, LogInOut.php)
 ! Added a counter to count each 'ban hit'. (Security.php, Login.php, Register.php)
 ! Updated the ban center interface, to reflect above changes. (ManageMembers.php, ManageMembers template)
 ! Split off the ban center functions in ManageMembers.php to ManageBans.php. (index.php, ManageMembers.php, ManageBans.php)
 * Split off the ban center templates in ManageMembers.template.php to ManageBans.template.php. (ManageMembers template, ManageBans template)
 ! Prevent guests from posting when their email is banned. (Post.php)
 ! Expired bans are not deleted automatically anymore. (ManageBans.php, ManageBans template)
 ! Each ban can (must) have a name to make it identifyable. (ManageBans.php, ManageBans template)
 ! Banned members are removed from the 'users online' list immediately. (ManageBans.php, Security.php)
 & Added several language strings for above changes. (Admin language files, Help language files)
 ! Option to add ban triggers in the 'Add new ban' screen. (ManageBans.php, ManageBans template)
 & Updated $txt['ban_add_notes'] for above change. (Admin language files)
 ! Added a general inline permission settings. (ManagePermissions.php, ManagePermissions template)
 ! Changed the avatar permission settings to use the general inline permissions. (ManagageAttachments.php, ManagageAttachments template)
 * Inline permissions now allow toggling. (ManagePermissions template)
 ! Added inline permissions for calendar settings and search settings. (ManageCalendar.php, ManageSearch.php)
 & Added language strings for the above change. (ManageCalendar language files, Search language files)
 ! Added tabs for manage boards and categories. (ManageBoards.php, ManageBoards template)
 ! Moved recycle bin settings from Modsettings to 'Manage Boards and Categories'. (ModSettings.php, ManageBoards.php, ManageBoards template)
 & Moved the recycle language tags from ModSettings to ManageBoards and added some extra tags there. (ModSettings language files, ManageBoards language files)
 * Added an icon in 'manage boards and categories' to show which board is the recycle board. (ManageBoards template)
 + Added (default) option to not use 'deny'-permissions. (Load.php, ManagePermissions.php, ManagePermissions template, upgrade_1-1.sql, install_1-1.sql)
 & Added language strings for the above change. (ManagePermissions language files, Help language files)
 & Removed $txt['avatar_select_permission_desc'] and added $txt['ban_partial_ban']. (Admin language files)
 * Added some help tags to the predefined membergroups. (ManagePermissions template, ManageMembers template, Help language files)
 ! Added support for unsalted sha1 passwords, for users converting from PunBB and others I'm sure. (LogInOut.php)
 + Added a (default) option to disable post count based group permissions. (ManagePermissions.php, ManagePermissions template, Reports.php, install_1-1.sql, upgrade_1-1.sql)
 & Added some new language tags for the above change. (ManagePermissions language files, Help language files)
 ! Simplified the permissions shown in the profile screen, there was too much information imo. (ManageMembers.php, ManageMembers template)
 & Removed language tags $txt['showPermissions_all_boards'], $txt['showPermissions_all_boards_except'], $txt['showPermissions_boards'], $txt['showPermissions_boards_denied'], $txt['showPermissions_local_only']. (Profile language files)
 ! Show a warning if the new converter hasn't been deleted from the forum directory. (Subs.php)
 * Send the current forum version with the detailed version template, incase we ever want to do clever stuff with it. (Admin template)
 ! Updated new converter to give more flexibility when fetching settings. (convert.php)
 + Added the (default) option to simplify local permissions to four choices (normal, no polls, reply-only, and read-only). (Load.php, ManageBoards.php, ManageMembers.php, ManagePermissions.php, Reports.php, Security.php, ManageBoards template, ManagePermissions template, install_1-1.sql, upgrade_1-1.sql, most converters)
 & Adjusted language files for above change. (Admin language files, Help language files, ManageBoards language files, ManagePermissions language files)
 ! The permission view in Profile now also takes users being a moderator in account. (ManageMembers.php)
 ! Fixed inline permissions showing postgroups when they were not supposed to. (ManagePermissions.php)
 ! Typo in the YaBB converter which only affected attachment-less installs. (yabb_to_smf.php)
 ! If there's a database error loading the settings table, assume a connection problem. (Load.php)
 ! Even though only admins should touch it, validate the groups for sending emails a bit more. (ManageMembers.php)
 ! Add an icon to recentTopics()' output. (SSI.php)
 ! Allow the reporting of your own posts when you cannot modify them. (SendTopic.php)
 * Make mark unread keep your place. (Display.php, Display template, Subs-Boards.php)
 ! Smileys weren't uploading properly on some servers. (ManageSmileys.php)
 * Jump to the right label and message after smiting/applauding. (PersonalMessage template, Karma.php)
 * Fixed some invalid HTML in the edit poll interface. (Poll template)
 ! Use fetch_web_data() for downloading attachments. (Profile.php)
 & Removed $txt['avatar_url_wrappers_required']. (ManageAttachments.php, Admin language files)
 * Removed the no longer needed url wrappers warning. (ManageAttachments template)
 ! Make radio groups which only have one item still work. (script.js)
 * Fix selecting external avatars from the profile without other options enabled. (Profile template)
 * Add an option to resize avatars with javascript, add an avatar class for all avatars. (Subs.php, Load.php, ManageAttachments template)
 & Add $txt['option_js_resize']. (Admin language files)
 ! 'Post poll' permission is now independent of the permission to post topics. (Post.php)
 & Adjusted $txt['permissionhelp_poll_post'] to reflect the above change. (ManagePermissions language files)
 ! Full bans are now also supported by cookies. (Security.php)
 & Added character set and right-to-left for installer. (install.php, Install language files)
 ! Censor outgoing PM notifications. (Subs-Post.php)
 ! Added integrate_delete_member. (ManageMembers.php)
 * Add labels to the additional groups for usability. (Profile template)
 ! Added status script - not completely ready yet. (status.php)
 ! Cleaned up some emails from RSS feeds. (News.php)
 ! Merged news and newsletters into a single admin center screen. (index.php, Subs.php, ManageNews.php, ManageMembers.php, Admin.php, ManageNews template, Admin template, ManageMembers template)
 & Added some language tags for the above change. (Admin language files)
 ! Moved modsettings 'xmlnews_enable' and 'xmlnews_maxlen' to the news and newsletters settings screen. (ModSettings.php, Modsettings language files, ManageNews.php, Admin language language files)
 & Moved $helptxt['email_members'] to $txt['news_mailing_desc'] (Help language files, Admin language files)
 ! Allow replacing a searched-for string with nothing. (Subs-Package.php)
 ! Add the beginnings of POP3 before SMTP login. (Subs-Post.php)
 * Polls now quick-preview properly without the post_new permission. (Post template)
 ! Add various list style types to the [list] bbc. (Subs.php, Subs-Post.php)
 ! Censor poll options on edit and display. (Poll.php, Display.php, SSI.php)
 ! Messed with and cleaned up a lot of the new converters, removed old. (all converters)
 ! PHP highlighting wasn't completely compatible with PHP 5. (Subs.php)
 ! Backup wasn't restarting properly after a timeout. (upgrade.php)
 ! Add some warnings for moderation logging to help track problems. (Subs-Boards.php, Subs.php)
 ! Sorting by file size didn't work properly. (ManageAttachments.php)
 ! The upgrader wasn't doing attachments properly. (upgrade_1-1.sql)
 ! Adding a poll to a topic should now work regardless on modify permissions. (Poll.php, Display template)
 ! Improved edit/add poll interface to work better with preview and error messages. (Poll.php, Poll template)
 ! When editing or removing a poll look at who started the poll, not just the topic. (Poll.php)
 & Added some language error strings for the above changes. (Errors language files)
 ! Updated reports to support the new board permissions - and fixed a few bugs with board permissions. (Reports.php)
 & Added some language entries for the above change. (Reports language files)
 ! Moved the profile functions trackUser, trackIP and showPermissions from ManageMembers.php to Profile.php. (index.php, ManageMembers.php, Profile.php)
 * Moved the templates of above mentioned functions from ManageMembers.template.php to Profile.template.php. (ManageMembers template, Profile template)
 * Moved the announcement sub templates from ManageMembers.template.php to Post.template.php. (Post.php, ManageMembers template, Post template)
 ! Split ManageMembers.php into ManageMembers.php, ManageMembergroups.php, and Subs-Members.php. (index.php, ManageMembers.php, ManageMembergroups.php)
 * Split ManageMembers.template.php into ManageMembers.template.php and ManageMembergroups.template.php. (ManageMembers template, ManageMembergroups template)
 ! Created admin tabs for 'Manage Membergroups', including a new settings tab. (ManageMembergroups.php, ManageMembergroups template)
 & Removed language tag $txt['membergroups_members_all_current_desc'] and updated tags $txt['membergroups_edit_post_group'], $txt['membergroups_new_board_desc'], $txt['membergroups_can_edit_later'], $txt['membergroups_new_as_copy'], and $txt['membergroups_star_image_note'], $txt['membergroups_max_messages_note']. (MangageMembers language files)
 & Changed all occurences of 'member group' to 'membergroup'. (ManageMembers language files, Errors language files, Admin language files, Reports language files)
 ! Show an error when adding an already existing membergroup. (ManageMembergroups.php, Errors language files)
 ! Board access can now also be adjusted when editing membergroups (ManageMembergroups.php, ManageMembergroups template)
 ! Added a general function to Subs-Members.php to remove one or more membergroups. (ManageMembergroups.php, Subs-Members.php)
 ! Added a general function to Subs-Members.php to remove one or more members from one or more membergroups. (ManageMembergroups.php, Subs-Members.php)
 ! Added a general function to Subs-Members.php to add one or more members to a specified membergroup. (ManageMembergroups.php, Subs-Members.php)
 ! Added a few more cleaning queries to deleteMembers(). (Subs-Members.php)
 & Removed $helptxt['edit_agreement'] and put it into $helptxt['registrations']. (Help language files)
 ! Clean up the saving of temporary attachments with weird filenames. (Post.php)
 ! The staff report didn't properly handle denied permissions. (Reports.php)
 ! Fix database session lifetime usage and cache things more when set to "super cache". (Load.php)
 ! Expanded on some browser identifications. (Load.php)
 ! Fix cli usage of SSI.php. (SSI.php)
 * Remove Gecko only CSS from index template. (index template)
 * Tweaked the calendar layout a bit. (Calendar template)
 ! Fix international characters in the custom title. (Profile.php)
 ! Add more hacking attempt warnings for those goons who want to remove obExit()s. (Security.php)
 ! Minor tweak to the sha1 functions. (Security.php)
 ! Moved 'members awaiting approval/activation' from the register center to the member center. (Register.php, Register template, ManageMembers.php, ManageMembers template)
 & Moved several language tags from Login to ManageMembers for above change. (Login language files, ManageMembers language files)
 & Split $txt['admin_browse_no_members'] into $txt['admin_browse_no_members_approval'] and $txt['admin_browse_no_members_activation']. (ManageMembers language files)
 & Updated $txt['admin_browse_awaiting_approval'], $txt['admin_browse_awaiting_activate'] and $txt[9]. (ManageMembers language files, Admin language files)
 ! Lots of fixes related to the move of members awaiting activation to ManageMembers. (Themes.php, Register.php, ManageMembers.php, index template)
 & Added an option to approve a member yet require their account to be activated. (ManageMembers.php, ManageMembers language files)
 ! Use <noembed> for flash instead of content inside <embed>. (Subs.php)
 ! Look in at least the last five groups of new posts in ssi_recentTopics()/ssi_recentPosts(). (SSI.php)


SMF 1.1 Beta 2                                                       May 8, 2005
================================================================================
May 2005:
--------------------------------------------------------------------------------
 ! Try not to reset stats ever, under any circumstances. (Subs.php)
 ! Make sure not to generate errors when showing template parse errors. (Load.php)
 ! Update the credits. (Admin.php)
 ! Make the statistics show without errors when there are no members. (Stats.php)
 ! Don't log an error if the image file is corrupt. (Subs-Graphics.php)
 ! Make sure not to assume $_POST['sc'] means form submission. (ManageSmileys.php, ManageCalendar.php, ManageMembers.php, Calendar.php)
 ! Error was caused when saving several labels containing quotes. (PersonalMessage.php)
 ! The webinstaller now uses POST to make requests. (Subs-Package.php, webinstall.php)
 ! Fixed serious bug with deleting members from "Manage Member" section, and made it handle search better. (ManageMembers.php, ManageMembers template)
 ! Find and fix errors wasn't properly reporting poll and event errors. (RepairBoards.php)
 ! Fixed offset error when viewing the moderation log. (Modlog.php)
 ! Thumbnails can now be seperately browsed. (ManageAttachments.php, ManageAttachments template)
 & Added a language tag for the above change. (Admin language files)
 ! The attachment links in the 'Browse files' screen shows a popup for images. (ManageAttachments.php, ManageAttachments template)
 ! Don't show a scrollbar for popups containing an image of a known size. (ManageAttachments.php, Display.php, script.js)
 ! The link to 'manage boards and categories' was not shown on the admin panel for users with only the manage_boards permission. (Subs.php)
 & Changed hits into 'page views'. (Stats language files, Help language files, ModSettings language files)
 ! Improved the UBB converter by a huge amount, and added attachment support. (ubbthreads_to_smf.php)
 ! Fixed thumbnails showing as attachments in the post screen. (Post.php)
 ! Fixed removing thumbnails from 'Browse files' screen. (ManageAttachments.php, ManageAttachments template)
 ! Some general fixes for thumbnail removing. (ManageAttachements.php, Profile.php, RemoveTopic.php, Subs-Graphics.php, ManageMembers.php)
 ! Prevent Google web cache from caching URL's that perform certain actions. (Security.php)
 ! Add image dimensions for custom avatars to the attachment table. (upgrade_1.1.sql)
 ! Fixed events in topics not respecting all possible date values. (Display.php, ManageMembers.php)
 ! Allow queryless URLs in CGI mode if cgi.fix_pathinfo is enabled. (News.php, QueryString.php, Subs.php)
 ! Upgrade from 1.0 had a few MySQL 3 incompatible statements in it. (upgrade_1-0.sql)


April 2005:
--------------------------------------------------------------------------------
 * Only the first + was being properly escaped. (Post template)
 ! Updated everything to 1.1 Beta 1+. (all files)
 & Attempted to clarify $txt['package_action_failure'] and $txt['package_action_success']. (Package language files)
 ! You weren't able to erase your MSN account from your profile. (Profile.php)
 ! Change the order of notification sending a bit to ensure it's done after other things. (Post.php)
 ! Fixed up the calendar to handle week numbers correctly when the week start day is not Sunday, and to handle week 53 better. (Calendar.php)
 ! When editing a poll, if you put in less than two options the error message wasn't being displayed properly. (Poll.php)
 * When editing a ban an error would result due to a missing field in the template. (ManageMembers template)
 ! Send notifications for quick moderation properly. (Subs-Boards.php)
 ! Don't reverse to fix the block if the block still won't match. (QueryString.php)
 * Fixed border staying red on post preview errors. (Post template)
 ! Label changes were sometimes leaking across to other receivers. (PersonalMessage.php)
 * Make the selected state of a pm persist one page view to facilitate relabeling. (PersonalMessage.php, PersonalMessage template)
 ! Fixed a possible but minor error in the spell checker. (Subs-Post.php)
 ! Made the webinstaller work with the new password encryption. (webinstall.php)
 ! Added 'disableQuotedPrintable' setting to disable the use of quoted-printable. (Subs-Post.php)
 * The quick login was *not* being hased properly because of a typo. (index template)
 ! Pretend with glow using background-color, and use text-shadow for shadows. (Subs.php)
 * The news fader was broken in some browsers. (BoardIndex template, fader.js)
 ! Fade smoothly (images/links/color) if possible by browser - only Mozilla/IE/Safari. (fader.js)
 ! Don't use tables for glow/shadow in IE, as it has its own problems too. (Subs.php)
 * In the default theme, make the new/no new icons link to unread topics for that board. (BoardIndex template, MessageIndex template)
 ! Okay, this time I think I really did fix the race condition of double posting with caching. (Security.php)
 ! The unread messages count was getting miffed up. (PersonalMessage.php)
 ! Notifications weren't sending for new posts in a board. (Post.php)
 * The memberlist was showing websites for everyone, whether they had one or not. (Memberlist template)
 ! Attempt to send emails without changing the encoding, if possible and disableQuotedPrintable is set. (Subs-Post.php)
 ! Optimized the ID_BOARD index of the messages table (upgrade_1-1.sql, install_1-1.sql)
 ! Improve the efficiency of cache_put_data() when there's no cache available, add debug info. (Subs.php, Load.php)
 ! Don't send off an email with a blank mysql_error(). (Subs-Auth.php)
 ! Increase the accuracy and efficiency of the total time logged in caching. (Stats.php)
 * Selecting a color, even without text highlighted, should focus the textarea. (Post template)
 ! Since boardsAllowedTo() is kinda slow, cache its result if possible. (Security.php)
 ! The package manager should now function even without allow_url_fopen enabled. (Subs-Package.php, PackageGet.php)
 ! Try harder to get the birthdate right. (yabb_to_smf.php)
 ! In cases, unread messages weren't being shown properly. (PersonalMessage.php)
 * Handle poll option tabindexes better. (Post template)
 ! Properly handle images that have &s in their filenames, and try to detect size with GD even if allow_url_fopen is off. (Subs-Post.php, Subs.php)
 ! Attempt to use caching in url_image_size() if it took a long time. (Subs.php)
 ! Try to preparse lists/tables a little more cleanly and logically. (Subs-Post.php)
 * The avatar selection interface wasn't showing your external avatar properly. (Profile template)
 ! Show version information about PHP accelerators in the admin center too. (Admin.php)
 ! Use array_map() instead of foreach in a couple places since it's likely faster. (QueryString.php)
 ! Don't use array_key_exists() since it is slower than isset. (ManageMembers.php, Memberlist.php, Register.php)
 * Fixed some invalid html. (Display template, MessageIndex template, Search template, ManageCalendar template, ManageMembers template, Admin template, Errors template, Profile template)
 * Added xmlns attributes to <html> tags. (Post template, index template, Printpage template, Wireless template, Help template)
 ! Speed up updateLastMessages() for larger forums. (Subs.php)
 ! Sped up the recent posts of members, and used a temporary table for larger forums to avoid locks. (Profile.php)
 ! Use a temporary table for "replies to your posts" on larger forums, if available. (Recent.php)
 ! Add preview to SSI.php's recentPosts and recentTopics. (SSI.php)
 ! Fix the &#039; problem in signatures, I think. (Profile.php)
 ! Sped up ssi_topTopics a bit for larger forums, and boardsAllowedTo() for all. (SSI.php, Security.php)
 * Use a more xhtml friendly commenting scheme for script and style elements. (various files, various templates)
 ! Fix the profile html saving issue once and for all. (Subs-Auth.php)
 ! Tweaked a couple column sizes - doesn't really matter. (install_1-1.sql, upgrade_1-1.sql)
 ! Fixed some issues with logging moderation actions on your own posts. (Post.php)
 ! Strip out any <br />s after [/html]. (Subs.php)
 ! Don't allow posts with a blank subject via remote form. (Post.php)
 ! It was possible to screw up post notifications with an incorrect board id. (Subs-Post.php)
 ! Increase the limits when looking for recent posts. (SSI.php)
 ! Add a bit of safety checking when looking up the form_stack via cache. (Security.php)
 ! Always send remove topic notifications before removing the topics. (Subs-Boards.php)
 * Ignore errors using filters in the fader, just keep going. (fader.js)
 & Added $txt['countChildPosts'] and $helptxt['countChildPosts']. (ModSettings.php, ModSettings language files, Help language files)
 & Allow a bit more in the way of basic HTML. (Subs.php, Help language files)
 ! Make the ID_BOARD change in upgrade_1-1.sql conditional. (upgrade_1-1.sql)
 ! Add attachment converting support. (yabb_to_smf.php)
 * Even when one avatar directory has a name similar to another one, keep the files in the right places. (Profile template)
 ! Fix the "there are no unread topics" link when in a board/category. (Recent.php)
 ! Remove PHPSESSID=... from logged URLs. (Errors.php)
 ! Speed up the upgrade process just a little bit. (upgrade.php, upgrade_1-1.sql)
 ! Added integrate_verify_user and integrate_verify_password settings. (Load.php, Profile.php, Security.php)
 ! Renamed the customAvatarDir column in table attachments to attachmentType (install_1-1.sql, upgrade_1-1.sql)
 ! Register thumbnails and image dimensions in the attachments table for better performance and maintainability (install_1-1.sql, upgrade_1-1.sql, Display.php, Load.php, ManagaAttachments.php, Post.php, Profile.php, Subs.php, Subs-Graphics.php)
 + Added function validatePassword for determining if a password is strong enough to be allowed on the forum - not yet used. (Subs-Auth.php)
 * Added JavaScript function to expand thumbnails inline. (Display template, Display.php)
 ! By default, ignore recycled messages for the ssi_recentPosts and ssi_recentTopic functions. (SSI.php)
 + Added automatic detection of wireless protocol (index.php)
 + Added recent topics and recent replies for the wireless protocol (Recent.php, Wireless template)
 & Added two language strings for the above change (Wireless language files)
 + Added functionality for reporting personal messages to administrators - no interface for enabling yet though. (PersonalMessage.php, PersonalMessage template)
 & Added a bunch of language strings for the above changes. (PersonalMessage and Errors language files)
 * Make time offset guess positive when it should be, usually. (Profile template)
 & Removed $txt['themeadmin_settings_uses_default']. (Themes language files)
 * Got rid of the restriction from modifying a theme's settings if it used the default's. (Themes.php, Themes template)
 ! Encrypted the (very temporarily) encrypted FTP password. (Subs-Package.php)
 ! Minor tweaks to the theme installation process. (Themes.php)
 ! Allow feeds to be made for a list of boards or categories. (News.php)
 ! Added $mysql_set_mode for those people using MySQL 4.1 or above. (Load.php)
 ! Explicitly insert NOW() for some configurations of MySQL 4.1. (Subs.php)
 ! Make queryless URLs work for redirects, and fix some bugs with them. (Subs.php, QueryString.php)
 ! Fixed the personal message label boxes appearing even if you didn't have any labels. (PersonalMessage.php)
 * Added setting and link in template for reporting a personal message. (PersonalMessage template, ModSettings.php)
 & Added a couple of language strings for the above change. (PersonalMessage, ModSettings, Help language files)
 ! Fixed an error in the conversion of attachments during upgrade. (upgrade.php)
 ! Fixed a bug causing the avatars in a custom directory not to be shown. (Load.php)
 & Tweaked $txt['database_error_versions']. (index language files)
 ! Added some cleanliness to checkSubmitOnce(). (Security.php)
 ! Notice when editing some groups. (ManageMembers.php)
 ! Don't show where they're trying to be on who's online if they are banned. (Security.php)
 ! Fixed a typo in the smf_api.php file and in invision_to_smf.php. (smf_api.php, invision_to_smf.php, invision2_to_smf.php)
 ! Fixed a bug not showing thumbnails of attachments with a space in the file name (Display.php)
 ! Don't count thumbnail views as 'downloads'. (Display.php)
 * Show images that are too large in a popup instead of inline (Display template, Display.php)
 * Added the date a ban was set to the ban list, to ease tracking the most recent bans. (ManageMembers.php, ManageMembers template)
 & Added one text entry for the above change. (Admin language files)
 ! Members without an avatar weren't being handled well. (invision_to_smf.php, invision2_to_smf.php)
 ! If no actions are specified, just kick back. (PersonalMessage.php)
 ! Glow and shadow weren't working, and some bloke finally noticed. (Subs.php)
 ! Don't fail miserably if a backup file cannot be created. (Subs-Package.php)
 ! Updated version numbers to 1.1 Beta 2. (all files)


March 2005:
--------------------------------------------------------------------------------
 ! The "settings" link on the smileys page didn't work. (ManageSmileys.php)
 & Added a few targets to external links. (Admin language files, Help language files, Install language files)
 ! Cache the most immediately successful path in the settings table. (Subs-Package.php)
 ! Calculate member list pagination properly. (Memberlist.php)
 ! Typo causing reserved names to default strangely. (install.php)
 ! Optimized a little bit of SSI.php's boardNews. (SSI.php)
 ! Fixed a bug that was preventing correct YaBB SE conversion. (upgrade_1-0.sql)
 ! Turn on maintenance mode before the backup is started. (upgrade.php)
 ! Fixed a couple version numbers. (ssi_examples.php, ssi_examples.shtml, news_readme.html, readme_convert.html, readme_upgrade.html, readme_install.html, readme_update.html, webinstall.php, smf_api.php, yabb_to_smf.php)
 ! Don't choke and die if the Settings.php file isn't writable when sending an error message. (Admin.php)


SMF 1.1 Beta 1                                                    March 28, 2005
================================================================================
March 2005:
--------------------------------------------------------------------------------
 & Show a note in the manage boards and manage groups interfaces about post groups. (ManageBoards language files, ManageMembers language files)
 * The above, and don't check post groups by default. (ManageBoards.php, ManageBoards template, ManageMembers template)
 * Make the star preview support $language as well. (ManageMembers template)
 * Add support for copying templates from the default into a theme. (Themes.php, Themes template)
 & Add copy stuff to language files as well. (Themes language files)
 ! Don't let quotes break the censored words tester. (Admin.php)
 ! Don't log deadlocks in the error log. (Errors.php)
 ! Use CDATA for the rss/etc. descriptions. (News.php)
 ! Try to avoid changing the last visit on xml and rss calls. (Load.php)
 ! Attempt to avoid shrinking/expanding avatars and thumbnails if that's the size they already are. (Subs-Graphics.php)
 ! Lengthen quote author=... a bit. (Subs.php, Printpage.php)
 * Don't just say "total topics" for topics started. (Profile template)
 & Update the language files with a couple new strings. (Profile language files)
 ! Redirect to the poll they voted in after an SSI-related vote. (SSI.php)
 * Minor typo in the folder view. (PersonalMessage template)
 ! Compress the backup on-the-fly, if possible and use _rowid ascending if we can. (create_backup.php)
 ! Removed session authentication for track IP/Member. (Profile.php)
 ! Added some extra checks to make sure messages to be split still exist (SplitTopics.php)
 ! Moved splitting of topics into a general function (SplitTopics.php)
 ! Events that aren't linked to a topic should be visible to anyone (BoardIndex.php, SSI.php)
 ! Store the type of the login cookie in the cookie itself; this solves "unable to logout" problems. (LogInOut.php, Load.php)
 ! Don't use get_cfg_var() to check for safe mode. (PackageGet.php)
 ! Fix lacnic whois server link. (ManageMembers.php)
 * If possible, select the correct whois server and bolidfy its link. (ManageMembers.php, ManageMembers template)
 ! Sometimes (much of the time), using multiple search conditions could cause your add code to be miffed up. (Subs-Package.php)
 ! The RSS feeds were using overly unique links. (News.php)
 ! Try to parse blank URLs and a few other things more correctly. (Subs-Post.php)
 ! Properly use MIME for sending HTML emails, clean up things for spam checkers. (ManageMembers.php, Subs-Post.php)
 * Add stylesheet editor preview functionality. (Themes.php, Themes template, Admin template)
 & Add a button as well to refresh the preview. (Themes language files)
 * Attempt to make css preview a little more lightweight. (Themes template)
 ! Allow unread/replies/recent to take lists of categories/boards. (Recent.php)
 ! Make it possible to use %3$s for the name of the poster in new topic notification emails. (Post.php)
 ! When a banned member logged in they were incorrectly being marked as "un-activated" (Load.php, LogInOut.php)
 ! Use SQL_NO_CACHE for creating backups. (DumpDatabase.php, create_backup.php)
 ! Update with the password changes in the smf_api.php file. (smf_api.php)
 ! Tell MySQL not to cache the data from admin recount stuff either. (Admin.php)
 * Use lowercase for color dropdown. (Post template)
 & Don't allow registration/name change when the new name has censored words in it. (Security.php, Errors language files)
 ! Changed cache_disable to cache_enable - default, off. (Load.php)
 * Cleaned up a bunch of settings so nothing coughs if they don't exist. (MessageIndex template, Display template, upgrade_1-0.sql, install_1-1.sql, upgrade_1-1.sql, Subs-Post.php, repair_settings.php)
 ! Add ignore_user_abort to things that need to finish cleanly. (all converters, upgrade.php, webinstall.php)
 * Clean up message application strategy, add labeling multiple messages. (PersonalMessage.php, PersonalMessage template)
 & Add language entries for said behavior. (PersonalMessage language files)
 * Mark as read on recent posts for a specific board should only affect that board. (Recent template)
 ! Fixed some bugs in html and li parsing. (Subs-Post.php, Subs.php)
 ! Now that caching is off by default, additionally cache smileys and message icons. (Subs.php, Subs-Post.php, Post.php)
 ! Fix a couple unlikely situations which would just generate notices anyway.  (Search.php, PersonalMessage.php)
 ! Fix a minor code layout problem in Gecko browsers. (Subs.php)
 ! Don't actually change the REQUEST_URI, since others might use it. (QueryString.php, Subs.php, Subs-Auth.php, Security.php)
 ! Properly set and keep track of the locked status (moderator vs. user) when replying. (Post.php)
 ! Use queryless URLs by default even with just SSI.php included. (SSI.php)
 ! When activating/deactivating accounts, keep banned status properly. (Profile.php)
 ! Handle more cases where is_activated is not 1 or 0. (ManageMembers.php)
 ! Make in what ways the member is banned available in the profile summary's context. (Profile.php)
 ! Cache slow hostname lookups if caching is enabled. (Profile.php, Subs.php)
 ! Don't give an error when you try to delete nothing from the news. (Admin.php)
 & People think the "ungrouped" adjective is bad - use "regular members" instead. (Admin language files, ManageBoards language files, ManagePermissions.php)
 ! Who's online was showing the wrong time. (Who.php)
 ! Increased the efficiency of the statistics page - especially for large forums - by a large amount. (Stats.php)
 * Give 30 more pixels of leg room for posts in show posts under a member. (Profile template)
 ! Improved the speed and efficiency of the latest posts from a member functionality. (Profile.php)
 ! Try to speed up recent unread topics a bit more. (Recent.php)
 * Only list those labels you can apply to the selected messages - more logical. (PersonalMessage template)
 ! Try to handle caching of attachments just a little better. (Display.php, Subs.php)
 ! Use %20 instead of + in aim links for spaces. (Load.php)
 ! Handle the usage of curly braces in automatically parsed links. (Subs.php)
 ! Removed the mailprog_error() function and cleaned up its error message a bit. (Reminder.php)
 ! Cleaned up URL rewriting in xml/rss syndication. (News.php)
 ! Added a lot of integration stuff. (index.php, Load.php, QueryString.php, News.php, Profile.php, Register.php, Reminder.php, Subs-Auth.php)
 ! Allow the definition of SMF_INTEGRATION_SETTINGS to override any $modSettings. (Load.php)
 * If something goes wrong with live preview, fall back. (Post template, script.js)
 & Added message when you've replied to or forwarded a pm. (PersonalMessage language files)
 * Made is_replied_to work. (PersonalMessage.php, PersonalMessage template)
 ! Prettied up the optimize function a bit. (Admin.php)
 ! Fixed a couple bad links not including $scripturl. (RepairBoards.php)
 * Fixed a lot of jumpto javascript problems - losing session without cookies, etc. (MessageIndex template, Display template, Search template, help/index.xslt)
 * Cleaned up a lot of label handling and marking, etc.  Now shows unread messages per label. (PersonalMessage template, PersonalMessage.php)
 ! Changed the way microtime() is used. (Subs.php, repair_ID_MSG.php, repair_ID_PM.php, repair_ID_TOPIC.php, ssi_examples.php)
 ! Don't change the actual cal_days_for_index setting. (BoardIndex.php, SSI.php)
 ! Optimized a couple things a bit more. (SSI.php)
 ! Updated part of the ftp connection stuff. (install.php, Subs-Package.php, webinstall.php, create_backup.php)
 ! Added transactions to the backup tool. (create_backup.php)
 ! Show the proper (first) error message when you can't view the admin center. (Security.php)
 * Properly fixed the usage of PHPSESSID in URLs with the jumpto box. (script.js, MessageIndex template, Search template, Display template)
 ! Added a recount of pm totals to the upgrader, and fixed the old one to be speedy-speedy. (upgrade_1-0.sql, upgrade_1-1.sql)
 ! Read/unread status of individual posts was wrong. (Display.php)
 ! Added upgrade from the mod of messsage icons. (upgrade_1-1.sql)
 ! The edit_disable_time setting now applies to deleting posts as well. (RemoveTopic.php, Recent.php, Profile.php, Subs-Boards.php, Display.php)
 * Fixed a small HTML typo. (Search template)
 ! Set session.save_handler to files before any session_start(). (install.php, upgrade.php, convert.php, create_backup.php, repair_settings.php, restore_backup.php, webinstall.php)
 ! The board index wasn't calculating its children's most recent posts correctly. (BoardIndex.php)
 * The live preview didn't like plusses. (Post template)
 * Keep track of the current label better when deleting, replying, etc. to pms. (PersonalMessage.php, PersonalMessage template)
 ! Handle 127 errors as well, if it's possible to do so. (Errors.php)
 ! The database error email message just wasn't sending. (Subs-Auth.php)
 ! Try to make Settings.php less volatile; use caching if at all available. (Subs-Auth.php, Errors.php)
 ! Autocomplete banned member's names because it does make sense for admins at least. (Subs-Auth.php)
 ! Made it possible to have an admin "tab" contain a full URL, independent to the current section. (Admin template)
 ! Upon entering the registration center, the user will now be directed straight to the activation page, if appropriate. (Register.php)
 ! Combined several different package manager actions into one controlling function. (index.php, PackageGet.php)
 * Added "tabs" to the Package Manager interface, and removed the existing Package Manager layer. (Packages.php, PackageGet.php, Package templates)
 & Added/Removed language entries to reflect the changes above. (Packages and Who language files)
 ! Don't bother inserting settings with a zero value, if they are not currently set. (Subs.php)
 ! Clean up better after multiple spaces/etc. in usernames. (Register.php)
 ! Handle single quotes in email addresses from the profile better. (Profile.php)
 ! Handle single quotes in censored words better. (Load.php)
 ! Try to apply quoted-printable a lot less of the time. (Subs-Post.php)
 * Make smf_codeFix iterate backwards over divs to prevent breakage. (index template)
 * Cleanup post preview and insert quote in IE, etc. (Post.php, Post template)
 ! Turn off list code fixing, since it's borken anyway. (Subs-Post.php)
 * Fixed "fetching preview" never going away - I think. (Post template)
 ! Lists were not working well, it seems, all of the time. (Subs-Post.php)
 ! Attempt to show, in debugging mode, errors even in attributes. (Errors.php)
 ! Add spam protection to sending topics and reporting posts. (SendTopic.php)
 & Added error string for a user not entering their password during a profile change. (Errors language files)
 ! Minor tweak to package manager's FTP handling. (Packages.php)
 ! Add actual speed measurement, use pconnect where possible. (create_backup.php)
 * Made the default theme significantly more usable in right-to-left. (BoardIndex template, Display template, Calendar template, index template, MessageIndex template, Profile template)
 ! Made it possible to change the display status of more than one smiley at once. (ManageSmileys.php, ManageSmileys template)
 & Added some language strings for above change. (ManageSmileys language files)
 * Fix key stats breaking with too much data for compliant browsers. (index template)
 ! Handle multiple integration buffers. (Subs.php)
 ! Fixed a case where calendar events wouldn't be handled properly. (Calendar.php)
 + Added option to display linked events in a topic. (ManageCalendar.php, Display.php, Display and ManageCalendar Templates)
 & Added language entries for the above addition. (index and ManageCalendar language files)


February 2005:
--------------------------------------------------------------------------------
 ! Converters should clear the log_topics/mark_read/boards tables. (all converters)
 ! Add converter readme. (readme_convert.html)
 ! If you change the cookie name, reset the cookie before redirecting. (Admin.php)
 ! Redesigned 'Attachments & Avatars' to look more consistent with the other admin center screens (ManageAttachments.php, ManageAttachments template)
 ! Moved modSettings for attachments and avatars to the 'Attachments & Avatars' center. (ModSettings.php, ManageAttachments.php, ManageAttachments template)
 & Moved block of language strings for above change. (ModSettings language files, ManageAttachments language files)
 - Removed modSetting avatar_check_size as it only eats resources. (Load.php, Subs.php, ManageAttachments.php, ManageAttachments template)
 & Removed $txt['avatar_check_size'] and $helptxt['avatar_check_size'] for above change (Admin language files, Help language files)
 - Removed modSetting avatar_allow_external_url as it is already a permission. (invision_to_smf.php, invision2_to_smf.php, phpbb2_to_smf.php, Load.php, Subs.php, ManageAttachments.php, ManageAttachments template, Profile.php, Profile template)
 & Removed $txt['avatar_allow_external_url'] for above change. (Admin language files)
 + Added an option to let all external avatar URL's be downloaded. (Profile.php, ManageAttachments.php, ManageAttachments template)
 + Added an option to host uploaded avatars in a seperate directory from attachments for better server performance (ManageAttachments.php, ManageAttachments template, Profile.php, Subs-Graphics.php, Load.php, Subs.php, upgrade_1-1.sql, install_1-1.sql)
 ! Fix for passing "GLOBALS" to register_globals. (SSI.php)
 ! Who's online wasn't properly showing those actions which require permission to see. (Who.php)
 ! Use sendmail if the smtp_host is blank, trim smtp_host on usage. (Subs-Post.php)
 ! Fixed mod settings avatar_action_too_large getting the wrong value (ManageAttachments.php, ManageAttachments template)
 * Added "tab" system to the admin template, to improve efficiency when making tabbed admin templates. (Admin template)
 * Changed ManageSmileys to use this new style tab system. (ManageSmileys.php, ManageSmileys template)
 ! Keep contextual information for WebTV as well. (Load.php)
 ! Avoid generating errors for searches that don't have blank quotes in them, etc. (Search.php)
 ! Attempt to handle very-large attachments better. (Display.php)
 * Remove height from post/personalmessage because IE 5 is too good for it. (style.css)
 * Show number of users online to even those who can't view the link. (BoardIndex template)
 ! Couldn't send pms to some members, again. (InstantMessage.php, Subs-Post.php)
 ! Make it so break up long words won't screw up links. (Subs.php)
 ! Edit permissions wasn't sorting boards properly. (ManagePermissions.php)
 ! Added an ID_TOPIC index to the calendar table. (upgrade_1-1.sql, install_1-1.sql)
 ! Provide contextual information for calendar events. (Display.php)
 & Added $txt['poll_return_vote'] for going back to vote after viewing the results. (index language files)
 * You are now shown a link to go back to vote after viewing poll results. (Display template)
 & Removed the punctuation in $txt['smf29']. (index language files)
 * Registration now uses the admin tab functionality. (Register.php, Register template)
 ! Simplified part of the converter basic code. (all converters)
 ! Calendar events weren't being updated completely properly. (Post.php)
 ! If the mail server rejects the EHLO, send HELO. (Subs-Post.php)
 ! Don't let entities show in pm notifications. (Subs-Post.php)
 ! Don't send RSET for the last email. (Subs-Post.php)
 ! Allow email messages to have lines that start with "." using SMTP. (Subs-Post.php)
 + Emails are now sent with MIME compliant UTF-8 encoding. (Subs-Post.php)
 ! Fixed some internationalization problems with the pm autocomplete. (InstantMessage template, Subs-Auth.php)
 ! Properly censor the first post's subject and show it in the main link, not the matched subject. (Search.php)
 ! In Invision, usernames should already have entities. (invision_to_smf.php, invision2_to_smf.php)
 ! Error message when deleting/changing a member ban. (ManageMembers.php)
 ! Cleanup RSS feed link and per board/topic links. (index template)
 ! Fixed a typo that was causing permission problems for non-administrators. (Profile.php)
 & Remove $txt[209] because it is sadly no longer in use. (index language files)
 ! Attempt to send the User-Agent as well for HEAD requests - doesn't fix anything because PHP is broken too. (Subs.php)
 ! If someone's data isn't loaded yet, they have no permissions; return false instead of generating errors. (Security.php)
 ! Don't generate errors if the footer is for any reason shown twice. (Subs.php)
 ! Make the personal messages load faster. (InstantMessage.php, upgrade_1-1.sql, install_1-1.sql)
 * Theme settings cleanup part one - the revenge of the paths. (Themes.php, Themes template)
 & Updated a bunch of language entries for the above. (Themes language files)
 ! The sorting links in the attachment manager were wrong. (ManageAttachments.php)
 * Small typo when trying to edit icons. (ManageSmileys template)
 * Unable to delete attachments/avatars from the admin panel. (ManageAttachments template, ManageAttachments.php)
 ! Fixed search not narrowing down the results of multiple fulltext and-branches. (Search.php)
 ! Spanning of events should now be editable everywhere, and some additional checks on validity are now carried out. (Post.php, Calendar.php, Post template)
 * Added tabs to the Search and Calendar templates. (ManageCalendar.php, ManageSearch.php, ManageSmileys.php, Register.php, ManageCalendar template, ManageSearch template)
 ! Don't let updateSettingsFile() write if it read in a broken file. (Admin.php)
 ! Only find activated members when searching for pms/ignore list/etc. (Subs-Auth.php)
 ! Trim notification email bodies for fun. (Subs-Post.php, Post.php)
 ! Fixed a lingering internationalization issue. (Subs-Post.php)
 & Send the full text of announcements in announcement notification emails. (Post.php, Post language files)
 ! Make search properly use entities and search for them. (Search.php)
 ! You couldn't set the strength for glow to more than 2 without using zeros. (Subs.php)
 ! Send (optionally) custom Message-Id headers with messages sent by SMF - this makes it theoretically possible to handle replies. (Subs-Post.php, Post.php, ManageMembers.php)
 ! Make the "I don't like people to see my full path which can easily be seen in other ways anyway" people happy. (SSI.php, ssi_examples.php)
 ! Attempt to use iconv to fix things, if it exists. (Subs-Post.php, Subs-Auth.php)
 ! Make the subjects of pms properly internationalized. (Subs-Post.php, InstantMessage.php)
 ! Purdy up the parse error message output and try to detect sub templates if possible. (Load.php, Errors.php)
 ! Change [quote=...] to [quote="..."] in the vBulletin converters. (vbulletin_to_smf.php, vbulletin3_to_smf.php)
 ! Quote results from other pages using find members. (Subs-Auth.php)
 ! Don't show birthdays for those who aren't activated/are banned. (Calendar.php)
 ! Set $_SERVER['REQUEST_URI'] properly, even if that's not what it is :P. (QueryString.php)
 ! The guest/default theme options are now used if none are found. (Register.php, Load.php)
 * Don't show an option to change theme settings if only the default theme's settings are used. (Themes.php, Themes template)
 + Allow the *removal* of theme options, not just the change thereof. (Themes.php)
 * Cleanup the interface for changing options a lot, made it more logical and perform as it should. (Themes.php, Themes template)
 & Made a bunch of language changes to further this effort. (Themes language files)
 ! Backup restoration utility wasn't loading long enough lines. (restore_backup.php)
 ! Set up a basic way to do mail from an address other than $webmaster_email. (Subs-Post.php)
 + Rewrote the interface for selecting messages to be split and added XMLhttp support. (SplitTopics.php, SplitTopics template, Xml template)
 * Added two image buttons for above feature (split_select.gif, split_deselect.gif)
 & Added three language strings for the above feature. (index language files)
 ! Removed numerical sub-actions for splitting and merging topics. (SplitTopics.php, Subs-Boards.php, SplitTopics template)
 ! Added option to insert start numbers dynamically for function constructPageIndex. (Subs.php, Display.php, MessageIndex.php, Recent.php, ManageMembers.php, SplitTopics.php)
 ! Fixed last split post causing a JavaScript error in IE. (SplitTopics.php)
 * Make a few things in the theme manager look nicer under dumb ol' IE. (Themes template)
 ! Make font sizes work properly. (Subs.php)
 * Fixed a minor javascript error when replying. (Post template)
 ! Use ignore_user_abort when strategic. (Admin.php, Load.php)
 ! The html tag wasn't working on multiple lines correctly. (Subs-Post.php)
 ! Try to continue on permission denied errors, which we hopefully won't get anyway. (Subs-Package.php)
 ! Gender has been stored as a number for quite some time now. (Register.php)
 * Use a session check in karma links. (Display template, InstantMessage template, Karma.php)
 ! Remove some (hopefully) unnecessary indexes on the messages table. (install_1-1.sql, upgrade_1-1.sql)
 ! Added the cache_put_data and cache_get_data functions. (Load.php)
 ! Cache the male vs. female ratio. (Stats.php)
 ! Cache the individual parsecode'd blocks for an hour. (Subs.php)
 ! Added get_memcached_server and support for multiple mmcached servers with wannabe load balancing. (Load.php)
 ! Tweak order of settings table changes. (upgrade_1-1.sql)
 ! Use mmcache/eaccelerator sessions when database driven sessions are off and the cache is enabled.  (Load.php)
 ! There's no reason for secretAnswer to ever be longer than 64 characters. (upgrade_1-1.sql, install_1-1.sql)
 ! Make the recent posts for rss feeds look harder for posts. (News.php)
 ! Cleanup delete_replies, etc. permissions and possible problems/flaws. (RemoveTopic.php)
 ! Modified log_online table and code slightly for speed optimization. (install.sql, upgrade_1-1.sql, Subs.php)
 ! Added indexes to the log_errors table to speed up track IP/member. (install.sql, upgrade_1-1.sql)
 ! Cleaned up last traces of mod setting 'enableReportToMod'. (SendTopic.php, upgrade_1-0.sql, install.sql)
 ! Switched the primary key ID's of the log_boards table for (a little) faster performance. (upgrade_1-1.sql, install_1-1.sql)
 ! Split some queries in the updateLastMessages() for faster performance. (Subs.php)
 ! PHP was sometimes not being highlighted properly. (Subs.php)
 ! Rename InstantMessage.php to PersonalMessage.php. (index.php, ManageMembers.php, PersonalMessage.php)
 * Rename the InstantMessage template to PersonalMessage, but still support the old. (PersonalMessage template, PersonalMessage.php, Load.php, detailed-version.js)
 & Rename the InstantMessage language files to PersonalMessage, but support old as above. (PersonalMessage language files, Subs-Post.php, PersonalMessage.php, detailed-version.js)
 ! Fixed new poll choices sometimes getting messed up after editing polls. (Poll.php)
 & Attempt to minimize/counter session problems with SSI.php. (SSI.php, index language files)
 ! Using caching, avoid doing DELETEs more often than necessary on log_online, and do UPDATEs if possible. (Subs.php)
 ! Add a bunch of security-related warnings and such for people changing code. (Errors.php, Security.php, Subs-Auth.php)
 ! Do version number checking inclusive. (Subs-Package.php)
 ! Don't cache parsed post data - too much memory. (Subs.php)
 ! Send emails using the realName, if it was specified. (Register.php)
 & Added a few missing documentation strings, cleaned up mail_type description. (ModSettings.php, Help language files, ModSettings language files)
 * Don't show the delete selected button until it's useful. (Display template)
 ! Cache the $board_info with moderators if we're only viewing the board directly. (Load.php)
 ! Solve the submit once race condition problem using caching, if possible. (Security.php)
 ! Clean up query string handling. (QueryString.php)
 ! Don't resize images down to anything by zero. (Subs-Post.php)
 * Show, optionally, resized down thumbnails for image attachments. (Display.php, ManageAttachments.php, Post.php, Subs-Graphics.php, Display template, ManageAttachments template, upgrade_1-1.sql, install_1-1.sql)
 & Added help and descriptions for the above added options. (Admin language files, Help language files)
 ! Moved creation and modification of posts into a function. (Post.php, Subs-Post.php, MoveTopic.php, Load.php)
 * Clean up handling of internationalized names. (Profile.php, Subs-Auth.php, PersonalMessage.php, PersonalMessage template)
 * Store labels on pms numerically instead of as text - sorry, this scraps all current labeling. (PersonalMessage.php, PersonalMessage template, upgrade_1-1.sql)
 & Make it possible to remove messages from the inbox, and store them only in labels. (PersonalMessage.php, upgrade_1-1.sql, install_1-1.sql, PersonalMessage language files)
 ! Use backticks when optimizing tables with potentially unknown names. (Admin.php)
 ! Only send Content-Length for attachments/images if output compression is off or it is huge. (Display.php)
 ! Create thumbnails on first un-thumbnailed view. (Display.php)
 & Mark all those strings used in emails. (index language files, Login language files, PersonalMessage language files, Post language files, Profile language files)
 * Fix some places where ?> is used bare in PHP code. (Load.php, News.php, PersonalMessage.php, Post.php, Register.php, Subs-Package.php, Wireless template, invision_to_smf.php, invision2_to_smf.php)
 ! Adjust ID_MEMBER size on attachments to the same size as the column on members. (upgrade_1-1.sql, install_1-1.sql)
 ! Properly delete thumbnails when deleting their attachment. (ManageAttachments.php)
 ! Don't touch ID_MSG_LAST_VISIT/totalTimeLoggedIn under SSI. (Load.php, Subs.php)
 * Add whitespace between smileys in the popup so they wrap better. (Post template)
 ! Tweak indexes on calendar and themes. (install_1-1.sql, upgrade_1-1.sql)
 ! Cache the smileys, if possible, for a short period. (Subs-Post.php)
 ! Don't set the notifications as sent if none were even touched. (Subs-Post.php)
 * Cleanup internationalization of message labels. (PersonalMessage.php, PersonalMessage tmeplate, install_1-1.sql, upgrade_1-1.sql)
 ! Fix posting updating post count. (Subs-Post.php, Post.php, MoveTopic.php)
 * Major/dumb typo in script.js that made collapsing things not work. (script.js)
 & Changed $days to $txt['days'], $days_short to $txt['days_short'], $months, etc. (index language files, Subs.php, Profile.php)
 * A few template changes for the above too. (Calendar template, Profile template, Settings template)
 ! Fix time formats for today/yesterday again. (Subs.php)
 * Add stuff-doing to the list of things the theme manager can do. (Themes template, Themes.php)
 & And add some language entries for the above. (Themes language files)
 ! Collect and validate information about available languages on registration. (Register.php)
 ! If you log in as an administrator, get rid of the no-double-register lock. (LogInOut.php)
 ! Check a few other things in registrations a bit more throughly. (Register.php)
 & Changed $txt['whoallow_sendtopic'] to $txt['whotopic_sendtopic']. (Who.php, Who language files)
 * When editing polls, the choice ordering could be messed up. (Poll template)
 ! Try to properly handle the case where karmaWaitTime is set to 0. (Karma.php)
 ! Only try to create the thumbnail once, and fail if it doesn't work. (Display.php, Subs-Graphics.php)
 ! Cache moderator group info and tweak how it's used. (Load.php)
 ! Clean up the information about ssi_boardNews, which was way old. (news_readme.html)
 * Cleaned up some old bgcolor usage. (index template, Printpage template)
 ! Optimized the administrative totals recount by a rediculous amount. (Admin.php)
 * Automatic notification was still being turned off sometimes on replies with quick reply. (Display template)
 * Attempt to control the size of avatar previews, if possible. (Profile template)
 ! URLs within URLs in certain situations didn't auto link properly. (Subs.php)


January 2005:
--------------------------------------------------------------------------------
 ! The calendar was not showing birthdates properly at the end of the year. (Calendar.php)
 & Fixed a typo in the can't reply to locked topics message. (Errors language files)
 ! Add a integrate_redirect setting for redirection. (Subs.php)
 ! Don't show "2: ", or "8: " error level indicator in error messages, show file/line to admins. (Errors.php)
 ! The attachment directory's size was not being counted properly. (ManageAttachments.php, Post.php)
 ! Search had some problems still with "temporary table emulation". (Search.php)
 ! If readfile is disabled, check for null instead of false. (Display.php)
 ! Updated path detection for windows servers. (install.php, Packages.php, PackageGet.php, create_backup.php)
 & Add a new language string for the installer detecting a path. (Install language files)
 ! Fixed a minor typo in the package manager. (PackageGet.php)
 & Add a new language string for the installer to not say deleting the file doesn't work on all servers. (Install language files)
 & Added $txt['mysql_error_space'] and a check for out of diskspace errors. (Errors.php, Errors language files)
 ! Updated the backup creation tool, adding better FTP handling. (create_backup.php)
 ! Don't log notices from PHP 5 in the error log. (Errors.php)
 * The news fader now updates just slightly less often. (fader.js)
 & Updated $txt[739] to better reflect what the setting does. (Admin language files)
 * Slightly tweaked the look of recent and searched posts... very minor. (Recent template, Search template, Recent.php)
 ! Added who action information to the profile contextual information. (Who.php, Load.php, Profile.php)
 ! Don't show the option to move a topic if there's only one board (you can see.) (MessageIndex.php, Display.php)
 * Added Mark selected read to the quickmoderation options. (Subs-Boards.php, MessageIndex template)
 & Added $txt['quick_mod_markread'] for the above. (index language files)
 * Don't show merge-to target boards if this is the only board they can see. (SplitTopics template)
 ! If there are no topics to merge with available, show an error message. (SplitTopics.php)
 ! Added web installer and mirror listing. (webinstall.php, mirrors.xml)
 ! Fixed some group-related bugs in the YaBB SE converter. (yabbse_to_smf.php)
 ! For older themes, provide the $modSettings['memberCount'] value. (BoardIndex.php)
 ! Don't use strtr replacing a blank string with a blank string. (PackageGet.php, create_backup.php)
 & Made $txt['package45'] more descriptive. (Packages language files)
 ! Use MySQL conditional comments for TRUNCATE, etc. (ManageMembers.php, Errors.php, Admin.php, Search.php, ManageSearch.php)
 ! Escape any input made from the login page, just in case. (LogInOut.php)
 + Registration management will now allow filtering by different approval types where appropriate. (Register.php, Register template)
 ! Removed duplication of actions in registration management (Delete/Reject). (Register.php, Register template)
 & Added several language strings to aid the filtering in registration management. (Login language files)
 ! Added some backend functionality for COPPA support, in particular post registration screens. (index.php, Register.php, Register template)
 & Added many language entries to Login language files for above addition. (Login language files)
 & Added $months_titles to ease translation in Greek, etc. (index language files)
 * The calendar now uses $months_titles for capitalized titles. (Calendar template)
 ! Handle attachments with quotes in their names properly. (all converters)
 & Added string to show current filter when you are on a non-standard filter in registration management. (Register.php, Register template, Login language files)
 ! Use isset with multiple parameters when possible. (Admin.php, Errors.php, InstantMessage.php, ManageBoards.php, ManageMembers.php, ManageSmileys.php, MoveTopic.php, Post.php, Profile.php, Register.php, Security.php, all converters)
 ! Provide SHA-1 support for old PHP versions, allow it in a login cookie - no real changes yet. (Load.php, Security.php)
 ! Implement SHA-1 hashing for passwords; use the passwordSalt for cookies. (SSI.php, Load.php, LogInOut.php, Profile.php, Register.php, Reminder.php, Security.php, Subs-Auth.php, install.php)
 ! Update copyright notices. (all files)
 ! Use a proper id under WAP for categories. (Wireless template)
 ! If you want people to retain their stars, member group, etc... just blank the moderator group out. (Load.php)
 ! On the profile statistics page, show the member's name for clarity. (Profile template)
 ! Number format wasn't saving properly from the settings. (Subs.php)
 ! Use proper checks for FULLTEXT even under 3.23.x.. (ManageSearch.php, DumpDatabase.php, create_backup.php)
 ! Admin registration will now only let admins register admins. (Register.php)
 * Added front end for COPPA implementation, including settings in the admin panel, and checkbox on registration. (Register.php, Register template)
 & Added some language entries for above change. (Login and Help language files)
 ! Activation should be disabled for COPPA users - for the time being at least. (Register.php)
 & It is now possible to receive a reminder of COPPA contacts/forms if you try to log in as a minor without approval. (LogInOut.php, Register.php, Login language files)
 ! Use mhash for sha1 instead of the PHP version if at all possible for speed. (Security.php)
 ! Moved "edit agreement" to a subaction of regcenter; could do more. (Subs.php, Register.php, Admin.php, Admin template, index.php)
 & Improved the text descriptions shown when viewing an unapproved/unactivated profile. (Load.php, Profile.php, Profile template, Profile language files)
 ! Requesting a new activation email after changing your email address was causing an error. (Profile.php, Register.php)
 & Registration center can now handle approving deleted accounts. (Register.php, Register template, Login language files)
 ! Moving topics should use default redirect notice in forum's default language. (MoveTopic.php)
 ! Attempt to handle colons (:) in links... (Subs.php)
 ! Check to make sure uploaded temp files actually exist when validating them. (Profile.php, Post.php, Themes.php, PackageGet.php, ManageSmileys.php, test_modification.php)
 ! Fix pagination in trackip functionality. (ManageMembers.php)
 ! For mark unread's purposes, don't check that they aren't the last poster. (Recent.php)
 ! Whether an email was public or not (email_public) was not properly reflecting guest_hideContacts. (Load.php)
 ! Add an .htaccess for attachments/ - if it doesn't work or causes a 500, no loss... only gain. (attachments/.htaccess)
 ! Edit poll was duplicating slashes, etc., on preview. (Poll.php)
 ! Don't add entity's to the sender's name in email notifications. (Subs-Post.php)
 ! If there were karma or im options involved with only some members, failure resulted. (yabb_to_smf.php)
 ! Theme converter was adding too many slashes to PHP code from template.php. (Themes.php)
 ! Fixed a small bug causing the XML output to show incorrectly. (News.php)
 ! GlobalCookies setting was not properly disabled for IP addresses. (Subs-Auth.php)
 ! Fixed unable to set delete_own/delete_any permission. (ManagePermissions.php)
 ! HTML-ify everything in the smiley's description text. (Subs.php)
 ! Allow whitespace within the actual table cells, and fix a little bit more bad table syntax. (Subs.php, Subs-Post.php)
 ! Optimized poll option deletion. (Poll.php)
 ! Don't cough and die on filenames with tildas in them in the detailed version checker. (Admin.php)
 * Search now features quick moderation... sorta. (Search.php, Search template, Subs-Boards.php)
 * Improved error messages displayed on login screen for unapproved accounts. (LogInOut.php, Login template)
 * Approval on account deletion added, so admin can give the thumbs up before account removed. (Subs.php, ModSettings.php, Profile.php, Register.php)
 & Language entries added for above changes. (Login language files, Errors language files, Profile language files, ModSettings language files)
 + Added two new notification settings, notifyTypes and notifySendBody. (install_1.1,sql, upgrade_1.1.sql, Load.php, Post.php, Profile.php, Subs-Post.php)
 * Altered Profile template to accomodate above settings. (Profile template)
 & Added new language strings for above changes. (Profile and Post language files)
 ! Show "all unread" on the linktree separately from "unread"... (Recent.php)
 ! Minor notice in login if you went to login2 directly. (LogInOut.php)
 * Allow the easy uninstallation/upgrade of non-modification packages. (Packages template)
 ! Attempt to turn off session.use_trans_sid in loadSession(). (Load.php)
 ! If Invision's upload directory cannot be found for some reason, use .../uploads. (invision_to_smf.php, invision2_to_smf.php)
 ! The recount functionality is now (somewhat) paginated. (Admin.php)
 ! If the package file is zero bytes in size, don't die horribly. (Subs-Package.php)
 & Added an option to *disable* notifySendBody. (ModSettings.php, ModSettings language files, Help language files)
 * Approval from a users profile now works correctly, and gives a warning before approving the deletion of an account. (Profile.php, Profile template)
 & Increased the options for pruning messages from forum maintenance. (RemoveTopic.php, Admin template, Admin language files)
 ! Don't create a backup of the "Settings.php" file using the normal tilda method. (Subs-Package.php)
 ! Blank out url_rewriter.tags so SMF can just do it itself. (Load.php)
 * Because of the markread option, always show checkboxes for quick moderation. (MessageIndex template, Search template)
 * If you can't post in a specific board, and there are no topics, and only children, just show the children. (MessageIndex.php, MessageIndex template)
 ! Added shorten_subject() function to deal with internationalization problems. (SSI.php, Subs.php, BoardIndex.php, MessageIndex.php, Recent.php, Post.php)
 ! Use the name instead of the username in the page title for profiles. (Profile.php)
 ! Disabling BBC also disabled smileys without warning. (Subs.php)
 ! Work a little harder to sanitize filenames. (ManageSmileys.php, Themes.php, QueryString.php)
 ! Fixed a couple minor typos. (Help files, various files)
 * Add logo setting... too many questions. (Settings template, Themes template, Themes language files, index template)
 * Tweak a few things for right-to-left support. (BoardIndex template, Calendar template)
 & Tweaked $txt['own_profile_confirm']. (Profile language files)
 - Don't allow output compression on PHP 4.1.2, etc. either - causes problems. (index.php, SSI.php)
 ! Make "don't send me any email" notification setting also apply to report-to-moderator and registration notifications - HURRAH!! (Register.php, SendTopic.php)
 ! Removed isBanned from members table in favor of is_activated, taking the unlucky value of 13 for a banned member. (install_1-1.sql, upgrade_1-1.sql, ManageMembers.php, Post.php, Security.php, Subs-Post.php)
 ! Optimize tables one at a time to avoid unnecessary locks. (Load.php)
 ! Don't die horribly if the compression data in an archive is corrupt. (Subs-Package.php)
 ! Warn also if "webinstall.php" exists. (Subs.php)
 ! Properly escape entered text for error messages, etc. (Search.php)
 ! Copy over the entire images directory when creating a copy of the default theme. (Themes.php)
 ! Show the correct path to the Themes directory even on Windows servers. (Themes.php)
 ! Don't send forum-wide emails to unactivated people, or any emails really. (Post.php, Subs-Post.php, ManageMembers.php)
 ! Fixed a minor notice when searching without create temporary. (Search.php)
 ! Pagination was still a bit wrong in unread topics, etc. (Recent.php)
 ! Search has been rewritten in order to increase speed, integrate fulltext search and improve accuracy of search results. (Search.php, ManageSearch.php)
 + Search now supports excluding words by adding a minus sign (e.g. animals -sheep). (Search.php)
 ! Search no longer uses temporary tables. (Search.php)
 ! Search cache can no longer be disabled. (Search.php, ManageSearch.php)
 ! ModSettings 'disableTemporaryTables' and 'search_cache_size' are no longer used. (ManageSearch template, ManageSearch.php, upgrade_1-1.sql)
 & Removed language tags for above changes. (Search langugage files, Help language files)
 * Removed submit buttons if there are no PM labels defined yet. (InstantMessages template, InstantMessages.php)
 + Attempt to fix "incorrect key file" errors too. (Errors.php)
 ! Upgrader didn't show the error message properly for when agreement.txt was not writable. (upgrade.php)
 ! Fix lists and tables a bit better on preview/post ;). (Subs-Post.php, Subs.php)
 + Allow [url=?topic=1.0], [img]/images/...[/img], [url=#blah], [anchor=blah], etc. (Subs-Post.php, Subs.php)
 + Added backend functionality for additional message icons. (SSI.php, Display.php, MessageIndex.php, Post.php, Recent.php, Search.php, install_1-1.sql, upgrade_1-1.sql)
 * Updated templates to respect the location of message icons. (Display template, MessageIndex template, Post template, Recent template, Search template)
 + Added a very basic message icon editor, to allow for adding, editing, sorting and deletion of message icons. (ManageSmileys.php, ManageSmileys template)
 & Added language strings for message icon manager. (Admin language files, Errors language files, ManageSmileys language files)
 ! phpBB converter now handles code sections and some other bbcode better. (phpbb2_to_smf.php)
 ! Fixed a few typos, logging of mark read for guests in split. (SplitTopics.php, Security.php)
 * Small change to style.css - limit the max-height of code blocks. (style.css)
 ! CGI server check for logins, etc. wasn't working with FastCGI. (Load.php)
 ! Cleanup better when deleting a member. (ManageMembers.php)
 ! Don't add to the moderation log when a moderator deletes his or her own post. (RemoveTopic.php, Subs-Boards.php)
 + Make it easier to run something that uses SSI.php from the command line. (Load.php, QueryString.php)
 ! Allow login cookie length to be longer. (Load.php, smf_api.php)
 ! Get basic support for feeds other than RSS and SMF's xml ready - not done. (News.php)
 ! Fix "never expire" not being properly checked bug. (LogInOut.php)
 ! Allow forum moderators to blank email addresses and allow board moderators to edit those posts. (Post.php)
 + Attachments are no longer lost on preview/error. (Post.php, ManageAttachments.php)
 * Modified the templates to no longer give warnings about preview, and to allow uncheck of attachments to stick. (Post template)
 ! Removed attach_lose and attach_preview, which are no longer needed. (Post language files)
 * The "additional options" area now sticks better. (Post template)
 ! Send announcement now links to first post. (Post.php)
 ! Don't show the email icon for members or guest posters whose email is blank. (Load.php)
 ! If is_activated is greater than 10, it means a ban is in place. (upgrade_1-1.sql, ManageMembers.php, Security.php)
 ! Add base functionality for "cleanup permissions". (index.php, Admin.php)
 ! Themes based on other themes now work properly. (Themes.php, upgrade.php)
 * Added hits and average hits per day to the stats page. (Stats.php, Stats template)
 & Added num_hits and average_hits. (Stats language files)
 * Don't allow registration submission at all with a blank name/email. (Register template)
 * Minor efficiency tweak to ssi_boardNews. (SSI.php)
 ! The db_query() function now takes false, false as to mean no error checking. (Subs.php, ManageSearch.php, Search.php)
 ! The search interface wasn't able to remove the fulltext index. (ManageSearch.php)
 ! Updated the YaBB converter. (yabb_to_smf.php)
 ! Make sure "since last visit" is always more than five hours ago. (Load.php)
 ! If anything goes wrong extracting a file, fail more silently. (Subs-Package.php)
 & Change $txt[350] just slightly. (Admin language files)
 & Internationalize the installer a bunch more. (install.php, install_1-1.sql, Install language files)
 & Renamed notifyAnncmnts_UserDisable to allow_disableAnnounce. (ModSettings.php, Post.php, install_1-1.sql, upgrade_1-1.sql, Help language files, ModSettings language files)
 * Changed the setting also in one template. (Profile template)
 * When you uncheck attachments and hit preview, now allow more attachment uploads in good faith. (Post.php, Post template)
 ! Recent posts counter was starting over from 1. (Recent.php)
 * The board management interface now warns you when checking a board's permissions will make it local. (ManageBoards.php, ManageBoards template)
 & Added confirmation string to language files. (ManageBoards language files)
 ! Recount all forum totals was not properly affecting the last messages on boards. (Admin.php)
 ! Add contextual information describing whether they consider YOU a buddy. (Load.php)
 ! Add backend for resetting the login hash and for challenge logins. (LogInOut.php)
 ! Added backend for the horrid countChildPosts - which turns on and off without affectings boards. (BoardIndex.php, MessageIndex.php)
 ! Attachments with "&" and " " characters in them weren't converted properly. (phpbb2_to_smf.php)
 ! Don't check that uploaded files exist if open_basedir is set. (Post.php, Profile.php, Themes.php, ManageSmileys.php, PackageGet.php)
 ! Attempt to detect whether local and global cookies should be on at installation. (install.php)
 ! Keep tabs in PHP code blocks properly under PHP 5. (Subs.php)
 * Deleting a single PM wasn't working correctly. (InstantMessage.php, InstantMessage template)
 & Took the word "10" out of $txt[234]. (index language files)
 ! Make upgrade.php accept an older language file for minor releases. (upgrade.php)
 ! Change default of 'smiley_enable' to off. (upgrade_1-1.sql, upgrade_1-0.sql, install_1-1.sql)
 ! Clean up statistics sorting in all the converters. (all converters)
 ! The Burning Board converter should now transparently handle 1x and 2x. (burningboard_to_smf.php)
 ! Simplify shorten_subject() by quite a bit, let's hope I don't regret this. (Subs.php)
 ! Links with : in them were fixed, but with http:// in them (all) were broken. (Subs.php)
 ! Sessions now look slightly slightly nicer with/without queryless URLs on. (QueryString.php)
 * Changed everywhere that used ;id to something else for dumb servers. (Display.php, InstantMessage.php, Load.php, LogInOut.php, ManageBoards.php, ManageCalendar.php, ManageMembers.php, ManagePermissions.php, ManageSmileys.php, Register.php, Subs.php, Themes.php, ManageBoards template, ManageCalendar template, ManageMembers template, ManagePermissions template, ManageSmileys template, Profile template, Register template, script.js, Themes template)
 & Fixed a link in $txt['smf3']. (ModSettings language files)
 ! Resetting all theme options didn't always set the default registration options right. (Themes.php)
 * Allow a Settings template to specify that a option is a default option. (Settings template, Themes template)
 & A few links were using _new instead of _blank. (Errors language files, Help language files, Subs.php, news_readme.html)
 ! Cleaned up the flash output - it should look/work better with non-IE browsers now, and use less bandwidth in such situations. (Subs.php)
 * Renamed im_email_notify and im_ignore_list to pm_*. (Profile template, all converters, upgrade_1-1.sql, install_1-1.sql, smf_api.php, repair.php, Subs-Post.php, Profile.php, Load.php, Register.php)
 * Fixed few minor errors in InstantMessage sending error handling. (InstantMessage.php, InstantMessage template)
 & Changed the error message for ALTER to include CREATE/DROP. (upgrade.php, Install language files)
 ! In most cases, you couldn't properly select theme-dependent language files. (Admin.php, Profile.php)
 ! $modSettings['enableErrorLogging'] can now be set to 2 to log ALL ERRORS. (Errors.php)
 ! Don't force a referer check for just a single attachment's deletion. (ManageAttachments.php)
 ! Fixed the 'parentheses not balanced' error. (Search.php)
 ! Make it so is_read can be things other than 1. (InstantMessage.php)
 + Log whether a message has or has not been replied to. (InstantMessage.php)
 ! Use tinyint(3) instead of 4 for poll columns. (upgrade_1-1.sql, install_1-1.sql)
 * Add an autocompleter to to/bcc for pms - soon to have more, and buddies. (InstantMessage template, Subs-Auth.php)
 ! MIME encode the sender's name when sending emails. (Subs-Post.php)
 ! Don't let the "space left in the attachment directory" show below 0. (ManageAttachments.php)
 ! A database error could occur if you tried to create a smiley with a single quote in its name. (ManageSmileys.php)
 ! That should do it for RDF and ATOM feeds. (News.php, Load.php)
 ! Where possible, load the language file before the template. (Help.php, InstantMessage.php, LogInOut.php, ManageMembers.php, ManagePermissions.php, Post.php, Register.php, Reminder.php, Security.php, SendTopic.php, Stats.php, Subs-Auth.php, Subs-Post.php, Themes.php)
 * Properly (I think?) handle multiple recipients in auto complete. (InstantMessage template)
 * Cache the previous results to increase speed of searches. (InstantMessage template)
 ! Only search autocomplete by display name. (Subs-Auth.php)
 ! Use <br /><br /> instead of \n\n for the notice. (ManageAttachments.php)
 ! Properly handle special characters at the beginning and end of the search word. (Search.php)
 ! Don't show the pm popup when action is pm. (Subs.php)
 ! Package manager wasn't properly skipping missing files. (Subs-Package.php)
 ! Minor unimportant but still dumb typo in all converters. (all converters)
 ! Fixed a notice that could occur when a guest posts. (Post.php)
 * Work around dumb server security settings. (Subs.php, ManageMembers.php, ManageMembers template)
 ! Inherit font style and color in table tags. (Subs.php)
 + Added XMLHttpRequest support for previewing messages (Post.php, Post template, Subs.php, script.js)
 * Added an XML template for the above feature. (Xml template)
 ! Quotefast feature now does XMLHttpRequest asynchronously. (Post.php, Display template, Post template, Xml template)
 * Created a sub-template for the quotefast using a popup (non-XMLHttpRequest). (Post template)
 ! LoadTheme() doesn't load the index template anymore for certain actions. (Load.php)
 + Added a 'new' icon for new posts that were added while posting/previewing. (Post.php, Post template)
 & Moved $txt['error_while_submitting'] from errors to index. (Errors language files, index language files)
 & Added $txt['login_hash_error']. (Login language files)
 * Logins are now hashed against a challenge code for security. (Login template, index template, LogInOut.php, Security.php, Subs-Auth.php)
 ! Added a password hash disable function to give upgraders time to not be annoyed. (Subs.php, upgrade_1-1.sql, all converters)
 * Add textToEntities function to aid internationalization. (script.js, Post template, InstantMessage template)
 ! Correct post counts when moving between two boards that count differently. (MoveTopic.php)
 ! Track events properly so they won't overlap when more than a month of them are loaded. (Calendar.php, SSI.php, BoardIndex.php)
 ! Keep track of event spans with just one row - properly, in other words. (SSI.php, Calendar.php, Post.php, upgrade_1-1.sql, install_1-1.sql, yabbse_to_smf.php)
 & Added $txt['smileys_forum_board_default']. (index language files)
 * Profile now shows a choice for forum/board default smiley set. (Profile.php, Profile template)
 ! Profile no longer uses special redirect unless it needs to. (Profile.php)
 + Implemented XMLHTTP support for the stats page. (Stats.php, Stats template, Xml template)
 ! Adjust the session vars on collapse of statistics. (Stats.php, Stats template, script.js)
 ! Tweaked entity internationalization code, since we now have to deal with 127+. (MoveTopic.php, Poll.php, Post.php, Search.php, SplitTopics.php)
 ! Use sprintf instead of str_pad when possible. (Stats.php, Calendar.php)
 ! Fix the security warning and make it more readable. (Subs.php)
 ! If a "duplicate entry" error occurs while voting, just ignore it. (Poll.php)
 ! Cleanup a few notes and file saving in the converters. (all converters, various files)
 ! Arranged admin center items more logical (imho) and shortened the names. (Subs.php, Admin language files)
 ! Merged 'registration agreement' into 'registration center'. (Register.php, Subs.php, Admin template, Register template)
 * Added a template layer for the registration center menu. (Register template, Register.php)
 ! Adjust (lower) a few timeouts. (Subs.php, Subs-Post.php)
 + If spell checking is on and working, search keywords are now checked. (Search.php)
 * Added contextual information for revising the search - for no results/misspelling, more if template wishes. (Search template)
 & Add a few entries to the language files for the above. (Search language files)
 ! Don't allow the deletion of administrators by non-administrators. (ManageMembers.php, Profile.php)
 ! Use LOW_PRIORITY in a few queries on topic/attachment display so as not to lock other things up. (Display.php)
 ! Fix some issues in the YaBB and YaBB SE converters. (yabb_to_smf.php, yabbse_to_smf.php)
 ! Allow the removal of the first post by quick moderation if it's the only post. (Subs-Boards.php)
 ! Did you mean was ignoring excluded search terms. (Search.php)
 * Allow an override of the preview magic with Ctrl. (Post template)
 ! A few minor cleanups with label handling in personal messages. (InstantMessage.php, InstantMessage language files)
 * Editing the span of an event should now work correctly, in unlinked events anyway. (Calendar.php, Calendar template)
 * Buddies are now shown when using who's online via SSI (SSI.php)
 ! Replaced two mysql_fetch_array()s with mysql_fetch_assoc()s. (DumpDatabase.php, create_backup.php)
 ! Hard code an error message since it's better than nothing. (Load.php)
 ! Do internationalization cheating on personal text as well. (Profile.php)
 ! Changed several mysql_query()'s to db/convert/upgrade_query()'s. (upgrade.php, upgrade_1-0.sql, burningboard_to_smf.php, ViewQuery.php, DumpDatabase.php, Errors.php)
 ! Logging in after the password hashing is enabled with a non-sha1 password wasn't working. (LogInOut.php)
 * Correctly list hidden and buddy users in who's online. (BoardIndex template)
 * Fix a few XML preview typos, make is_not_guest() die in xml mode. (Post.php, Security.php, Xml template)
 ! Add tgz to the allowed package extensions. (Package.php, PackageGet.php)
 * XML nodes are sent in 4 kilobyte chunks. (Post template, Display template)
 ! Calendar wasn't showing birthdays and holidays properly. (Calendar.php)
 & The package manager now caches your FTP information so it can use it more actively. (LogInOut.php, Packages.php, Subs-Package.php, Packages language files)
 * Now, when you do things that require temp or others to be writable, you're prompted for FTP info. (Subs-Package.php, Packages.php, Packages template)
 + The package manager now works on safe mode servers without PHP suExec - mostly. (Subs-Package.php)
 ! Make undo work with position="end" as well. (Subs-Package.php)
 ! Added a function to make chmod'ing files easier and more suExec compliant. (Subs-Package.php, Packages.php)


December 2004:
--------------------------------------------------------------------------------
 ! Cleaned up the gif loading code and removed quite a few unnecessary functions. (Subs-Graphics.php)
 ! The forum URL is now checked to make sure it starts with a scheme. (install.php, repair_settings.php, Admin.php)
 ! Don't prefill the "To" box with "". (InstantMessage.php)
 ! Cleaned up some comments and minor coding conventions. (various files)
 ! Added package SDK to the repository. (tools/package)
 ! Attempt to stop time and memory limits from causing problems with attachments. (Display.php)
 ! Attempt to prevent a timeout when recounting forum totals and statistics. (Admin.php)
 ! Don't allow editing of own custom title by default. (install_1-1.sql)
 ! Cleanup permissions and make upgrades not set permissions each round or affect post groups. (install_1-1.sql, upgrade_1-0.sql, ManagePermissions.php, phpbb2_to_smf.php, yabbse_to_smf.php)
 ! Changed remove_replies to delete_replies, remove_own/any to delete_own/any, delete_own/any to remove_own/any. (Display.php, ManagePermissions.php, MessageIndex.php, Profile.php, Recent.php, RemoveTopic.php, Security.php, Subs-Boards.php, Errors language files, ManagePermissions language files, install_1-1.sql, upgrade_1-0.sql, upgrade_1-1.sql, invision2_to_smf.php, invision_to_smf.php, phpbb2_to_smf.php, yabbse_to_smf.php)
 & Updated $txt['mlist_search'] and $txt[303]. (index language files)
 ! Add holidays to the calendar until 2020. (install_1-1.sql, upgrade_1-1.sql)
 ! Add language installation notes to all and remove requirements from update, since they are the same. (install_readme.html, upgrade_readme.html, update_readme.html)
 ! Speed up mark read notably for larger forums/boards. (Subs-Boards.php)
 ! Do we really want to switch to "view all" after deleting from "view members"? (ManageMembers.php)
 ! Show "last online" or "last active" in italics if they are not activated. (ManageMembers.php)
 ! Add the darn online colors to "who's viewing" information. (Display.php, MessageIndex.php)
 ! Added an index on ID_MEMBER to log_topics; yes, it's more index and more space, but... it'll be faster in some parts. (install_1-1.sql, upgrade_1-1.sql)
 ! In the few cases where it would be more efficient not to do the extra lookups for updateStats, they are no longer done. (Post.php, Register.php)
 * Update script.js to handle an evil change to Safari 1.3's handling of readonly inputs/textareas. (script.js)
 ! Let the people have their email addresses of one character. (Post.php, Register.php, Profile.php, SendTopic.php)
 ! Only allow email addresses for the MSN field. (Profile.php)
 ! Lay down basic frame work for "theme x based on theme y". (Load.php, Help.php)
 ! XMB converter wasn't handling the post text correctly. (xmb_to_smf.php)
 * Added ability to add members to a buddy list. (Profile.php, Load.php, BoardIndex.php, Subs-Auth.php, index.php, upgrade_1-1.sql, install_1-1.sql, BoardIndex and Display templates)
 ! Small fix with default permissions in the permissions manager. (ManagePermissions.php)
 ! It's no longer possible to delete the last admin account from their profile. (Profile.php)
 & Added language entry for the above change. (Errors language files)
 ! Fixed a small bug in adding an unlinked calendar event. (Calendar template)
 ! Added settings for displaying holidays etc on the calendar. (install_1.1.php, upgrade_1.1.php, ManageCalendar.php, Calendar.php, ManageCalendar template)
 & Added and altered language entries for the above change. (ManageCalendar language files)
 ! Themes could be set by URL even if this was turned off. (Load.php)
 ! A quote with only an author followed by a quote with more caused problems - now it doesn't as much. (Subs.php)
 ! Format lists with </li> (for validity) even when using [*], etc. (Subs-Post.php)
 ! Made a check for form_stack_pointer just in case. (Security.php)
 ! Check for session support in the installer to avoid getting a blank screen. (install.php)
 & Added $txt['error_session_missing']. (Install language files)
 ! Polls now use the same psuedo-international character set fixing. (Post.php, Poll.php)
 ! Allow the subjects to be actually (or near) 100 characters counting &#***;, &quot;, etc. as only one. (Post.php)
 ! Added ENABLE/DISABLE KEYS support to the create_backup.php utility. (create_backup.php)
 ! Don't log dlattach as the last page view... (Subs.php)
 ! Always show "me" on who's viewing this topic/board. (MessageIndex.php, Display.php)
 ! Roll over previous/next instead of showing an error - also optimize previous/next query. (Display.php)
 & Removed $txt['previous_next_end']. (Errors language files)
 ! Updating stats which would leave a negative post count was causing an error. (Subs.php)
 ! To/Bcc will no longer be filled with quotes upon an error sending a post. (InstantMessage.php)
 & Updated error message shown when a message can't be sent due to size of someones inbox. (InstantMessage.english.php)
 * Administrators are now completely exempt from capacity limit. (Subs-Post.php, ManageMembers template)
 ! Return a 304 HTTP response if an avatar/attachment is still cached by the user agent and hasn't been modified. (Display.php)
 ! You can now view the unread posts or replies in just a single category. (Recent.php)
 & Removed the word "beta" from the default theme description. (Settings language files)
 * Clean up page indexes and links for WAP/WML. (Wireless template)
 & Added $txt['cannot_announce_topic']. (Errors language files)
 & Added some helpful information to $helptxt['fixLongWords']. (Help language files)
 * Fix links to board/category specific recent posts; show current location. (Recent template, Recent.php)
 ! XMB converter was adding slashes in bad/annoying places. (xmb_to_smf.php)
 ! vBulletin 2 and 3 converters were not properly converting the last post information. (vbulletin_to_smf.php, vbulletin3_to_smf.php)
 ! Passwords with single quotes in them weren't being set properly from the profile. (Profile.php)
 * Reformatted the password reminder a bit; no longer have to specify whether it's a username or email. (Reminder.php, Reminder template)
 & Removed $txt['smf101'] and $txt['smf102'], and now $txt[194] is 'Password reminder' not just 'reminder'. (Profile language files, index language files)
 ! Updated the help in various places, layout and language information. (various files in help)
 & Added $txt['register_subject'], $txt['register_immediate_message'], $txt['register_activate_message'], $txt['register_pending_message'], $txt['resend_activate_message'], and $txt['resend_pending_message']... removed $txt[700], $txt['activate_mail'], and $txt['approval_email']. (Login language files)
 ! Registration now uses a much more translatable/changeable string for registration. (Register.php)
 ! Image URL protection was affecting links in some cases too when images were next to each other. (Subs-Post.php)
 ! Removing nested quotes removed text between when using just [quote]. (Post.php, InstantMessage.php)
 ! Don't show html tags in board titles in the <title> element. (MessageIndex.php)
 * Cleaned up Search template and made it not search the recycle bin by default. (Search.php, Search template)
 ! Searching with symbols now works better even in fulltext mode. (Search.php)
 ! Match highlighting was having problems with special characters. (Search.php)
 ! Administration panel sometimes gave errors if you had very few permissions to it. (Admin.php)
 * Tweaked the layout of search results and put the relevance to the left. (Search template)
 ! Don't spell check ALL CAPS words, and don't think 'word' is spelled wrong. (Subs-Post.php)
 & Updated $txt['send_validation_onChange']. (ModSettings language files)
 ! If a birthday from next year is shown on the board index, calculate the age correctly. (Calendar.php)
 & Add board listing into context for simplicity, make categories select boards, collapse board list. (Search.php, Search template)
 ! Fixed a few typos. (Install language files, Admin language files, Errors language files)
 ! Big clean up in the moderation log, including much better handling of sorting/pagination after a search. (index.php, Modlog.php, Modlog template)
 ! Updated Invision 2 converter to (hopefully) deal with personal messages correctly. (invision2_to_smf.php)
 + Added a basic converter that will hopefully convert from UBB.threads to SMF. (ubbthreads_to_smf.php)
 ! Searching by action in the moderation log will now work across all languages. (Modlog.php)
 ! Check cookie before unserializing to patch PHP security hole. (Load.php, smf_api.php)
 ! Don't use unserialize() in Search, instead fake it. (Search.php)
 & Add half a sentence to $txt['smiley_editsets_explain']. (ManageSmileys language files)
 * Add backend for searching topics specifically. (Search.php, Search template)
 & Added $txt['search_specific_topic'] for the search parameters page. (Search language files)
 ! Trim the end of templates and language files when including them. (Load.php)
 ! Search wasn't handling escaped bbc properly. (Search.php)
 * If you click advanced, carry over the string you're searching for. (Search template)
 ! Backup utilities didn't support FULLTEXT. (DumpDatabase.php, create_backup.php)
 ! Prevent changing a board's parent to one of its children. (ManageBoards.php)
 ! Make sure people can't remove posts if they have no permission at all to. (Subs-Boards.php)
 & Added $txt['timeoffset_autodetect']... (Profile language files)
 * Added "auto detect" to profile's time offset. (Profile.php, Profile template)
 ! Don't delete attachments that have internationalized filenames on maintenance. (ManageAttachments.php)
 ! Registering a new member would cause an error to be flagged if the ban session variable didn't exist. (Register.php)
 ! Added functionality to registration management to allow admins to quickly perform actions on outstanding users. (Register.php, Register template)
 & Added langauge entries for above change. (Login language files)
 * If an error occurs when saving on the profile page, an error message will now appear to say why. (Profile.php, Profile template)
 & Several error strings added to language files. (Errors language files)
 + Implemented PM support for WAP 2 & I-mode. (Wireless template, InstantMessages.php, Subs-Auth.php)
 & Added some language tags for the above change (Wireless language files)
 ! Fixed small upgrade bug. (upgrade_1-0.sql)
 ! Fixed error in label display if PM has only BCC recipients. (InstantMessages.php)
 ! Fixed a small bug in searching PM recipients. (Subs-Auth.php)
 ! Fixed members with an apostrophe could not be sent a PM. (InstantMessages.php)
 ! Smileys are no longer parsed for the wireless protocol. (Subs.php)
 ! Invision 2 converter will now warn the user if files are not writable - and will not attempt what it cannot achieve. (Invision2_to_smf.php)
 * Added a "Check All" button to the "Email Your Members" screen.(ManageMembers template)
 * Position the caret properly when nothing's selected in Internet Explorer. (script.js)
 ! Handle many elements with the same name in invertAll(). (script.js)
 ! Fill the email your member variables even for custom email addresses. (ManageMembers.php)
 * Show an attachment's actual width and height even if it is resized down. (Display.php, Display template)
 * It was possible to have a member name that you couldn't pm. (Subs-Auth.php, InstantMessage.php, InstantMessage template)
 ! Automatically recognize /home2/ as well as /home/. (install.php, Packages.php, PackageGet.php, create_backup.php)
 ! Completely clear the settings for any guest. (Load.php)
 ! Only allow a clear text password if there is no salt in the database. (LogInOut.php)
 ! All the converters now use convert_query for query error prevention. (converters/*)
 ! Renamed the title of "New Year's". (upgrade_1-0.sql, install_1-1.sql)
 ! Don't list all holidays/birthdays ever - 0000-12-30 to 0000-01-01. (Calendar.php)
 ! Show a guest-friendly error message when a guest can't see a topic/board. (Load.php)
 ! The registration date changed when editing profiles and getting errors. (Profile.php)
 ! Because the registration date can be changed, order by it specifically when viewing the member list. (Memberlist.php)
 ! Allow arrays as theme options and settings. (Themes.php, Profile.php)
 ! Registration from the admin screen now handles permissions correctly, and choosing activation will now always work. (Register.php)
 ! Improved the menus of the registration center to ensure they appear when required - and only when required. (Register.php)
 * Added a new menu to the registration center for registration settings, and moved existing settings across to this area. (modSettings.php, Register.php, Register template)
 & Several language changes for above changes (Migration, removal and a few additions), and adaption of the current help text. (Admin, Login, modSettings and Help language files)
 ! Fixed some minor notices when getting pm errors and loading missing language files. (Load.php, InstantMessage.php)
 ! Add integrate_buffer setting to obExit for buffering purposes, as well as output_buffers theme setting. (Subs.php)
 & Tweaked description of time format. (profile help files, Profile language files)
 ! Package manager was sometimes uninstalling xml-style packages incorrectly. (Subs-Package.php)
 ! Only accept a value of 1 for is_activated, when checking to see if an account is active. (SSI.php, Load.php, LogInOut.php, ManageMembers.php, Reminder.php, smf_api.php)
 ! Spell checking *misspelled* 'quoted words' didn't work properly, sometimes accents were ignored. (Subs-Post.php)
 ! Now, when a user is awaiting admin approval is_activated is set to a value of 3. (Register.php, upgrade_1-1.sql)
 * Don't use $txt[94] + something for total numbers, it's not very internationalizable. (BoardIndex template)
 ! The package manager tried to show 'package_no_gzip' but it should have been 'package_no_zlib'. (Packages.php)
 ! Just in case, make sure any files from simplemachines.org don't contain dlattach. (PackageGet.php, Themes.php, ManageSmileys.php)
 & Fixed some problems in the Spanish language files. (all language files)
 ! The XMB converter now properly parses the [align] bbc tag. (xmb_to_smf.php)
 & Fixed a minor typo - "through out". (Profile language files, profile help files)
 ! Fixed a typo in the phpBB converter. (phpbb2_to_smf.php)
 ! Avoid marking boards and topics read for guests upon deletion. (RemoveTopic.php, MoveTopic.php)
 ! Smileys couldn't have special characters (<, >, &, etc.) in their alt/description text. (Subs.php)
 ! Fixed a few problems in the YaBB SE to SMF converter. (yabbse_to_smf.php)
 ! Don't even allow files to be uploaded as avatars if they have no proper size. (Profile.php)
 ! Fix a small notice made when you change your password from your profile. (Profile.php)
 & Merged language changes with branch. (all language files)
 * Fixed a bit of button display logic. (Recent template)


November 2004:
--------------------------------------------------------------------------------
 ! Handle the case where the bbcode_uid is blank. (phpbb2_to_smf.php)
 ! You weren't able to upload a theme directly without clearing the "copy of" box. (Themes.php)
 ! Updated the create_backup.php utility to offer to create files via FTP. (create_backup.php)
 ! Fix line-endings of text files on attachment download. (Display.php)
 ! If you used two dots in an attachment filename, for any reason, it could fail. (Subs.php)
 ! There was a potential problem in the installer if something got double-spaced. (install.php)
 ! Updated restore_backup.php to have the option to restore paths, etc. (restore_backup.php)
 ! Converters now try a cross-database check before doing anything. (all converters)
 ! Added style="clear: both;" to hr and explicit br's because it makes sense. (Subs.php)
 & Updated $txt['mboards_moderators_desc'] to reduce confusion. (ManageBoards language files)
 ! Prevent an error in the profile when the avatar path is not properly accessable. (Profile.php)
 * Added $context['tabindex'] to the Post and InstantMessage templates. (Post template, InstantMessage template, Load.php)
 & Added $txt['register_only_once'] error message to Register. (Errors language files)
 ! Upgrade now checks for broken tables and lost connections, and automatically recovers. (upgrade.php)
 ! Only ignore certain types of errors in upgrade_query(). (upgrade.php, upgrade_1-0.sql, upgrade_1-1.sql)
 ! Prevent [0] from messing up posts when not in lists. (Subs.php)
 ! Renamed the instant_messages table to personal_messages, im_recipients to pm_recipients. (all converters, upgrade.php, upgrade_1-0.sql, upgrade_1-1.sql, install_1-1.sql, repair_ID_PM.php, Admin.php, InstantMessage.php, Load.php, LockTopic.php, ManageMembers.php, Security.php, Subs-Post.php)
 & Cleaned up $txt['deleteAccount_posts']. (Profile language files)
 & Added $txt['mail_send_unable'] for mail that couldn't send. (index language files)
 ! Added 'bar_width' information for polls. (Poll.php)
 ! Added 'add above' option for boardmod-style files, which means basically add before. (Subs-Package.php)
 * When possible, use XMLHttpRequest for "insert quote". (Post template, Display template, Post.php)
 * Fixed a minor error in package uploading. (PackageGet.php, Packages template)
 ! The recentTopics and recentPosts SSI functions were not well scalable. (SSI.php)
 * Gosh, how long has that typo been there? (BoardIndex template)
 * Capacity bar added to personal message center to show how close to having a full inbox the user is. (InstantMessage.php, InstantMessage template)
 * Ability to "Label" messages added to personal message center, including manager to add/remove labels. (InstantMessage.php, upgrade_1.1.sql, install_1.1.sql, InstantMessage template)
 & Language entries added for above changes. (InstantMessage language files)
 ! Fixed small bug which was occuring when trying to increment personal message count. (Subs.php)
 ! Added [nobbc] tag (which anyone can use) that disables bbc/autolinking. (Subs.php, Subs-Post.php)
 ! Fixed a notice in ssi_recentPoll. (SSI.php)
 ! Cleaned up upgrade.php, nearly done. (upgrade.php, upgrade_1-0.sql)
 ! Don't show uninstall for older versions of installed mods. (PackageGet.php, Packages.php, Packages template)
 ! Don't warn about the deletion of a package if it's not the current version. (Packages template)
 ! Adjusted the margin for the ssi_examples page... san. (ssi_examples.php)
 ! Don't compress attachments on PHP 4.1.x. (Display.php)
 ! Don't show a blank screen if template files are missing. (Load.php)
 ! Attempt to get past session.auto_start, but don't start a session otherwise if one was already started. (Load.php, install.php, Install langauge files, Help language files)
 ! Support incorrect usage of [td]/[tr]/etc. better. (Subs.php, Subs-Post.php)
 ! Cleaned up a lot of whitespace issues. (various files)
 ! Updated credits. (Admin.php)
 * Hidden emails are now properly italicized in profiles. (Profile template, Load.php)
 & $txt['smf24'] now more correctly says "total voters". (index language files)
 * Added tabindexes to the Register template to aid registration.
 ! Added debugging information in the package manager when data is appened to a file. (Subs-Package.php)
 ! Avatars were being resized even if the "check every time" option was enabled. (Subs.php, Load.php)
 * Removed the Search template from the classic theme, moved post overflow style into style.css. (Search template, Post template, Profile template, Recent template, Display template, style.css)
 * Tweaked a classic template a bit. (Recent template)
 ! Small notice when an author wasn't specified for modifications. (Package template)
 ! The extension of an uploaded avatar wasn't being determined properly for well-sized bitmaps. (Profile.php)
 ! Modifications weren't always uninstallable. (Subs-Package.php)
 ! The installer wasn't setting up the session properly with database driven sessions. (install.php)
 ! Impose a hard limit (potentially configurable) of 200 pages of results in search. (Search.php)
 ! Attempted to fix that darn entity thing in profiles. (Profile.php)
 * Added a line-height to codeheader/quoteheader so they would look proper. (style.css)
 * The newsfader now attempts to detect the colors to fade from/to from the stylesheet. (BoardIndex template)
 ! Announcing a topic on a board no one could access was giving errors. (Post.php)
 ! Started poll and topic counts were including junk posts. (Profile.php)
 ! The session auto rewriter could adversely affect the latest-news... (Admin template)
 ! Check the output_handler directive to see if output compression is already being done. (SSI.php, index.php)
 ! Converters were not auto-continuing properly. (all converters)
 * Updated the inserted code for lists to use breaks. (Post template)
 ! Attempted to make the dump database functionality ask for more memory. (DumpDatabase.php)
 * Added a few labels to the avatar section of the profile. (Profile template)
 ! Handle & -> &amp; in board descriptions on creation and edit. (ManageBoards.php)
 ! Fixed a possible error in topic annoucenment if permissions were already screwed up. (Post.php)
 ! [quote] and /me are no longer effected negatively in [code] blocks. (Subs-Post.php)
 ! Fixed a small typo in the help. (profile help files)
 * The wrong language strings were being used for 'Total Topics'. (BoardIndex template)
 ! Always log notices and all other errors, no matter what. (Errors.php)
 + Added a mod setting named "integrate_exit".  This option can be used to call a function on exit. (Subs.php)
 ! Session keep alive was being called too often. (script.js)
 * Show the rss feed as an alternate relative link. (index template)
 ! When "whole words" was enabled, you couldn't properly censor special characters sometimes. (Load.php)
 ! The create_backup.php utility wasn't handling field names properly, a few other minor things. (create_backup.php)
 ! Avoid conflicts with other MySQL-driven scripts in SSI.php by selecting no database. (SSI.php)
 ! Automatically try to handle deadlocks and such from InnoDB tables. (Errors.php)
 * Fixed a javascript error to do with attachments. (Post template)
 + Added a Search center in admin panel. (Subs.php, ManageSearch.php)
 * Created ManageSearch template for above feature. (ManageSearch template)
 ! Removed Search section from 'Features and Settings'. (ModSettings.php)
 + Added fulltext search support. (Search.php)
 * Search errors won't be fatal anymore, but shown as warnings like Post and Profile. (Search template, Search.php)
 ! Search remembers whether simple search was used or not. (Search.php)
 & Created a language file for Search.php and ManageSearch.php. (Search language files)
 & Moved several search-related language strings from ModSettings and index to the Search language file. (Search language files, Admin language files, Errors language files, index language files, ModSettings language files)
 ! Debug stuff should also work for MySQL < 4.1 now. (Subs.php)
 ! Give an extra courtesy five minutes for typing when edit_disable_time is on. (Post.php)
 ! RSS was outputting non-queryless URLs. (News.php)
 ! Added an ID_MSG to SSI's boardNews output. (SSI.php)
 ! Recent topics speed up now no longer ignores topics marked unread. (Recent.php)
 * To help find people using old versions of SMF, the current-version.js script now takes the forum's version. (Admin template)
 ! I may have just fixed the last posts per board problem. (invision_to_smf.php, invision2_to_smf.php)
 ! The view query debugging functionality now works on INSERT... SELECT queries too. (ViewQuery.php, Subs.php)
 * Updated some parts of the BoardIndex template to use permissions properly. (BoardIndex template)
 ! "Randomize" the cookie on installation, based on the database info. (install.php)
 ! Added is_topic_starter to each post's contextual information. (Display.php)
 ! If any of the pagination settings are zero, reset them to defaults... they're used in many many places. (Load.php)
 ! Don't overwrite the error message in install.php when trying a different database name. (install.php)
 ! Don't automatically optimize when using SSI. (Load.php)
 ! Cleaned up the default output of boardNews and added comment_link/comment_href. (SSI.php)
 + Added an isBanned column to the members table - when set, they don't receive notifications. (install_1-1.sql, upgrade_1-1.sql, Post.php, Subs-Post.php)
 ! Now, when you ban someone explicitly, it will set said field... if later they are unbanned, it should be unset. (ManageMembers.php, Security.php)


October 2004:
--------------------------------------------------------------------------------
 ! If the first word in the string was misspelled, spell checking failed. (Subs-Post.php)
 * The signature length checker wasn't functioning exactly correctly. (Profile template)
 ! Now, the referrer check works even if the server is configured incorrectly. (Security.php)
 ! The referrer check should now work even across subdomains, when "global cookies" are enabled. (Security.php)
 ! It was possible to search the member list based on aim/msn/etc. even when guest_hideContacts was enabled. (Memberlist.php)
 * Updated a comment in index.template.php to make it sound a little less weird. (index template)
 ! Upgrader wouldn't actually reset the language to english. (upgrade.php)
 ! If you enter an invalid value for ICQ (such as 0) the field should be blanked. (Profile.php)
 ! If you can't administrate the forum, you can't add members to the Administrator group. (ManageMembers.php)
 ! The boards in your notification list were erroneously showing as unread when they weren't. (Profile.php)
 * The notification list in your profile was not paginated; it needs to be for longer lists of topics. (Profile.php, Profile template)
 ! In Opera, only the first " in a javascript-inserted quote was fixed for entities.
 & Updated $txt['theme_options_reset'] to make more sense. (Themes language file)
 ! Invision converter was giving a notice for some uploaded avatars. (invision2_to_smf.php)
 * Very slightly tweaked the padding in the main administration area. (Admin template)
 ! Started some work on the YaBB converter. (yabb_to_smf.php)
 ! The access this template file directly was not working for some windows servers. (Load.php)
 ! If you picked 'http://' as your own avatar, it saved it and made errors everywhere. (Profile.php)
 & Changed "everytime" to "every time". (ModSettings langauge files, Profile language files)
 & Fixed various typos throughout comments and English language files. (various files)
 ! Got rid of some more ereg_replace's and made them str_replace's ;).
 ! Don't require database backup to come from ?action=maintain. (DumpDatabase.php)
 ! BBC Tags weren't being disabled properly when sending personal messages. (Post.php, Subs-Post.php)
 ! Removed redirectMetaRefresh option. (Subs.php, ModSettings.php, ModSettings language files, Help language files)
 ! Now, redirectexit() automatically detects the presence of a full URL. (Help.php, Karma.php, LogInOut.php, PackageGet.php, Subs.php, Themes.php, ViewQuery.php)
 * Now, the session keep alives are done automatically on every page. (index.php, Display template, Post template, script.js)
 * It is now much easier to set theme options with javascript. (Subs.php, index template, script.js)
 * Added a version number to the theme settings. (index template)
 & $txt['statPanel_noPosts'] now sounds better even when it's not your profile. (Profile language files)
 ! Error when uploading a file that wasn't a zip or tar.gz file to the package manager. (PackageGet.php)
 ! The smf_api.php file should not do nothing if it's included into SMF or with SSI.php. (smf_api.php)
 ! The value of theme options and theme settings can now be much longer. (smf_1-0.sql, upgrade_1-0.sql)
 ! Don't send the subject mime encoded if it doesn't need to be. (Subs-Post.php)
 & Now, the package manager will say "uninstallation actions for archive..." (Packages language file)
 * Fixed it so it would say that in the template too. (Packages template)
 ! The getPackageInfo() function no longer allows selection of a specific package-info.xml file. (Subs-Package.php, Packages.php)
 ! Significantly optimized the "show all unread topics" function so it is of bearable speed. (Recent.php)
 ! Basic HTML now works again, and you're allowed to use alt with it, after the src for img tags. (Subs.php)
 ! Quoting posts works better now from Internet Explorer if they have < or >. (Post.php)
 ! Fixed subject internationalization cheating in split, merge, and move. (SplitTopic.php, MoveTopic.php)
 ! First subject of a merged topic was getting "Re: " on the front. (SplitTopic.php)
 ! Subject internationalization was also not working well in the "last post" column. (MessageIndex.php, BoardIndex.php)
 ! Insert quote feature was not behaving well with Opera 7.60's implementation of DOMParser. (Post.php)
 * The calendar now shows a "board to post in" even on preview. (Post template)
 * The message being sent when a person was deleted was.... weird. (Register template, Login language file, Register.php)
 ! Who's online wasn't showing people on a board if they viewed a topic in it. (Load.php)
 ! Recent posts through xml/rss were not being limited by board properly. (News.php)
 ! The parsing of links with autolinked links in them still wasn't working 100%. (Subs.php)
 ! The above problem was still occurring for basic html links. (Subs.php)
 ! By default, send personal messages to members from "email" by bcc. (ManageMembers.php)
 ! Updated topics weren't sorting properly. (Recent.php)
 ! Cleaned up more of upgrade, almost done. (upgrade.php, upgrade_1-0.sql)
 ! Search no longer requires administrator action to fix "CREATE TEMPORARY" problems. (Search.php)
 ! Don't pollute the settings table with "empty" settings. (upgrade_1-1.sql, install_1-1.sql)
 * Renamed 'memberCount' to 'totalMembers'. (various files, BoardIndex template, index template)
 ! Tags should be disabled more cleanly. (Subs.php)
 ! Sticky and notify didn't properly default when previewing a new topic. (Post.php)
 ! You can now register with parts of your birthdate. (Register.php)
 ! Significantly optimized "show new replies to your posts" by cheating :P. (Recent.php)
 ! The package manager didn't handle missing files well. (Packages.php)
 & $txt['pswd4'] was talking about things that didn't really happen. (loginout help files, Profile language files)
 ! To avoid confusion, allow default_options for registration too, same as options. (Register.php)
 ! Fixed email and FTP autolinking too, ugh... (Subs.php)
 ! If you got an error on the theme profile page, it didn't remember post data well. (Profile.php)
 ! The 'send_welcomeEmail' didn't matter; it always did this. (Register.php)
 ! Upgrade clears out more settings that shouldn't be there anymore now. (upgrade_1-1.sql, install_1-1.sql, upgrade_1-0.sql)
 ! You can now use variables in the subjects of mass emails. (ManageMembers.php)
 ! Fixed more autolinking issues with [email=...]... (Subs.php)
 & $txt['permissionname_move'] was slightly confusing. (ManagePermissions langauge files)
 ! Fixed attachments with quotes and spaces in them. (Post.php, Display.php, ManageSmileys.php)
 ! Optimized a few membergroup queries. (Memberlist.php, SSI.php, BoardIndex.php, Subs-Post.php, Who.php, Modlog.php)
 ! SSI.php was not using the correct ID_GROUP for online status. (SSI.php)
 & Added help text for the smiley center. (ManageSmileys langauge files)
 * Used the above text in many places. (ManageSmileys template)
 & Renamed maxwidth and maxheight to max_image_width and max_image_height. (Display.php, Subs-Post.php, install_1-1.sql, upgrade_1-0.sql, upgrade_1-1.sql)
 & Changed some $helptxt indexes that were using wrong values. (Help language files)
 * Updated templates to use the above. (Modlog template, Errors template, Themes template, ManageBoards template, Admin template, ManageMembers template)
 ! The mail_type setting is now 0 or 1, not smtp or sendmail. (Subs-Post.php, ModSettings.php, install_1-1.sql, upgrade_1-0.sql, upgrade_1-1.sql, phpbb2_to_smf.php)
 ! Updated server list. (server.list)
 ! Package manager should give a hint to the package server for the language to use. (PackageGet.php)
 ! Clear the remembered language and theme upon login. (LogInOut.php)
 ! Fix typo causing theme options not to be loaded properly. (Register.php)
 ! The upgrader should offer to delete its sql files as well. (upgrade.php)
 ! Fixed numerous issues with the upgrader and its sql. (upgrade.php, upgrade_1-0.sql)
 ! Settings.php was, in cases, being outputted double-spaced. (upgrade.php, upgrade_1-0.sql, upgrade_1-1.sql, Admin.php, all converters)
 * Now, in Gecko-based (Mozilla, etc.) browsers, clicking bbc buttons will select text better. (script.js)
 * Additionally, Gecko browsers were akwardly scrolling the text back to the top. (script.js)
 ! Fixed the login bug for some darn versions of Apache too. (Load.php)
 ! You should be able to set theme options for theme x. (Themes.php, script.js)
 * The "delete selected" button in the Classic theme shouldn't have had a background. (Display template, classic only)
 ! Just in case people misread the installer's stuff, try using the table prefix if the given user/database fail. (install.php)
 & Slightly updated the removeNestedQuotes description in the help. (Help language files)
 ! The remove nested quotes feature no longer leaves newlines everywhere in the post. (Post.php, InstantMessage.php)
 ! Remove the removeNestedQuotes setting if it's not used. (install_1-1.sql, upgrade_1-0.sql, upgrade_1-1.sql)
 * Upped the username limit in the Register template to 25 characters. (Register template)
 ! Disabling [shadow] tags had disastrous results, in cases. (Subs.php)
 ! Use INSTR instead of LIKE in a few places where it'd be faster. (Modlog.php, MessageIndex.php, Display.php)
 ! If you clicked an IP address directly, pagination didn't work. (ManageMembers.php)
 ! If the username is defaulted, but blank, focus it instead of the password. (Login template)
 ! Message preview was taking off the first 128 characters. (Recent.php, MessageIndex.php)
 ! Packages weren't always downloading properly, in most cases in fact. (PackageGet.php)
 ! Added smf_loadThemeData to the smf_api.php file. (smf_api.php)
 ! If you can't download a package, give a better error message. (Subs-Package.php, PackageGet.php)
 ! Attempt to log a person out of the subdomain if globalCookies is on. (Subs-Auth.php)
 ! Installer should delete install_1-1.sql too. (install.php)
 & Fixed $helptxt['attachmentEnable'] to actually correspond to the current options. (Help language files)
 ! When connecting to FTP, try another possible path just to make it easier. (Packages.php, PackageGet.php, install.php)
 * Added a "go to last post" icon to the topic listing. (Recent template, MessageIndex template, last_post.gif)
 ! Corrected last_post hrefs and added a 'new_href' to simplify things. (Recent.php, MessageIndex.php)
 * Used the new 'new_href' in a few templates. (Recent template, MessageIndex template)
 ! Increase the search pointer as soon as possible. (Search.php)
 ! Don't show upgrade error message when using SSI. (Errors.php)
 ! Up cookie name to SMFCookie11 by default. (repair_settings.php, Settings.php, Settings_bak.php)
 ! Spell check was not handling slashes (\) properly. (Subs-Post.php)
 ! If flash was enabled, a notice was being given. (Subs.php)
 ! Added create_file and create_dir functionality to the ftp client. (Subs-Package.php, install.php)
 ! Don't leave broken files in the database when avatar upload fails... (Subs-Graphics.php, Profile.php)
 ! Minor improvements to the installer and its code. (install.php)
 ! Added zip to the default allowed attachment extensions, alphabetized them, changed default to off. (install_1-1.sql)
 ! Marked some internationalization-needing places in the install script. (install_1-1.sql)
 & Added $txt['installer_language_set'] for the JavaScript-less (Install language files, install.php)
 ! Properly tell the server that the connection should be closed. (Subs.php)
 & Corrected $helptxt['m_queryless_urls']. (Help language files)
 & The forum copyright now opens in a new window. (index language files)
 ! Stopped using <h4> in the tools and converters, and moved on to <h3> (which was what should have been used.) (various files)
 ! No longer should Settings.php ever be corrupted; this happened because of \r's in the file. (various converters, install.php, upgrade.php, repair_settings.php, Admin.php)
 ! Small notice upon initial installation. (Subs.php)
 ! Flash wasn't being parsed properly if someone added tags inside it. (Subs.php)
 * Added forum version to latest package information. (Packages.php, Packages template)
 ! Updated version numbers to 1.1 Beta 1 (no it's not out yet) to fix confusion. (all files)
 ! Added un_preparsecode() and changed the second parameter of preparsecode(). (Subs-Post.php, Post.php, InstantMessage.php)
 + You can now post html by adding it in [html] tags - administrators only. (Subs-Post.php)
 ! Only list activated members on the member list. (Memberlist.php)
 ! When member registration approval is enabled, only show the number of approved/activated members. (Subs.php)
 ! Major improvements to the restore_backup utility: percentage, proper query string handling, etc. (restore_backup.php)
 ! Moved a couple options around, and cleaned up option handling. (ModSettings.php, upgrade_1-1.sql)
 ! The forum_time() function now takes a timestamp, which it will adjust as well. (Subs.php)
 ! All the timestamp contextual information now includes the proper offsetting. (various files)
 * The memberlist now loads and shows member data the same way everywhere else does, e.g. theme options ;). (Memberlist.php, Memberlist template)
 * There are now anchors in the memberlist to jump more directly to a letter. (Memberlist.php, Memberlist template)
 ! Renamed $themeUser to $memberContext. (Display.php, InstantMessage.php, Load.php, Memberlist.php, News.php, Profile.php, Search.php, Who.php)
 * Emails are now sent in chunks, which added the email_members_send sub template. (ManageMembers.php, ManageMembers template)
 & Added $txt['email_continue'] and $txt['email_done'] to show progress. (Admin language files)
 ! The dump database feature was not totally compatible with MySQL 4.1.x. (DumpDatabase.php)
 ! Added a create_backup.php tool, not totally tested yet, to create backups without worry of timeout. (create_backup.php)
 ! Package manager should show images in file listing. (Packages.php)
 ! Highlight PHP code when viewing files from that listing too. (Packages.php, Subs.php)
 ! Default username wouldn't save for FTP info. (Packages.php)
 ! Subjects in notifications were being sent with html in them. (Subs-Post.php, Post.php)
 ! Renamed notifyUsersBoard() to notifyMembersBoard(). (Post.php)
 * If the avatar preview is available, and they enter an image in the url field, preview it there. (Profile template)
 + Added Calendar Manager to admin center. From here admins can manage the calendar settings and holidays on their forum. (ManageCalendar, ManageCalendar template)
 ! Calendar settings migrated from feature settings to the calendar manager. (modSettings.php)
 & Language strings for calendar migrated from modSettings language file to ManageCalendar language file. (modSettings, ManageCalendar language files)
 & Language strings added/edited for new calendar manager. (ManageCalender, Help, Admin language files)
 + New settings added to allow posting of events not linked to a post. (ManageCalendar.php, Calendar.php, SSI.php, Subs.php, BoardIndex.php)
 * New template added for posting an event which is not linked. (Calendar templates)
 * Templates changed to adapt to new method of event posting. (BoardIndex, Calendar templates)
 & Language entries added for the above. (index language file)
 ! SSI.php was returning null for an error in ssi_boardNews(). (SSI.php)
 ! Upgrades weren't being checked for properly. (Subs-Package.php)
 ! The phpBB converter didn't check for the attachments table properly. (phpbb2_to_smf.php)
 + Added ability to set a time limit after which posts can no longer be edited. (install_1-1.sql, upgrade_1-1.sql, modSettings.php, Display.php, Post.php)
 & Language entries added for change above. (Errors, modSettings, Help language files)
 ! Added a host_from_ip() function, now used for hostname lookups, uses shell if possible. (ManageMembers.php, Profile.php, Security.php, Subs.php)
 ! A maximum of 32 Administrators are now listed in the admin center. (Admin.php)
 * Small template change to add "more" link if more than 32 administrators are present. (Admin template)
 & One useful language entry added to language files for above change. (index language files)
 * It is now possible to choose Saturday as a calendar start day. (Calendar.php, Profile and Settings templates)
 ! Fixed a humbling number of my own typos. (various files)
 & Renamed $txt['package_ftp_neccessary'] to $txt['package_ftp_necessary']. (Packages language files)
 ! Avoid a notice in install.php for old versions of PHP. (install.php)
 ! In permissions management, the "Ungrouped Members" box would show as checked in error if no groups had access. (ManagePermissions.php)
 ! The repair_settings.php tool no longer saves database settings without a connection, checks for dirname(), and detects a value for db_prefix. (repair_settings.php)
 * Stick the state of the additional options drop down on preview. (Post template, Post.php)
 ! The case of [php]/[PHP] shouldn't matter. (Subs.php)
 ! Prevent the package manager from timing out with long modification files. (Subs-Package.php)
 * The search value being prefilled in "simple search" was incorrect. (Search template)
 ! The FTP path was not being autodetected well except in /home/xyz/ style hosts. (Packages.php)
 * IP addresses in the ban log should be links. (ManageMembers template)
 + Added new setting for warning the user when they are replying to a topic older than a set amount of days. (ModSettings.php, Post.php, install_1-1.sql, upgrade_1-1.sql)
 & Added language entries for above addition. (ModSettings, Help and Post language files)
 ! Renamed 'option' to 'options' for polls - compatibility with Mambo. (SSI.php, Display.php, Poll.php)
 ! Sometimes, packages weren't properly reversable. (Subs-Package.php)
 * Added confirmation screen to board manager when deleting boards. (ManageBoards.php, ManageBoards template)
 & Language entries added for the above change. (ManageBoards language files)
 ! Changed embarassed.gif to embarrassed.gif in smileys. (install_1-0.sql, upgrade_1-1.sql, various converters, posting help files, Subs-Post.php, Subs.php)
 * Quick moderation didn't work in topics with "buttons as text". (Display template)
 ! Added posts to topPoster information. (SSI.php)
 & There, the SMF link in the copyright may now optionally include the title "Simple Machines Forum". (index language files)
 ! If someone entered no "To" and no "Bcc" a notice *might* have been caused. (InstantMessage.php)
 ! If there are extra "[quote]"s at the end of the message, or extra "[/quote]"s at the beginning, get rid of them. (Subs-Post.php)
 ! The default FTP server options were not being used properly. (Packages.php, PackageGet.php)
 ! Unread topics/replies weren't checking properly for which board you were looking for. (Recent.php)
 * Added a post class and tweaked the css a bit. (Post template, Display template, Search template, Profile template, Recent template, style.css)
 & Added package_no_zlib error, shown when the server has no zlib support. (Packages.php, Packages language files)
 ! Behold the return of the debugging information! (Subs.php, Load.php)
 & Added some language file entries for repair boards - $txt['repair_poll_gone'], $txt['repair_event_link_gone'], $txt['maintain_no_errors']. (Admin language files)
 ! Tweaked many things in the repair functionality, and made it no longer ask you if you wanted to fix no errors.


September 2004:
--------------------------------------------------------------------------------
 ! Do a check to allow IP address access transparency. (Load.php)
 ! Don't trim or mess with lines of Settings.php that aren't variable definitions. (Admin.php, all converters, repair_settings.php, install.php, upgrade.php)
 ! Slightly better error handling to do with temporary tables and searching. (Search.php)
 ! Search results now handle line breaks and quotes better. (Search.php)
 ! Activation check was preventing email change from going through properly. (Register.php)
 ! Insert quote feature now supports tabs, MSIE and Mozilla. (Post.php)
 ! New upgrade script tested and working, at least it runs.  Needs testing on old YaBB SE/SMF's. (upgrade.php, upgrade_1-0.sql)
 * Added delete_selected.gif image to classic. (delete_selected.gif, Display template)
 * Cleaned up im_new.gif so it looks better cleaner. (im_new.gif)
 * Updated javascript information urls - old ones still work. (Admin template, Packages template, ManageSmileys template, Themes template)
 ! I can only assume that this is regressing the profile_remote_avatar upgrade bug. (upgrade.php)
 & Added $txt['mark_unread_confirm'] to confirm mark unread. (index language file)
 * Added javascript confirmation when marking a whole board unread. (MessageIndex template)
 * Added delete_selected.gif to the classic theme and made it use it. (Display template)
 ! If a member has a smiley set that doesn't exist, use the default. (Load.php)
 ! Removed $modSettings['search_max_cached_results'] as it was too confusing, and not useful enough (Search.php, ModSettings.php, Help language files, ModSettings language files, smf_1-0.sql, upgrade_1-0.sql)
 + Added an option to disable the use of temporary tables (Search.php, ModSettings, Help language files, ModSettings language files, smf_1-0.sql, upgrade_1-0.sql)
 & Added an error message just in case temporary tables cannot be created. (Error language files, Search.php)
 & Added an error message when you access SSI.php by URL directly. (SSI.php, index language files)
 ! Agreement now allows and parses any bbc in it. (Register.php)
 ! Attachments can now have foreign (localizable) characters in their names when "encrypt filenames" is on. (Post.php, ManageAttachments.php, Subs.php, Subs-Graphics.php, Profile.php, Display.php)
 & Bad attachments now give a 404 and a slightly better error message. (Errors language file, Display.php)
 ! Moved a bit more into upgrade_1-0.sql from upgrade.php. (upgrade.php, upgrade_1-0.sql)
 ! Merged topics will now take the ID of the first topic instead of a new ID. (SplitTopics.php)
 + Added a user option to disable the post warning. (Post.php, Profile template, Profile language files)
 ! The upgrader now includes all settings from YaBB SE, just to facilitate best conversion. (upgrade.php)
 ! Optimized a query or two and cleaned up some comments. (various files)
 & Removed the enableNewReplyWarning setting because... it is no longer useful. (smf_1-0.sql, upgrade_1-0.sql, ModSettings.php, Post.php, Help language files, ModSettings language files)
 * You can now always chose to enable/disable the warning, and it can be reset globally. (Profile template, Settings template)
 ! Topics started, boards, views, and replies are no longer counted for posts in the recycle bin. (Stats.php)
 ! Cleaned up hide contacts from guests. (Memberlist.php, Display.php)
 ! Reordering categories wasn't working - only if you saved a board. (ManageBoards.php)
 & Added a check for the ALTER privilege. (install.php, Install language files.)
 * Added a minor comment to the index template's key stats box. (index template)
 ! Gender and a number of other things should be available on every profile page. (Profile.php)
 * Cleaned up logic for mark unread showing so it won't affect most users. (Display template)
 ! Don't waste time censoring things when the censor list is empty. (Load.php)
 ! Don't censor message previews twice for the same message. (Recent.php, MessageIndex.php)
 ! Clip message previews before censoring - thanks Elissen. (Recent.php, MessageIndex.php)
 ! Template errors are now shown with correct error messages whether templates are eval()'d or not. (Load.php, Errors.php)
 ! Notifications on topic removal should work again. (Subs-Boards.php, RemoveTopic.php)
 ! The "a new member has registered" emails had extra line breaks in them. (Register.php)
 & Made it clearer that who_view was only for Who's Online. (ManagePermissions langauge files)
 ! An extra break was being send with moderator reports. (SendTopic.php)
 ! The showPosts section was linking to the end of the topic, not the right post. (Profile.php)
 * Removed board-level mark unread. (MessageIndex template)
 & Removed mark_unread_confirm because it's no longer needed/used. (index language file)
 ! Fixed calendar updating again. (SSI.php, BoardIndex.php)
 ! Fixed an issue in the vBulletin 3 converter with birthdays. (vbulletin3_to_smf.php)
 ! Removed some unnecessary table joins. (Search.php)
 ! Fixed a bug in color parsing for topic printing, and a couple minor code issues. (Printpage.php, Subs.php)
 ! Fixed a small issue with updating the latest registered member when there were none. (Subs.php)
 ! Ignore bad smiley set directories while searching. (ManageSmileys.php)
 ! Fixed a small issue with avatar saving. (Profile.php, Subs-Graphics.php)
 ! The return to post feature wasn't persisting on preview. (Post.php)
 ! Removed some unused settings - no visual difference. (Admin.php)
 ! Don't permanently dump big avatars unless the "refuse it" option is used. (Load.php)
 ! Alternative password checks were being done more often than they needed to be. (LogInOut.php)
 ! Search in the memberlist should use * as a wildcard. (Memberlist.php)
 ! Attachment manager wasn't passing permissions properly for attachment download. (ManageAttachments.php)
 ! Minor tweaks to the "new username/password" email. (Subs-Auth.php)
 ! Added SHA-256 hash downgrade support if mhash is compiled in. (LogInOut.php)
 ! Updated smf_api.php with more functions, such as smf_formatTime and smf_allowedTo. (smf_api.php)
 ! Database dumps should provide column information for the INSERTs. (DumpDatabase.php)
 ! The smf_api.php file now provides access to the SMF session too, when used in the database. (smf_api.php)
 & Made $txt['notifyXOnce1'] read about 8 times better - imho. (Profile langauge file)
 ! Links might be autolinked inside [url=...]...[/url] which would cause weird code display. (Subs.php)
 ! Fixed a few minor issues/potential issues in profile viewing and editing. (Profile.php)
 * The smileys popup is now user-resizable. (Post template)
 * Announcement countdown wasn't working exactly right. (ManageMembers template)
 ! Announcement needs to go back to the user's langauge after partial sending. (Post.php)
 ! Bumped announcement chunk size up just a wee bit... 50 -> 75. (Post.php)
 & Translated a few strings in the package manager and finished some documentation. (Subs-Package.php, Packages langauge files)
 ! Contextual data should be provided for the avatar's href when it's uploaded. (Load.php)
 ! URL autolinking could cause a stack overflow on very very long URLs. (Subs.php)
 ! Get rid of the poll_choices error when upgrading twice. (upgrade_1-0.sql)
 ! Attempted to resolve the reversing of some IP addresses. (QueryString.php)
 ! Use [:alpha:] instead of A-Za-z etc. where possible, to solve localization problems even if it's ugly. (Subs-Post.php, Subs.php)
 ! Send Topic feature was not checking email addresses properly. (SendTopic.php)
 ! Further updated the upgrader so more was in upgrade_1-0.sql. (upgrade.php, upgrade_1-0.sql)
 ! Don't allow automatic package download of any package without session check. (PackageGet.php)
 ! If a package no longer exists (404, etc.) don't show any errors from PHP. (PackageGet.php)
 * Made several things work with the "latest" stuff. (ManageSmileys template, Subs-Package.php, PackageGet.php)
 ! Upped required version to MySQL 3.23.6. (install.php, upgrade.php)
 & Fixed punctuation on $txt['number_recent_posts']. (Themes langauge file)
 ! Creating a file on error should be optional when parsing modifications. (modification.dtd, Subs-Package.php)
 ! Splitting a topic should mark the topic read for the user, because they split it. (SplitTopic.php)
 & Error message should be shown when PHP is not compiled with MySQL support. (install.php, Install langauge files)
 ! If you use a form in the news, show <form> in the preview. (Admin.php)
 ! Don't mark the category as new if the only new board is a recycle bin. (BoardIndex.php)
 ! Added readmes for installation, upgrade, and update. (readme_install.html, readme_upgrade.html, readme_update.html)
 ! Activation from the profile plumb wasn't working. (Profile.php)
 ! The invision converter wasn't doing birthdates and wasn't parsing signatures properly. (invision_to_smf.php, invision2_to_smf.php)
 & Changed "Minutes to login" to "Minutes to stay logged in" because it sounds better. (index language files)
 * Tweaked the Reminder template slightly to look markedly better. (Reminder template)
 ! Various tweaks to help files. (all files in help/)
 ! Avoid calling exit; if at all possible for integration, e.g. Mambo. (Subs.php, index.php)
 ! Printpage wasn't parsing quotes correctly at all. (Printpage.php)
 ! By default, the karma_edit permission should be allowed. (smf_1-0.sql)
 ! Updated some problems in the Burning Board converter. (burningboard_to_smf.php)
 ! Invision converter now works properly, thanks Hal9000. (invision_to_smf.php, invision2_to_smf.php)
 & Updated $helptxt['karmaMode'], $helptxt['enableStickyTopics'], $helptxt['cal_enabled'], $helptxt['avatar_allow_external_url'], and $helptxt['pollMode'] to talk about permissions. (Help language file)
 ! Consecutive [url=] tags were getting linked together. (Subs.php)
 ! Sigh, now email links work okay when in [email] tags too. (Subs.php)
 * Replying with quick reply, with "auto notify" off, turned off notifications. (Display template)
 ! RSS was saying it was version 0.91, it was actually 0.92. (News.php)
 * Smiley popup would open multiple times without closing itself. (Post template)
 ! RSS feeds were being sent with the wrong doctype, and an improper character set. (News.php)
 * Added something to stop Firefox (hopefully) from following previous/next links automatically. (index template)
 ! You weren't able to add smileys with different case than other smileys. (ManageSmileys.php)
 ! Tweaked the column size of ID_PM to 10 instead of 11. (upgrade_1-0.sql, smf_1-0.sql)
 ! When marking unread, mark the page you were on unread, not the whole topic. (Subs-Boards.php)
 ! The ssi_boardNews() function should give the topic ids too. (SSI.php)
 ! Quote people by their real name, not their login name. (InstantMessage.php)
 * Don't show people's usernames in their profiles. (Profile template)
 ! Send emails with mime-encoded subjects. (Subs-Post.php)
 * Editing a group's name that had html in it caused an error. (ManageMembers template, ManageMembers.php)
 * Add something to mask out XMLHttpRequest for Internet Explorers. (script.js)
 ! Printing links in lists didn't always seem to work. (Printpage.php)
 ! In some cases, dumping the database would generate errors for empty tables. (DumpDatabase.php)
 ! Missing error message for a blank password - Login wasn't loaded. (Reminder.php)
 * You can now edit category names with html in them properly. (ManageBoards.php, ManageBoards template)
 * The "category name" and "(modify)" are now separate links. (ManageBoards template)
 * Administration "quick tasks" section had an extra row. (Admin.php, Admin template)


August 2004:
--------------------------------------------------------------------------------
 ! Allowed elements, e.g. <br />, before email addresses that are automatically linked.  Let's hope this doesn't backfire. (Subs.php)
 ! Now, a "special" redirect is used on just the post page to make the return to topic option work properly. (Post.php, Subs.php)
 ! After calls to "setLoginCookie" the same special redirect is now used. (Register.php, Profile.php, LogInOut.php)
 ! Backed up language files (index.language.php~) are no longer treated like actual language files. (Admin.php, Profile.php)
 & Removed $txt['membergroupss_min_posts'] because it wasn't being used and was misspelled anyway. (ManageMembers langauge files)
 & Added $txt['membergroups_postgroups'] to fix an untranslated (hardcoded) string. (ManageMembers language files)
 * Removed some hardcoded text ("Post groups") and put in a language string instead. (ManageMembers template)
 ! As an administrator, registering a new member should use the guest theme options not your own. (Register.php)
 ! To ease misunderstandings, the upgrader now specifies that it converts the existing *YaBB SE* template. (upgrade.php)
 ! Moved the place database errors are marked in the database so that two people accessing it at once won't cause a race condition. (Errors.php)
 ! Fixed a case where profile theme options might not be saved properly. (Profile.php)
 ! Now, if you're using Opera, quoting a post with "insert quote" won't show &quot;s, although it still has i18n problems. (Post.php)
 ! Added $context['server'] array for very basic information about the server. (Load.php)
 ! Now, for using refresh instead of location, $context['server']['needs_login_fix'] is used along with $context['browser']. (Post.php, Profile.php, LogInOut.php, Register.php)
 ! The Queryless URLs function now uses $context['server']. (QueryString.php)
 ! Added a session check to registration to make it more difficult to register large numbers of accounts in sequence. (Register.php)
 ! SSI.php now always returns a value, true or false, which represents whether it could load or not. (SSI.php)
 ! Changed the way duplicate events were handled in SSI.php minorly, although it shouldn't make a difference. (SSI.php, BoardIndex.php)
 ! Now, ssi_recentEvents no longer shows duplicate events.  Man I'm think headed. (SSI.php)
 ! Fixed a few coding conventions problems like spaces missing after, or present before, commas. (numerous files and templates - unimportant changes)
 * You can now use smileys with quotes in their description in the smiley popup... (Subs-Post.php, Post template)
 ! If you used spaces in the disabled bbc list, it would not work properly. (Post.php)
 * Due to a typographical error, bbc tags were not being properly disabled all of the time. (Subs.php, Post template)
 ! Updated version numbers to 1.0 RC1 to avoid release confusion. (all files)
 + Split permission moderate_forum into moderate_forum (search/delete/track members, track IP, register center, reserved names), manage_membergroups (manage/assign membergroups) and manage_bans. (several files)
 + Split permission admin_forum into admin_forum (package management, mod/server/theme settings, maintenance, error/mod logs) and manage_permissions. (several files)
 + Split permission edit_forum into edit_forum (attachments, smileys, censored words, registration agreement) and manage_boards (manage boards and categories.) (several files)
 ! Split permission group 'Forum administration' into 'Forum administration' and 'Member administration'. (several files)
 ! Fixed bug clearing the admin membergroup when changing someone's membergroup settings having only moderate_forum permission. (Profile.php)
 ! Fixed language and 'hide email' setting not changeable without profile_extra permission. (Profile.php)
 ! 'View/Delete members' doesn't allow deleting members anymore without the profile_remove_any permission. (ManageMembers template)
 ! 'Edit censored words' and 'edit registration agreement' now requires moderate_forum instead of edit_forum permission. (Admin.php, ManageMembers.php, Subs.php)
 ! Dissolved edit_forum permission into manage_smileys and manage_attachments. (several files)
 ! Fixed hide user online showing in MessageIndex and Display. (MessageIndex.php, Display.php)
 ! isAllowedTo() now accepts arrays of permissions. (Security.php)
 + Added board permission announce_topic replacing announcement boards. (several files)
 + Added announcement of topics allowing to select membergroups and sending in batches. (Post.php)
 ! For polls, moderator locks now override member locks, but administrator's locks do not override those of moderators. (Poll.php)
 ! Double posting shouldn't cause problems if the session hasn't even been initialized properly yet. (Security.php)
 ! Even if Ungrouped Members have permission to moderate_forum, do not send new member notifications to them. (Register.php)
 * Previously, if you didn't allow people to hide their emails, but you hid emails from guests, the emails would not be hidden - fixed. (Load.php, Profile template, InstantMessage template, Display template)
 ! If you set the default theme to Default, and then disallowed people from selecting default but allowed them to select other themes, an error was shown. (Themes.php)
 ! Don't email members who have been DENIED the moderate_forum permission when members register. (Register.php)
 ! Emails meant to be sent in html were not being sent with the correct Content-Type. (Subs-Post.php)
 & Removed $txt['whoadmin_ban2'] because the action is no longer being used. (Who language file)
 * Removed the "notify_announcements" section. (ManageBoards template)
 ! Streamlined the server_parse() function and made it take a parameter for the message to send.  Notably, this allows for better error handling. (Subs-Post.php)
 ! Attachment size should round up, not say "0" if there are more than 0 bytes in the file. (Display.php)
 ! Fixed a mistake in the package manager which made xml style modifications not work. (Subs-Package.php)
 ! Depending on your server configuration, sometimes $_GET was keeping its slashes. (QueryString.php)
 * Fixed a small bit of invalid html in the spellcheck sub template. (Post template)
 ! Gave some more contextual information to the Post template - $context['is_new_topic'], $context['is_new_post'], $context['is_first_post']. (Post.php)
 ! Changed a small unimportant piece of javascript to look nicer. (upgrade.php, all converters.)
 ! Using move or announce in conjunction with go back to topic did not mark the board properly read. (Post.php)
 ! The installer could not be used again on an already installed forum to refresh things. (install.php)
 ! Fixed a potential issue in the way the messages table was initially created. (smf_1-0.sql)
 & Added $txt['user_refresh_install'] and $txt['user_refresh_install_desc']. (Install language files)
 ! Posted guest names and emails are now always trimmed and verified. (Post.php)
 ! In some cases, deleting a member might not remove them from being the latest member. (ManageMembers.php)
 * Detailed version checker did not work with the default theme. (Admin template)
 * Code blocks now show in Safari properly... though, the code isn't pretty. (index template)
 * Added $context['browser']['is_mac_ie'] and made it the code block fix code work on it too. (Load.php, index template)
 ! The query to reset options has now been broken up into many smaller queries.... it's more queries, but it's not a humungous query anymore. (Themes.php)
 ! Fixed a small possible error if someone was looking for trouble. (InstantMessage.php)
 ! Fixed a typo which was causing "topics and posts" deletion when deleting a member not to work. (Profile.php)
 ! Fixed a typo in member specific theme options. (Theme.php)
 ! You were not allowed to change a member's username to either its current value or their realName. (Subs-Auth.php)
 ! If you send a topic, and don't provide a comment, it shouldn't send "and the comment:" in the email. (SendTopic.php)
 ! Listing members from a membergroup based on posts did not include pages properly. (ManageMembers.php)
 ! Archive extracting routines didn't make destination directories. (Subs-Package.php)
 * After spell checking, the message box should be focused. (spellcheck.js)
 & Updated $txt['whoall_helpadmin'] in the English files to more accurately affect what's happening. (Who language file)
 * Use javascript to pass what form to use in the spell checker. (InstantMessage template, Display template, Post template, Subs-Post.php, spellcheck.js)
 * If the next word has no possible suggestions, clear the "change to" box. (spellcheck.js)
 ! Fixed some minor coding convention issues. (Subs-Graphics.php, MoveTopic.php)
 * Updated some of the code in the spellchecker to make it cleaner. (spellcheck.js, Post template)
 ! Improved spellchecker highlighting of "abcd abc" and similar. (Subs-Post.php)
 ! You couldn't always use apostrophes in your email address. (Post.php, Register.php, Profile.php, Security.php)
 ! If you can delete any posts on a board, it shouldn't matter if it's your own or a reply. (RemoveTopic.php)
 ! The phpBB converter should convert \n -> <br /> and " -> &quot;. (phpbb2_to_smf.php)
 ! Fixed expand/collapse modSettings not working on IE with META refresh enabled. (Subs.php)
 ! The Invision converters didn't do [list] properly. (invision_to_smf.php, invision2_to_smf.php)
 ! Apparently, Opera can actually do innerText - fixed "quotefast" internationalization. (Post.php)
 ! Internationalized characters not in the current character set were not being highlighted properly by search. (Search.php)
 ! Added option to copy board permissions from one board to another on a group by group basis. (ManagePermissions.php, ManagePermissions template)
 & Added $txt['permissions_copy_from_board'] and $txt['permissions_select_board']. (ManagePermissions language file)
 ! Editing the theme template and style sheet no longer switches to that theme. (Themes.php, Themes template)
 + Changed option guest_hideEmail to guest_hideContacts, which now hides messenger information from guests too when enabled. (SQL/Upgrade, ModSettings.php, Load.php, Memberlist.php)
 & Changed two language entries to accommodate above change. (Help and ModSettings language files)
 ! Fixed bug in for ID_TOPIC repair file. (repair_ID_TOPIC.php)
 ! The phpBB converter should now convert gallery avatars. (phpBB2_to_smf.php)
 + When viewing members in a group you can now sort by column, and added extra information to the template. (ManageMembers.php, ManageMembers template)
 * Adjusted the placement of the "why isn't moderator here?" text. (Profile template)
 ! The upgrader couldn't handle moderators with ' in their name - or queries :P. (upgrade.php)
 * Adjusted breaks in the index template to look cleaner. (index template)
 ! Typographical error was causing, in some cases, permissions not to be calculated correctly. (RemoveTopic.php)
 ! The am/pm indicators were displayed inconsistently with the Today "mod" enabled. (Subs.php)
 ! Creating a new post group didn't resync the post groups of members. (ManageMembers.php)
 ! Ignore list conversion now cleans out apostrophes. (upgrade.php)
 ! Don't make any change to the registration date if they didn't change it. (Profile.php)
 ! Rolled back a major spot of idiocy in calendar checking. (BoardIndex.php, SSI.php)
 ! Editing a post made by a guest, previous to when they became a member, should not throw a reserved name error. (Post.php)
 & Added $txt['register_passwords_differ_js'], modified register_agree a bit, and made a note that they were used with javascript. (Login language files)
 * Now, if you try to register with two different passwords, it stops you right off ;).  Also cleaned up the javascript a bit. (Register template)
 ! Admin registration wasn't always working properly. (Register.php)
 ! Added Snitz converter (not nearly done yet!) for MySQL only. (snitz_to_smf.php)
 ! Fixed a minor issue with IP detection. (QueryString.php)
 ! Shadow tags weren't allowing other tags to apply within them. (Subs.php)
 ! Shadow and glow didn't take fonts outside of them, now they do in *certain good browsers*. (Subs.php)
 ! If you changed your email before activating, you might be able to get past a ban. (Register.php)
 * Now, when a file is not writable (index template or style.css) it warns you of this fact. (Themes.php, Themes template)
 & Added the language entries necessary for this change. (Themes language file)
 ! You can now use &, (, ), and several other characters in avatar filenames and category names. (Profile.php, Load.php, Subs.php)
 ! Minor tweak to trimming in registration. (Register.php)
 ! Fixed typo in upgrade preventing boardOrder column to be changed. (upgrade.php)
 ! Removed boards table keys 'children' and 'boardOrder' and added key 'ID_PARENT'. (upgrade.php, smf_1-0.sql)
 ! Removed categories table key 'catOrder'. (upgrade.php, install.php, smf_1-0.sql)
 ! Changed sorting of the boards table into a permanent table sort. (upgrade,php, ManageBoards.php, Admin.php, BoardIndex.php, Load.php, ManageMembers.php, ManagePermissions.php, MessageIndex.php, ModSettings.php, MoveTopic.php, Post.php, Search.php, SplitTopics.php)
 ! Changed sorting of the smileys table into a permanent table sort. (upgrade,php, ManageSmileys.php, Subs-Post.php, all converters)
 ! Removed the smileyOrder key from the smileys table as it wasn't used anymore. (upgrade.php, smf_1-0.sql)
 ! Adjusted the SSI whosOnline to be consistent with the way the online list is shown on the board index. (SSI.php)
 * Fixed some bad paths to package_installed.gif and package_old.gif. (Packages template)
 ! You can't make backups of files that don't exist, I guess :P. (Subs-Package.php)
 ! Archiving -> 1.0 upgrade stuff into a parsable sql file - part 1, not done. (upgrade.php, upgrade_1-0.sql)
 ! More archiving of upgrade stuff - still not done, and still needs some reworking. (upgrade.php, upgrade_1-0.sql)
 * Fixed the document.postmodify.attachmentPreview.value javascript error. (Post template)
 ! Fixed a dumb and annoying typo that mainly affects debugging. (index.php, SSI.php)
 ! Moderation log was reversing sort in cases when you deleted any. (Modlog.php)
 ! Updated phpBB converter to do more avatars and group conversion - thanks packman. (phpbb2_to_smf.php)
 & Cleaned up mark unread and made it usable; added a string too. (Subs-Boards.php, index language files)
 * Added images for mark unread. (markunread.gif)
 * Added mark unread to topics and boards, replacing one of the old topic buttons on one side. (Display template, MessageIndex template)
 ! Fixed a minor typo with the package manager; minor but it was causing big problems. (Subs-Package.php)
 ! Another large chunk of upgrade.php converted, nearly done with it now to parse ;). (upgrade.php, upgrade_1-0.sql)
 ! More work on upgrader, minor tweak to installer. (upgrade.php, install.php)
 ! Various coding convention updates. (various files)
 ! Fixed a hardcoded string - N/A. (ManageAttachments.php)
 ! The package manager should assume a link absolute if it starts with http://. (PackageGet.php)


SMF 1.0 RC1                                                      August 10, 2004
================================================================================
August 2004:
--------------------------------------------------------------------------------
 + repair_settings.php now checks that Settings.php is writable. (tools/repair_settings.php)
 * Packages now only show links to install if they are install-able. (Packages.php, Packages template)
 & You can no longer access ?action=activate when activation is not available, nor is the "Did you miss your activation email? link shown. (Subs.php, Register.php, index language files)
 * Added class="signature" to where ever signatures are displayed to ease stylesheeting. (Display template, Profile template, InstantMessage template)
 * Migrated a few remaining colors from index.template.php to style.css in the default theme. (index template, style.css)
 * Tried to add better documentation in the style.css file under the default theme. (style.css)
 ! Updated version numbers to SMF 1.0 RC1 in preparation for release. (all files)
 ! Upgrade no longer clears the moderation log, just for David. (upgrade.php)
 ! Fixed typo that made quotefast functionality not work with "s. (Post.php)
 ! Mozilla now does entities properly with quotefast ;). (Post.php)
 ! Now, if someone replies while you were reading you still get the subject line. (Post.php)
 * Changed the stylesheet link to style.css to include ?rc1. (index template)
 ! Profile now erases default options from any/all themes. (Profile.php)
 ! The IP icon was not being shown properly to guests. (Display template)
 ! The IP detection routine no longer allows "forwarded for 127.0.0.1", etc. (QueryString.php)
 ! Fixed a problem with new reply notification. (Post.php)
 ! When removing ones vote from a poll, and one has not voted, nothing should be done at all. (Poll.php)
 & Changed the English error messages "Username does not exist" and "Password field is empty" to read better. (index and Login language files)
 * Registering a member from the Admin interface should hide the password with ***s. (Register template)
 ! The "Require user to activate the account" checkbox in the admin registration interface did not work. (Register.php)
 ! Released RC1 to Charter Members. (xml/latest-news.js)
 * Made a small update to the Internet Explorer overflow fixing code. (index template)
 * Version checker no longer shows current version in red if it is old, and checks by greater than not compare. (Admin template)
 ! Upgrade was turning off persistent connections. (upgrade.php)
 & Changed the "Do you really want to delete your own profile?" string to use the word account. (Profile language file)
 ! Fixed an issue that was causing, in most cases, default theme options not to work. (Register.php)
 * Fixed some invalid xhtml in set theme options and settings. (Themes template)
 * You couldn't uncheck a default option for new members. (Themes template)
 ! Saved a little bit of memory by not passing something that shouldn't be passed to the template. (PackageGet.php)
 * Packages you cannot install from a server are no longer shown in bold. (Packages template)
 ! Fixed pagination error when browsing avatars in the attachments manager. (ManageAttachments.php)
 ! Avatar listing and management should go by ID_MEMBER not being zero, not ID_MSG being zero for mods' sake. (ManageAttachments.php)
 * Fixed some invalid html to do with event editing. (Post template)
 & Finished the dutch translation and removed unused language tag membergroups_members_all_current. (ManageMembers language file)
 * Fixed a minor bug in the Post template (only evaluting $context['event'] if it is set). (Post template)
 ! A typo was making the memberGroups upgrading code in upgrade.php run for versions it shouldn't. (upgrade.php)
 ! You can now list more groups per board under access rights. (upgrade.php, smf_1-0.sql)
 ! Permission keys can now be 30 characters long, which should fix a possible issue with truncated permissions. (upgrade.php, smf_1-0.sql)
 ! Fixed a small notice to do with seqnum that would hardly ever occur. (Security.php)
 ! Some hosts ban readfile for no reasons, so handle that case. (Display.php)
 ! Removed some commented code which was not being used, and should not be used. (Subs.php)
 ! Tested Burning Board converter against wBB 2 - it at least runs. (converters/burningboard_to_smf.php)
 ! Followed up on more "look at me later" comments. (converters/yabbse_to_smf.php, converters/xmb_to_smf.php)
 ! Updated just a little bit of documentation. (Admin.php)
 ! Fixed a small possible and minor problem in upgrade for some versions of SMF. (upgrade.php)
 ! Some quotes from YaBB SE weren't parsing correctly. (Subs.php)


July 2004:
--------------------------------------------------------------------------------
 + Now, if you put ;board=Z on the URL for unread or unreadreplies, you will see said things only for that board.
 * Search now shows the board the result was in under the topic link.
 ! Tweaked the entity magic so that it supports more characters, hopefully this won't cause problems.
 ! Now, subjects are also magick'd.  This should make it work better on bad character sets.
 ! Upped the subject length limit to 100 characters from 80. (internationalization.)
 ! Fixed a reserved MySQL word being used as label.
 & Removed some unused language tags.
 & Made some consistency adjustments in the dutch language files and translated all untranslated lines.
 * Fixed some accesskey properties for the wireless template that were missing.
 + Added a preview column in the news center and checkboxes for fast removal of news items.
 * Disallowing hide online status was not working at all because of a typo in Profile.template.php.
 ! Font size was wrong in the ssi_examples.shtml page.
 & Tweaked $txt['modlog_moderation_log_desc'] so people can see why it won't delete things.
 ! The require/require_once functions are faster than include/include_once - use them instead when possible.
 ! Subject shortening wasn't very i18n... still isn't, totally.
 ! MoveTopic didn't do board names with single quotes in them properly :(.
 + Now, when there is a parse error in a template or language file, an error message is displayed with debugging information.
 & Added some language entries to the index language files to show when handling this problem.
 ! Several fixes made the the vBulletin 3 converter.
 + Added "Male to Female ratio" and "Users Online Today" to the statistics page.
 & Two new language strings added to Stats.language.php for above change.
 + Added a utility function, reattributePosts, to ManageMembers.php for attributing guest posts to members.
 ! Fixed a bug in upgrade causing it to run indefinitely.
 ! When using flash, add AllowScriptAccess="never" for Flash Player 6+.
 ! Fixed some quote and code tag preparsing issues.
 ! Changed some ordering in upgrade.php so that, even if you tried to duplicate your attachments it wouldn't happen now ^_^.
 ! Fine, fixed the list tag a different way.
 ! Fixed upgrade not converting single quotes for news lines properly.
 ! Trying to change the PHP setting to add xHTML compatible URL separators for URLs that automatically get an added session ID (needed for SSI and template links).
 + Added link in attachment manager to recount file sizes.
 + Added avatar management to the attachment manager.
 & Several new language entries added to Admin.language.php for above change.
 + Added backend for "Reply to All" in personal messages.
 ! Fixed problem with previewing instant messages losing the "to" field.
 + New setting, number_format added, this is a string that allows the admin to choose how values are displayed in the forum.
 & Two new strings added to Help and ModSettings.language.php for describing the above change.
 + Added function, numberformat, for formatting numbers from the above setting.
 ! Fixed possible bug in Profile which would result in posts per day being wrong for an extreme geek.
 + Converters for Invision 2 and vB 3.0 now convert passwords and salt data.
 ! Users who have come from Invision 2 and vB 3.0 can now log in without resetting their password.
 + It is now possible to specify whether or not a board theme should override a users preference.
 & Two new languages entries added to ManageBoards.language.php to reflect above change.
 ! SSI function, topPoster, can now take amount of posters to return as a parameter.
 + If new replies are made between reading a thread and replying, a warning message is displayed.
 & New lanaguage strings added to Post.language.php for above change.
 + New function, ResetPassword, added to Subs-Auth.php for resetting password and/or username.
 + Admins can now change their members usernames from their profile - although this resets their password too.
 & New language strings added to Profile and Login language files to reflect above changes.
 ! Fixed some incompatibility problems with old templates, I think, and a small notice in ModSettings.php.
 ! Email auto-linking wasn't always working properly.
 * A bug in IE caused gifs to stop animating if they were clicked.... (as a link) in the Post template.
 * Access checkboxes shouldn't be shown for moderator/admin.
 * Small oddity in the Profile template under notifications.
 ! Cleaned up and commented some of the ftp stuff more - hopefully this still works everywhere.
 ! Package manager was not removing files properly.
 + Added setting to allow disabling of BBC tags by listing them.
 & Two new language strings added to Help and ModSettings language files for above change.
 * Post template adapted significantly to handle above change.
 + Viewing members from a group now has a new template, with options to easily add and remove members from said group.
 & Several language entries added to ManageMembers.language.php to accommodate above change.
 + Added ability to notify the admin team whenever a new member registers.
 & New language strings added to ModSettings and Login language files to reflect this addition.
 ! Fixed avatar download and resize option not working properly.
 & New langauge entry added to Packages.language.php to enable better browsing of packages.
 + Restyled the ban center to match the layout of other admin center screens.
 + Added a ban log viewer.
 + Added an ID_MEMBER column to the ban log.
 * Updated the templates in ManageMembers to reflect above changes.
 & Added several language tags to the ManageMembers and Errors language files.
 ! Added some extra checks to the is_not_banned function.
 ! Cannot register ban is now logged in the log_banned table.
 * Some javascript cleanup for the detailedversion checker, and cleanup for the latest news when offline. (Admin template)
 * The "im_delete.gif" image now reads "Delete All" to avoid confusion with deleting checked messages. (im_delete.gif)
 * Changed the placement of the delete button and made it read "Delete Selected". (InstantMessage template)
 ! Updated the documentation sections in many source files to sync with current functions. (Sources/*.php)
 ! Attempted to fix pm notifications being sent in the wrong language - needs more investigation. (Load.php)
 ! The "quote fast" feature now properly supports entities - but only in Internet Explorer.  Support on other browsers is pending. (Post.php)
 ! Not showing your online status was not working because of a typo. (Profile.php)
 * Fixed the typo "hilight" in the spell checking javascript and Post template. (spellcheck.js, Post template)
 ! Made a small change to the default wording of the agreement. (agreement.txt)
 ! Saving a theme option for the default theme did not erase said option in the current theme, making changing your options not work.
 ! Who's online was showing members who choose to not be shown online, but as guests.
 & The IP address logged for unsuccessful admin login attempts was incorrect at times; should now be fixed. (Admin langauge files)
 * Spell check now scrolls to the word that changed in IE and Mozilla. (Post template, spellcheck.js)
 ! Typo was making full-ban reasons not display properly on registration failure. (Register.php)
 ! Two members online at exactly the same time might be mistakenly shown as not online. (BoardIndex.php)
 ! SSI.php now truncates on line breaks (<br />) as well as spaces. (SSI.php)
 ! Reduced the spam-ness of html emails sent by the forum. (Subs-Post.php, ManageMembers.php)


June 2004:
--------------------------------------------------------------------------------
 * Fixed a small issue with SendTopic.template.php's version not updating properly.
 ! A setting in ModSettings.php was named wrong; search_max_cache_size -> search_cache_size.
 * Fixed some layout problems in the Search template. (caused by old style HTML :P.)
 * Changed any "checkAll()" functions to calls to invertAll() from script.js.
 ! PHP 5 can be configured to make sessions shorter than 32 bytes... maybe longer?
 ! If there are no smileys in location x, you might get a small error.
 * Recommitted those darn icons.... stupid cvsnt is adding kb twice or not at all :(.
 ! [color=#......] should allow A-F too, not just numbers.
 ! Made it so clear text color codes can be a *little* longer. (mediumpurple, etc.)
 ! Fixed a typo (one missing letter!) that was causing very substantial problems on some servers.
 ! .htaccess wasn't working properly for Apache 1. (it wasn't even applying :/.)
 ! Made it so you only have to change one line to make index.php something else.
 ! Added emphasis to "nothing's wrong" in the conversion timeout.
 ! Small typo affecting downloading updated packages.
 ! The attachments feature no longer allows uploads with the filename ".htaccess" or "index.php".
 ! If encrypted filenames are on, these are allowed.
 + It is now possible to upload images to the Smiley center.
 & Many new language entries added to ManageSmileys.language.php for above change.
 * Smiley template cleaned up some more to make it more efficient.
 ! Don't show the database upgrade error message for CVS or Demo versions.
 * Whitespace shouldn't wrap in error log URLs.
 * Only show a link to the IP if they can actually click it.
 ! Cleaned up the permission loading in Display.php so it's a little clearer...
 * Emails in manage members should be clickable -> mailto:.
 * Added more commenting in index.template.php around the forum name stuff.
 ! Commas should be allowed after email addresses.
 ! Smileys could not be put in the first place on a row.
 ! Resetting everyone's theme options was redirecting to the wrong place.
 + You can now upload different smileys to different sets if you wish.
 * Javascript added to the import smileys template to improve usability.
 ! Resetting default theme options should override theme-specific ones.
 * Now, when you change another member's language it doesn't affect your own.
 ! Holiday titles are no longer censored, because they shouldn't be.
 ! Code Review: Calendar.php. (updated documentation, fixed some overly restrictive permissions checks.)
 ! More characters are now allowed in email addresses.
 ! Cleaned up the way heading and rules were handled in ModSettings.php.
 & Added some entries to the index langauge file - unread_topics_visit, unread_topics_visit_none, and unread_topics_all.
 * It's now clearer that you are seeing posts since your last visit, and there is a link to see ALL unread topics.
 ! Fixed a typo in SSI.php related to birthdays.
 ! Moved the check for double post submission down in Post for error messages.
 ! Added a loadAttachmentContext() function to Display.php.
 ! You shouldn't be able to register with the email address of someone registered.
 * You shouldn't get a javascript error message if you don't have the code fix on.
 * Added warning text under Answer: in the profile for the Secret Question.
 & Edited $txt['secret_desc'] and added $txt['secret_desc2'] in Profile language files.
 + YaBB SE converter should now convert banned members, calendar events and have an attempt at settings!
 ! MSIE wasn't styling ul's properly.
 ! Made the title for posted calendar events slightly longer. (48)
 ! Updated version numbers to 1.0 Beta 6+ to avoid confusion with the actual release.
 * Slightly improved the look of displayed poll results in Display.
 ! Don't show the "upgrade template.php" checkbox if it's already been upgraded.
 & Edited $txt[677] - explains how to create child boards
 ! Fixed a bug that was resulting in database sessions not being deleted.
 + phpBB2 converter should now convert attachments if the attachment mod was installed.
 + YaBBSE converter should now convert over membergroups successfully.
 + It is now possible to upload new packages in the package manager.
 & Several new language entries added to Packages.language.php and Errors.language.php for above change.
 & Some language entries moved from ManageSmileys.language.php to Errors.language.php.
 ! Inlined some element calls in the helpfiles.
 ! Added message body preview *information* so the templates *can* display it if they so wish to.
 * Took a typo back out of smf_codeFix, having reintroduced it last beta - oops.
 * Added inital changes for "someone posted while you were *reading*".
 ! Double post prevention/sequencing should no longer break old templates.  Now, scripts could use this to their advantage if they bothered to keep the session *anyway*, but they don't so it doesn't matter.
 ! Don't allow the deletion of just any file with the package manager remove thing.
 & Added default_time_format to the Install language files and the installer.
 * Minor template change in the package manager to make links consistent.
 + Made a custom imagecreatefrombmp().  Needs more testing, but works in most cases. (yes, this means bitmap support for GD ;).)
 + Added pagination to the trackIP function, to stop hefty page loads.
 * Altered trackIP template to be more similar to trackUser to improve consistancy across functions.
 & Two new language entries added to Profile.language.php to accommodate above change.
 + New option added, allow_editDisplayName, to dictate whether a user may or may not edit their display name.
 & New language string added to ModSettings.language.php to accommodate above change.
 + Added a backend for repairing attachments (filesize and those deleted).
 * Fixed guest posting so that: guest editing guest works, admin editing guest allows name/email editing, and post errors are handled well.
 & Renamed poll_few to error_poll_few so poll error handling can work properly.
 & Removed two language strings made obselete by the above changes.
 ! If they preview/post with no options, give an error but make sure there are at least two boxes.
 ! ssi_examples.php should show the proper path, not one with mixed slashes.
 * Don't bother fading in fader.js if there is only one item.
 ! Small typo in the recent rss/xml feed stuff was making stuff inaccurate.
 ! Personal messages should be sent by memberName with "s.
 ! Installer was screwing up the indentation of Settings.php, if any.
 ! Fixed attachments, personal messages, and children in vBulletin 3 converter.
 ! All the converters were "leaving" attachments if they weren't converted - fixed.
 ! Added an Invision 2 converter, works for the most part, needs tweaking.
 & Edited one text string and added another to clearly state that admins need to enter an email address when registering new users
 & Edited the registration template to reflect the above language file change.
 ! SSI.php should just not load if it can't connect.
 ! The current_forum_time was without server offset as well as user offset.
 ! Printpage shouldn't put PHP code in a box, since Display doesn't.
 * Changed some spans to divs in BoardIndex and several other templates because it looks slightly nicer.
 * Added label elements to the additional options in Post.
 * Show IP address help text in the Display template ;).
 & Added see_admin_ip and see_member_ip to the Help language files.
 ! Upgrade wasn't handling news properly - should just remove one set of slashes.
 + Pagination added to "Who's Online" page.


SMF 1.0 Beta 6                                                     June 12, 2004
================================================================================
June 2004:
--------------------------------------------------------------------------------
 * When previewing a post with attachments, you are now warned you will have to reattach them.
 & Added attach_lose language string entry.
 & Changed $txt[247] to $txt['hello_member'], and $txt[248] to $txt['hello_guest'].
 * These two strings changed a few templates as well...
 + You can now use your email address to login instead of just your username.
 ! PNGs and JPEGs were getting two dots for avatar filenames. (avatar_1..png)
 * The "deliminator" index was changed to "delimiter" - a real word :P.
 ! Some names wouldn't work in the ignore list - namely ones with underscores.
 ! You *SHOULD* now be able to use any characters you want in your username - have fun!
 ! The "Find Members" function now quotes usernames in several places so the above can work well.
 ! Image resizing was sometimes messing up the aspect ratio.
 + Added javascript for adding poll options to New/Edit Poll screens.
 & New language entry added to Post.language.php for above change.
 ! The error generated when incorrectly attempting to answer a secret question, will now show the membername in question.
 & New language entry added to Profile.language.php for above change.
 + If you are banned from posting you will get a notice on each page telling you so, with the reason why.
 & New language entry, $txt['you_are_post_banned'], added to index.language.php to reflect above change.
 + Search now can cache results.
 ! Several search optimizations.
 + The viewNewestFirst setting has been replaced in preference to user option view_newest_first, for choosing ordering of topics.
 & New language string, $txt['recent_posts_at_top'], added to Profile.language.php for above change.
 & Old language strings for removed setting removed from modSettings.language.php and Help.language.php.
 ! Users who are moderating are now less affected by spamProtection().
 ! Fixed minor problem with spamProtection() which would reset flood control whenever anyone logged in.
 ! Replaced default laugh smiley with one that is different from cheesy.
 ! Deleting an attachment didn't *always* work well with translated language files.
 * You can now preview poll editing again.
 ! When you preview - if there's no subject, it should use "(No subject)".
 ! Sometimes lists were getting blank spaces after their start.
 * Back to topic and move now work together in conjunction.
 ! Added a notice to smf_1-0.sql so people don't think they need to run it or anything.
 ! The percentages for a poll now add up a little better.
 * Show "no messages" in the error log when there are none.
 * Fixed some layout issues in the error_log sub template, Errors template.
 ! Fixed additional slashes issue with "applying filter".
 * Made a lot of updates to the MessageIndex template, none of which change really anything. (just cleanup.)
 ! Cleaned up the ugly and generated whitespace in the help files.
 * Changed the order of the icons in the Who template.
 * Banning page now offers more explanation as to the difference between a reason, and notes!
 & Two new language strings added to Admin.language.php for above change.
 ! Added sanity check to sendpm(), to protect against manually deleted entries.
 + New setting added which, when enabled, will stop non-administrators from hiding their online status.
 & New language string added to ModSettings.language.php and Help.language.php for above setting.
 * Settings template now has labels for all the checkboxes, so that it looks better.
 ! It's no longer easily possible to copy permissions from the Administrator group.
 + Whenever a database error is thrown, if the user is an admin, a version check is carried out, and reported if it fails.
 & New language string added to index.language.php for above change.
 ! It's now possible to tell printpage to show images - but only in the backend.
 & Added upshrink_description so you can tell what the button does.
 * Made the index template actually use the above string.
 * Don't show search quote section when there's no quote to be had.
 ! Upgrade now uses a default for time format string in case it got blanked out.
 ! Observe PHP's session.auto_start setting, and don't start a session if it's on.
 * Search templates shouldn't do highlighting themselves.
 * Added some basic column sorting to "Who's Online".
 ! Several fixes to the password reminder/activation features - particularly for forums with approval enabled.
 & New language strings added to the Profile and Register templates, for above changes.
 + Theme setting 'display_recent_bar' replaced with theme setting 'number_recent_posts', allowing the admin to specify amount of recent posts.
 & New language strings added to Themes.language.php to describe new setting.  Old string $txt[509] removed.
 + YaBB SE converter should now convert over all important logs and moderators.
 ! deleteMembers now does some sanity checks on permissions - particularly to protect against rogue calls.
 ! deleteMembers now logs the deleting of a members account into the moderation log.
 & New string added to Admin.language.php to reflect above change.
 ! Updated a message in the upgrader so it makes more sense. (agreement.txt message.)
 ! Cleaned up a few more "Hacker?" error messages - there are not many left.
 ! Upgrade was not removing slashes from YaBB SE news entries.
 + Added bbc parsing for [acronym]s and [abbr]s just like the corresponding html elements.
 ! Current forum time in profile now shows with your format.
 ! If you're printing you want the full date; not today/yesterday.
 ! Printing images, by default, now shows (http://www.url.to/image.gif).
 ! Added D-Day, 06/06, to the calendar holidays.
 & Changed enableVBStyleLogin's help... changed its description, changed autoLinkUrls' description. (English only.)
 ! The installer now supports using ftp://hostname.tld/ as the server.
 ! SSI.php now always starts the session again - let's see if this still causes problems.
 ! Quick simplification to the [me=] bbc expression.
 ! The vBulletin 3 converter now does the table prefix right, but not that much else.
 + It's now possible to use database driven session functions.  Not totally ready yet.
 ! Updated repair_settings.php and the installer to deal with database sessions.
 & Added databaseSession_enable, databaseSession_lifetime, and databaseSession_loose as settings - and their associated text.
 & Removed the disableCaching option since it didn't do anything at this point anyway.
 + Added two new user options, view_newest_pm_first and calendar_start_day, representing order of personal messages and day a week begins.
 & Two new language strings added to Profile.language.php for above change.
 ! vBulletin 3.0 converter updated to convert boards, threads, messages and polls.
 ! Email autolinking had become broken.
 ! Help files are now being cleaned by HTML Tidy after generation, so they look nicer.  Related cleanup.
 ! Code Review: News.php. (optimized the main recent query BIG TIME, and cleaned up things into CDATAs.)
 * Cleaned up minor layout issues and things in many templates, and added proper versioning information.
 * If you type in a URL to a star image, make it at least have one image.
 * Happy Image Optimization Day to all, and to all a good night.
 * Modified the topic status icons so "sticky" is clearer.
 ! Several fixes and optimizations in search.
 ! Moved sorting from the second search screen to the first in order to accommodate search caching.
 * Removed sorting links in search result screen, added an option list to the main search screen.
 + Added a lot of search options in to a new section of the modsettings.
 & Added a language block to Settings, a block to Help, a block to Search and a single tag to Error.
 ! Fixed an issue with form sequence checking when previewing PMs.
 ! Censoring wasn't working perfectly with &amp;.
 + You can now use \* to censor the character * instead of a wildcard.
 * Fixed some xhtml problems in the Display, Profile, Settings, SplitTopics, and ManageMembers templates.
 ! Help files no longer have the xml namespace on them.
 ! Some converters weren't automatically continuing properly... most, actually.
 * Fixed more xhtml errors in more templates, ugh.  Mostly typos. (algin!?)
 * The script.js file, and all the templates no longer use fetchById... a better solution has been introduced. (better now than after RC...)
 ! Wrote up the parseModification() function... should be... actually... DONE!
 ! vBulletin 3.0 converter should now convert instant messages and notifications.
 + You can now specify default values for theme options in the theme settings.
 ! Guests now use the default theme options.
 * The Settings templates are now used only as a listing.  The settings are all in Profile now.
 & Added some language entries to Themes for the administration interface.
 + You can now reset everyone's theme options to whatever you want. (example: turn on quick reply!)
 ! Made ID_BOARD conversion on messages a little faster.
 & Changed $txt['smf124'] to be a lot wordier. (attachment upload error.)
 ! Renamed tar_gz_file() and tar_gz_data() to read_tgz_file() and read_tgz_data().
 + Added read_zip_data() which means zip file support - not just tar.gz.  Yea. (still requires zlib, mind you!!)
 ! The package manager can now check and etc. zip files too ;). (note: they are still bigger.)
 ! Queryless URLs now use .html to prefix all pages.
 ! Clearing unimportant logs now affects log_search as well.
 ! If you download two versions of the same mod (same filename, at least...) it will rename the second.
 ! There is now backend support for showing whether packages are installable or not. (for this version of SMF...)
 + You can now specify what format the modification is in using package-info.xml in packages.  Default is now xml.
 & Replaced a "Hacker?" error message in the package manager with a translatable and informative string.
 ! Renamed the get*Message() type functions to prepare*Context().
 ! The package manager's parseModification() should now handle multiple search rules properly.
 * Removed all the special doctype stuff.... it was only for debugging reasons only, and did indeed help.
 ! Wee, updated everything to Beta 6 ;).
 ! I'm almost certain that sendmail doesn't like \r\n, and wants just \n.
 ! Optimized a whole bunch of avatars by quite a decent bit, and some of them even look better now imho.
 * ManageSmileys template split into more manageable chunks.
 + Upgrade should now be capable of converting old settings into member theme settings to options.
 ! The discontinued viewNewestFirst and cal_startmonday settings are now converted over in the upgrade process.
 + Added pagination to the ban screen and user tracking.
 & Ban will expire within was misleading in Admin language file - changed to "expire after".
 ! Upgrade now drops a few keys that some had which were unnecessary.
 ! Adjusted some minor aesthetics in install.php.
 ! Now repair_settings.php uses JavaScript to set the boxes on a click ;).
 ! The package manager now warns you if you can't write to the Packages directory.
 * Modified the Package template with a few minor additions.
 & Added some strings to the Package language files for these purposes.
 ! Package installation *MAY* now fully use FTP.  Not sure, needs more testing.
 * Moved the following into the icons folder: online.gif, assist.gif, members.gif, calindex.gif, package_installed.gif, package_old.gif, info.gif, login_bindex.gif
 * Renamed icons/login_bindex.gif to icons/login.gif, icons/calindex.gif to icons/calendar.gif.
 ! Made a few changes to formatting and stuff; nothing that should affect anything. (sql file, a few source files, etc.)
 & Now the default message, topic subject, board, category, etc... is all translatable.


May 2004:
--------------------------------------------------------------------------------
 ! The .htaccess file now works properly on Apache 2 and Apache 1.
 ! Settings.php/index.php was redirecting to //install.php in some rare cases.
 ! Added MySQL connection error message to the installer if there was a problem.
 ! Installer wasn't automatically logging you in, like ever.
 * Package manager now respects the option to make backups or not!
 ! Package manager now detects when it would need to chmod files over FTP. (but it doesn't do that yet...)
 * Renamed the view_other and extract_other sub templates to view_package and extract_package.
 ! Package manager more consistently uses file_put_contents() now.
 * Tied checkboxes together with javascript in InstantMessage template.
 ! Auto submit added to all converters.
 ! Fixed problems with Invision converter making random members moderators and not converting sub forums correctly.
 ! YaBB SE converter can now convert boards/topics and messages.
 * Removed the ReportToModerator template and merged it with the SendTopic template.
 ! Removed ReportToModerator.php and merged its contents with SendTopic.php.
 ! Help can't work in Mozilla and produce valid xhtml at the same time, it seems.
 ! Under permissions for guests, only permissions a guest can use are listed.
 * Corrected a minor issue with lone own/any permissions in ManagePermissions.
 ! The package manager can now chmod files via FTP, given a password.
 * You can now set default values for the FTP stuff under installation options.
 * Added a warning when you try to delete a package that is currently installed.
 & Added some language entries to make sure this works internationally ;).
 ! The package manager now handles missing server.list files much better.
 * Package manager no longer lists package groups that... don't exist.
 & Made translatable some previously untranslatable sections of the package manager.
 & Added some cleaner error handling for incorrect directories - and added an error message to Errors.
 * Changed JavaScript usage of void(0) to returning false on events which is cleaner.
 ! Sending announcements on posting was not working properly with permissions.
 ! MoveTopic was doing the log tables in the wrong place, so they weren't working.
 ! InstantMessage's preview wasn't doing entities properly.... dunno why, it looked purposeful.
 ! Unread replies should be much faster now.
 ! Marking unread replies read didn't really work if queryless urls was on.
 ! Package manager now takes the path off files you require, etc. in package-infos.
 ! For ModSettings.php, you no longer have to add checkboxes to the list at the bottom.
 ! Calendar was not always checking permissions properly.
 ! MAJOR CHANGE: All Members group changed to mean Ungrouped Members only.
 & Changed some language entries to reflect the above change in .
 * Removed javascript that forces "All Members" to mean all other groups in ManageBoards.
 & Updated $helptxt['cal_enabled'] because it was referencing old settings.
 * Added check all to ManageBoards.
 * fetchSessionTemp image was missing from the Display templates.
 ! The BoardIndex now provides $context['online_groups'] for legends, etc.
 ! Now writelog() doesn't bother to write online log data when who is not enabled.
 ! Minor changes to filesystem error handling in the package manager.
 ! ManageBoards wasn't looking hard enough for some entities.
 ! Made a minor optimization to the statistics page.
 + After registration a new user will automatically be logged in.
 * Minor change to Register.template.php so the registration message looks a little nicer.
 ! If you are already logged in you can't go to the registration page!
 ! Added some extra checks into the Invision and phpBB converters.
 ! YaBB SE converter should now be able to convert polls and instant messages.
 * Changed file= to package= in links in PackageManager screens (made sense to allow the next change...)
 + Can now view files from the PackageManager "list files" screen.
 & Added some strings to the Packages language file for this purpose.
 ! Glow and shadow were adding extra slashes than they needed to...
 ! Added urldecode__recursive() for get parsing.
 * Put check all/remove selected/remove all at the top and bottom in Errors.
 ! SMTP is not a reasonable length for timeouts on the SMTP server.
 ! FTP links with passwords didn't work out too well.
 * Showing members' IPs now works on posts by the permission.
 ! In BBC, width now *must* come before height... you can't do [img height=y width=x] anymore.
 + Font size in posts is limited to a reasonable size.
 ! Took the margin off the list bbc because it was just confusing.
 ! Redid the BBC parser so it makes more sense and is easier to change... also has better restrictions.
 * You can now limit searches to only the topic subject.
 & Added an entry to the index language files for this purpose.
 & Moving topics now has a better message that you can customize better... includes board, etc.
 * Minor change to the MoveTopic template to make this possible.
 ! You can now use SSI.php to redirect somewhere after login/logout.
 ! Now repair_settings.php handles queryless URLs too.
 ! Replaced all the ereg's with preg_match's for speed reasons, mainly.
 ! It turns out vBulletin could use admin/config.php or includes/config.php. (drat, I think I tested it with the wrong version...)
 ! For compatibility, re-allowed board=x; in quote links.
 ! Changed some very typographic text in upgrade.php....
 ! Typo in the XMB converter's attachment upgrading - it wouldn't do binary files right.
 + You can now specify your language in the URL with ?language like with themes.
 ! SSI.php shouldn't try to send headers if they've already been sent.
 * Added an option to import smileys from a directory...
 & Added some strings to ManageSmileys and cleaned up the confirmation string.
 ! Removed send_announce permission since it wasn't used anywhere anyway.
 ! Made the notification function a little more robust, renamed it to sendNotifications and moved it to Subs-Post.php.
 ! Changed error_reporting to without notices if debugging is off. ($db_show_debug.)
 & Removed some unused strings from the Help language files.
 ! Cleaned up after some "look at me later" comments.
 ! Attachments can now be deleted more than one at a time.
 * Cleaned up some of the attachment manager template.
 ! Started a vBulletin 3 converter - as it happens the other one was not at all compatible.
 ! Added / for compatibility reasons to [quote ... link=xxxxxxx].
 ! Attachment Manager now allows you to sort by column.
 ! Added a basic Burning Board converter - may need to be updated for current version of BB.
 * Changed email notification option in personal messaes section of profile to a checkbox.
 & Changed $txt[327] in Profile.language.php to be more descriptive and removed $txt[328].
 + Added option to limit total amount of attachments per post.
 & Added new language entries to ModSettings, Post and Errors.language.php for above changes.
 ! Maximum attachment size per post will now work correctly when a user edits their post.
 ! Default sort in attachment manager changed to date, descending, because it's more useful.
 ! Drastically changed the ModSettings stuff again.  Now you don't have to add the setting in two places.
 ! The repair_settings.php script was forgetting the /images on the images url for the default.
 * surroundText() didn't work at the beginning of a post in Mozilla.
 ! Removed ssi_no_doctype in favor of ssi_layers.
 & Added a "no entities" note to $txt['show_personal_messages'] in index.
 ! Automatically linked URLs were getting the <'s linked too.
 ! The installer could potentially mis-write Settings.php.
 * The Search template did not handle having no boards well.
 * Tidied up post template and added a lot of comments.
 ! Fixed a bug that was causing the find user function not to work - at all.
 * Now you can see if boards or topics you have requested notification on are new in your profile.
 ! Messed with some of the debug stuff so it is cleaner...
 ! Some server configurations didn't think of ['-1'] as [-1].
 & Merged in a large portion of Webby's Dutch translations...
 ! Added a new key to attachments to make things better and faster.
 * Don't show language selection unless there are other languages to select.
 ! Disallowing theme selection did plum didley.
 + Added new option to polls to allow users to change their vote on a poll.
 * Post, Poll and Display templates to reflect the above change.
 & New language entries added to index.language.php and Post.language.php files for above change.
 + Added the ability to set your SMTP port to any value.
 & New language string added to ModSettings.language.php to reflect this change.
 ! Added .xml to guest action whitelist so rss can work...
 ! XML now cleans output to get rid of the doctype.
 ! An index drop for back in Beta 2.5 was causing upgrade to be much slower than it needed to be - and it's not *necessary*.  Removed.
 ! Optimized a query in the upgrade script.
 + 'show permission' in the profile screen now shows all permissions and membergroups at once.
 & Changed showPermissions_* tags in the Profile language file.
 * Fixed the jump box in the 'show permission' profile screen (xhtml issue and session ID not properly passed).
 * Split up the 'show permission' screen into a general permission part and a board specific permission part.
 + Statistics can now be expanded.
 * Changed the Stats template to show contract/expand for months.
 ! Added rmdir() and mkdir() to the ftp in Subs-Package.php.
 * Fixed a small layout problem with the Display template in the default theme under Safari.
 ! Fixed bug in all converters resulting in statistics not being correct.
 + Added converting of smiley data to the phpBB, invision and XMB converters.
 ! All converters now correctly setup board access for membergroups.
 + Deleting a category will now give you the option of moving any boards within to another category before deletion.
 & Several language entries added to ManageBoards.language.php to accommodate above change.
 * New template added to ManageBoards.template.php for above change.
 + Added a theme option so that administrators can hide post groups of members who are already assigned a "real" group.
 & Two language strings added to Themes.language.php to reflect above change.
 ! vBulletin converters now also convert smileys.
 ! All converters now properly support "weird" database names.
 + Session timeout are now considered a post error, so nothing should be lost.
 & checkSession() can now return an error, instead of calling fatal_lang_error().
 * Added texts to explain the post error.
 & Added a block of error_* tags to the post language file.
 + Javascript is now used to show extra attachments boxes in the default theme; but only as many as you can post.
 * The Post template has been updated with these changes and made it handle the permissions better.
 & Added two language entries to the language files for this purpose.
 ! Fixed minor bug with invision converter failing on boards with sub boards.
 ! Fixed bug with quick moderation which resulting in topic counts being deducted twice.
 ! Fixed bug which resulted in moderation logging not occuring consistently when removing posts/topics.
 ! Help sub-directory of images removed and help image (helplogo.gif) added to images directory.
 * All help files updated to reflect above change.
 ! Page links in the attachments manager were incorrect.
 + You can now add ;all to unread to not show "since last visit"... no inteface yet.
 * The option to delete current attachments was lost after previewing a post.
 & Strings 562 and 561 updated to sound crisper and cleaner, removed DATE which was often incorrect and not needed anyway.
 ! The value of viewNewestFirst was conflicting badly with personal message defaults.
 & Added a description for membergroups and postgroups in the "Edit Membergroups" screen.
 ! Fixed some minor bugs in the view permission profile screen.
 + Sending a PM that has a timed out session no longer redirects to a fatal_error.
 * Error message is now shown when something goes wrong sending a PM.
 ! Make a distinction between 'to' and 'bcc' for error 'pm recipients not found'.
 & Moved error tags from Post lanugage file to Error language file.
 ! PM send report now shows all users that successfully received the PM.
 & $txt['pm_successfully_sent'] changed to show individual recipients.
 ! Fixed wrong formatted post data that is passed by the admin login session validation.
 + Added session timeout protection in the template editor.
 ! Fixed bug which meant search was not correctly sorting by date.
 ! Fixed bug which would result in moderation logging errors when deleting topics.
 ! Fixed bug in markBoardsRead which would cause an issue if not passing it an array.
 + Restyled Smiley admin center.
 & Changed and added several tags to ManageSmileys language files.
 & Added some smiley_* tags to the error language files.
 ! added modSettings for absolute path to the smileys dir ('smileys_dir').
 + Smileys can now be put in a popup.
 * Changed the structure of $context['smileys'] for the Post interface.
 & Added more_smileys* tags to the Post language file.
 ! The calendar wasn't showing events, birthdays, etc. on the last day of the month.
 * Made some asthetic changes to the smileys interface on the post page.
 & New language entry added to Post.language.php to accommodate above change.
 + A new child board will now automatically take its parents permissions.
 ! Subdomain independent cookies were not working with domains with no subdomain or with .co.jp, etc.
 ! Now, ssi_login() does nothing if you are not a guest.
 ! Upgrade now does some cleanup for the memberGroups column.
 ! Fixed errors you would get if you went to post2 directly - although you shouldn't do that.
 * Attachment preview warning now works properly again.
 * If you attach something and then hit preview/get an error, additional options will be expanded.
 & Updated $txt['attach_preview'] so it makes more sense with the new functionality.
 * Fixed it so auto-focus for login works in new builds of Firefox.
 ! Fixed some bad links in the help files. (weren't internationalized...)
 * Importing smileys into an existing set is no longer an option, but instead a link.
 ! You can only import smileys if there are actually any in the directory that are not already installed.
 & Several new language strings added to ManageSmileys.language.php for above changes.
 + Added warning message to indicate if new replies have been made when posting to a thread.
 & New entry, enableNewReplyWarning, added to Help and ModSettings language files for option text for above change.
 & Two new entries added to the Post.language.php files for the errors messages for above change.
 ! Changed karmaWaitTime so that it is treated as a float - so 0.5 means half an hour.
 ! Calendar events should not be duplicated, but should show the first next spanned event.
 ! The "Visit Simple Machines!" string in the help files was not translatable.
 + Added file repair_ID_TOPIC.php, for resorting topic IDs.
 ! Fixed some minor bugs in repair_ID_MSG.php.
 ! Double submission prevention of forms is now handled by the session AND JavaScript (especially wireless devices need this.)
 * Added an extra hidden field seqnum to several post forms.
 & Added an error message in the error language file for duplicate form submission.
 * Added a wireless post icon for posts sent from a wireless device.
 ! Corrected a little design error with showPermissions. (border)
 ! Hopefully install.php not being writable will be okay... more people will have to delete it manually.
 & Added language entries to index for notifications of non-reply events.
 + You are now notified when topics you have set for notifications are stickied, locked, removed, split, merged, etc.
 ! Theme conversion was not always working on windows servers.


April 2004:
--------------------------------------------------------------------------------
 & The word "offline" was spelled wrong in onlineEnable in the ModSettings language file.
 ! The url_image_size() function now handles 500 errors as well...
 ! 'disableHostnameLookup' wasn't saving in ModSettings.php.
 * The boardseen's in Recent.template.php were supposed to be topicseen.
 & Minor grammatical errors in the Profile language files.
 ! Invision converter wasn't doing avatars properly.
 & Calendar was misspelled in ModSettings and Help sometimes as "Calender".
 ! Help for profiles updated for the new look, at least mostly.
 ! If you are not the poster, you no longer get the courtesy editing time.
 * Now daily statistics are considered a "detailed" thing you can view by clicking a link; this makes the stats page significantly shorter, and makes it look better generally.
 & Added a "more detailed" link to the Stats language files.
 ! Minor notice if you didn't enter a code to set your password.
 ! Installer's FTP now works properly on PHP 4.1.x.
 & Added a listing to the installer for files that need to be made writable.
 ! Installer no longer deletes the Install language files.
 ! The default path for the FTP part of the installer was wrong usually.
 ! The installer can now more reliably delete itself, even with nobody servers.
 * Added a "credits" section to the admin, and to the Admin template.
 & Added language entries for the new page. (not done yet!!)
 * Corrected Classic's link to catbg.gif in style.css.
 ! Don't log unable to load errors in the error log for the spell checker... there's nothing that can be done!
 ! Put the "Forum Configuration" menu above the "Member Controls" menu.
 ! Updated ICQ link to http://web.icq.com/whitepages/about_me/1,,,00.html?Uin=(id).
 * Temporary "quicker" admin interface for some things, not final.
 ! Don't bother with .fromXXXXXXX if there are no replies to the topic anyway on the message index.
 * Solved td and tr bbc image discrepencies... again.
 & Added a setting to use META refresh redirects instead of HTTP ones.
 ! Updated version numbers to "1.0 Beta 5+" to avoid confusion.
 ! Upgrade now checks the version of the index language file too.
 ! Now, if arg_separator.input includes ; there will be a small speed boost ;).
 ! Backed out is_writable check on session.save_path.
 ! Some MySQL servers didn't like the backup method exactly... it should be working now.
 ! Posting wasn't checking the lock_own permission exactly right.
 ! Some PHP versions don't seem to like references...
 ! Some calendar functions weren't affecting $context properly in SSI.php.
 ! If upgrade does 2000 messages at a time it doesn't need to sort by ID_BOARD... (filesort anyway!)
 ! It seems some hosts disallow the set_magic_quotes_runtime() and version_compare() functions.
 ! Added an .htaccess file to be used with Apache; includes many optimizations and security settings.
 & Cleaned up quick task list in admin and made it respect permissions.


SMF 1.0 Beta 5 Public                                             April 26, 2004
================================================================================
April 2004:
--------------------------------------------------------------------------------
 * Added some breaks to the edit news screen so Opera can understand it properly.
 ! Was missing some debugging information in Security.php..
 ! In PHP, 0 == '+' evaluates to true... which was causing problems in updateMemberData().
 & There's only one i in Uninistall :P.
 ! Attachments and uploaded avatars should work in more buggy versions of browsers..
 & Added (in a new window) to show_personal_messages in the index language files.
 ! You would get an error sometimes if you created a new group and didn't specify access...
 * Fixed a small problem with the admin announcements... didn't look good is all...
 ! Package Manager linked to "pre" instead of "install" after downloading a package.
 ! Code review: Help.php. (cleaned some comments up, etc.)
 ! Printpage now handles general tag parsing much better, faster, and cleaner.
 ! Clarified the \n and <br /> discrepencies in doUBBC() and parsecode().
 ! Fixed a potential issue in statistics keeping...
 * Removed remaining db_debug_junk_temp() calls from the index templates.
 & Changed aditional_membergroups to additional_membergroups in the Profile language files, and added additional_groups_show.
 * If you had a lot of groups, the profile was way long - now the additional groups are not listed until you need them.
 * Moved avatar preview in profile and made it look better imho, and certainly so in 800x600.
 * Moved posts to account settings, made karma use javascript to always have a correct total ;).
 * Took out the "Personal Settings" section completely and merged things accordingly.
 & Removed the now unnecessary $txt['theme2u'] and $txt['personal'] from Profile.
 & Renamed all the profile sections to be "friendlier".
 & Added specific information for each section, and removed $txt[698] - in the Profile language files.
 ! Fixed bug where creating a new board was dying horribly if you didn't need to add access to specific boards.
 ! The installer wasn't always output buffering everything.
 & The ftp_path_info from the Install language files wasn't being used properly.
 * Profile and post signature text size were different.
 * Deny permissions were "dissapearing".
 * You can now see the height, width, and file size of attached files.
 ! Package Manager should work around issues with broken package lists.
 ! SSI was sending a doctype as well.
 ! ModSettings.php now handles missing settings MUCH better, so you don't need queries or anything for mods.
 & Added a disableHostnameLookup option and various related language strings.
 & Removed $txt['smf313'] from ModSettings language files and took out the "extended" type which was just fluff anyway.
 ! Should no longer be using superfluous (e.g. marked by wastefulness :P.) obExit()'s.
 ! Converters were using ; instead of &amp; for "incomplete" steps.
 & Added permissions_deny_dangerous to the ManagePermissions language files.
 * Now a warning is given when you are denying permissions, and the interface is a little easier to navigate - I think.
 & Now if max_messageLength is set to 0, it means no max.  Changed the label to make this clear.
 & Removed $txt[57], $txt['smf116'], $txt['calendar32'], $txt['calendar49'], and $txt['smf104'] from ModSettings.
 & Totally reorganized the ModSettings language files so they actually make some amount of sense... split smf69 into three parts.
 ! Sometimes the features and options page wouldn't collapse certain areas, caused by an IE bug.  Workaround made.
 & Renamed some strings in Help, Admin, and ModSettings as well to simplify adding settings to ModSettings.php.
 ! Updated version to SMF 1.0 Beta 5 Public in preparation of release.
 * Now using the "delete_selected" button, but only for the Default theme since the others are missing.
 ! matchPackageVersion() now trims whitespace.
 ! You can now use reverse="true" on modifications to parse them backwards for uninstallation.
 & Added new "easy" time format for using the forum default, changed "Ban User" to "Ban this user".
 ! Removed my testing address from the package server list...
 ! Package Manager options won't save the FTP stuff right now, I haven't decided on it.
 ! Added contextual information for the darn group color.
 & Moved previous/next into the language files from the settings table for i18n.
 * Added fetchSession magic to the Display/Quick Reply stuff.
 * Fixed wordwrapping in the most time online section of Stats.
 ! Now, in most cases, if the user gets an error they won't be logged as doing x.
 * The preview in Post now overflows properly in Internet Explorer ;).
 ! Took out description of wildcards in searching help at least for now.


SMF 1.0 Beta 5                                                    April 21, 2004
================================================================================
April 2004:
--------------------------------------------------------------------------------
 ! Session URL rewriting was broken for the wrong versions of PHP :P.
 ! Added file_put_contents() to Subs-Package.php
 ! Added some as-yet unused options to the package manager for FTP and backups.
 + The installer can now chmod files using FTP so they can be written to.
 & Added Install language files for the new installer.
 ! The installer is now almost totally i18n friendly - just have to clean up some of the settings table and holidays.
 ! The installer looks a bunch nicer now, but doesn't support ya anymore.
 ! There's now an option in the installer for output compression.
 ! The sql file can now have {$boarddir} and {$boardurl} in it.
 & Manually migrated changes to old language files to Spanish ones, not all though. (too many...)
 ! Regorganized default Settings.php so that it makes more logical sense, with better comments.
 ! The MAJOR SECURITY RISK now looks much more annoying ;).
 ! Turn off the moderation log on new installs.
 ! The installer allowed a blank database name, which was bad for sure.
 + It's now possible, in theory, to mark boards as unread.
 + Added unread topics a simple and easy way that works ;).
 ! Logs for topics and boards are assumed to be exclusive and should be kept clean. (topics takes precendence now!)
 * The MySQL, PHP, and W3C links now all open in new windows.
 ! Pruning topics no longer sends them to the recycle bin.
 ! Typo in image resizing code would not resize some images properly.
 ! Notifications can now be sent by post group access too...
 * Put a dumb limit on post groups so they won't show for admins until 100 posts.
 ! When you post a reply, uncache the last viewed topic so it can be "viewed" again.
 ! Reviewed the phpBB2 converter and redid its layout, etc.
 ! Registration disabled, activation and approval settings all merged into one setting.
 & New language entries added to ModSettings.language.php and Help.language.php to reflect this.
 ! Password is now emailed to new members regardless of whether the admin must approve the account.
 & New language entry, $txt['approval_email'],  added to Login.language.php to reflect this change.
 ! Registration center will now allow admin to look at remaining unactivated/approved accounts after the settings have been disabled.
 + Find Members option added to pm preferences section of users profile.
 ! Fixed a bug in Subs-Package, related to file_put_contents.
 * Cleaned up some admin templates so they all do the help the same way.
 & Installer now tells you to, and how to, get to the admin center.
 ! Upgrade wasn't working well with groups that had apostrophes.
 ! HTTP_HOST should already include the port number...
 ! Reviewed the Invision converter, improved its UI, redid the attachments converting, and made it do bbc properly.
 * The Admin template, in general, now looks a lot better in 800x600, etc.  It also works better... edit news, censored, etc.
 & Now the "Edit News" and "Censored" sections *optionally* uses javascript to add items.
 & Added more help next to the maintenance options.
 ! The installer no longer allows invalid prefix characters - it just ignores them.
 * Removed the unused cat.gif...
 * Cleaned up some xhtml - inputs that weren't closed, etc.
 ! Code review: Errors.php. (just some commenting, mainly.)
 ! After-login redirection now works properly... again.
 ! If you were a guest, and you tried to post with no name, you'd get an error.
 & Put all of the "welcome" strings into one, namely $txt['welcome_guest'] - better for i18n.
 * Changed the index template to use this new string; old index templates should still work.
 + It's now possible to resend validation emails easily, and to change your email address after registering - with the correct password.
 * Renamed the "activate" sub template in Login to "retry_activate", and added "resend".
 & Some new entries addded to the Login language file for this purpose.
 & Added $txt['whoall_pm_send2'] for pm sending...
 & Attachments can now be limited by total size per post.
 ! Now, attachmentSizeLimit or attachmentPostLimit, etc. = 0 means no max.
 ! Attachments -> Disable New Attachments didn't work.
 ! Remove old topics was removing stickies again.
 ! When moving a topic, if you don't specify any text for the redirect, don't add two breaks.
 ! QuickModeration2 wasn't logging actions properly... or at all.
 ! Banning by email with wildcard should be possible even if ti might affect admins.
 * Trying to edit the permissions from manage boards wouldn't work unless it was already local.
 ! The installer should now properly update $webmaster_email when you set up your inital account.
 ! When you banned registration, you got errors caused by seemingly minor typos.
 * Signatures should now have scrollbars too.
 ! The installer now does much better permissions checking on windows.
 ! Reserved name search within/don't search within was broken - reversed.
 ! Made upgrade.php look purdier, removed the javascript requrements.
 ! Now updateMemberData() supports the '+' and '-' functionality.
 ! Code review: index.php. (some minor reorganization, more comments, etc.)
 ! Sessions in the log_online table should be session ids not hashes.
 ! You shouldn't be able to add smileys with no code at all.
 ! Spell check was checking words in code blocks too...
 + Major security addition!  checkSession() now has a new parameter to check the referring action via session.
 ! Added action session check to remove old topics, dump database, and manage attachments.
 + You can/should now use "quotes" around members you are sending messages to - ie. "I, Brian".
 ! The installer now automatically logs you in after installing.
 & Added no_dump_database to the Errors language files.
 ! Code review: DumpDatabase.php. (cleaned up a lot of commenting.)
